/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 50 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 50 "conf/gen_parser.m4"

#line 919 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_PO = 16,                        /* PO  */
  YYSYMBOL_PC = 17,                        /* PC  */
  YYSYMBOL_NUM = 18,                       /* NUM  */
  YYSYMBOL_ENUM = 19,                      /* ENUM  */
  YYSYMBOL_IP4 = 20,                       /* IP4  */
  YYSYMBOL_IP6 = 21,                       /* IP6  */
  YYSYMBOL_VPN_RD = 22,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 23,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 24,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_TEXT = 25,                      /* TEXT  */
  YYSYMBOL_BYTESTRING = 26,                /* BYTESTRING  */
  YYSYMBOL_PREFIX_DUMMY = 27,              /* PREFIX_DUMMY  */
  YYSYMBOL_28_ = 28,                       /* '='  */
  YYSYMBOL_29_ = 29,                       /* '<'  */
  YYSYMBOL_30_ = 30,                       /* '>'  */
  YYSYMBOL_31_ = 31,                       /* '~'  */
  YYSYMBOL_NMA = 32,                       /* NMA  */
  YYSYMBOL_33_ = 33,                       /* '+'  */
  YYSYMBOL_34_ = 34,                       /* '-'  */
  YYSYMBOL_35_ = 35,                       /* '*'  */
  YYSYMBOL_36_ = 36,                       /* '/'  */
  YYSYMBOL_37_ = 37,                       /* '%'  */
  YYSYMBOL_38_ = 38,                       /* '!'  */
  YYSYMBOL_39_ = 39,                       /* '.'  */
  YYSYMBOL_DEFINE = 40,                    /* DEFINE  */
  YYSYMBOL_ON = 41,                        /* ON  */
  YYSYMBOL_OFF = 42,                       /* OFF  */
  YYSYMBOL_YES = 43,                       /* YES  */
  YYSYMBOL_NO = 44,                        /* NO  */
  YYSYMBOL_S = 45,                         /* S  */
  YYSYMBOL_MS = 46,                        /* MS  */
  YYSYMBOL_US = 47,                        /* US  */
  YYSYMBOL_PORT = 48,                      /* PORT  */
  YYSYMBOL_VPN = 49,                       /* VPN  */
  YYSYMBOL_MPLS = 50,                      /* MPLS  */
  YYSYMBOL_FROM = 51,                      /* FROM  */
  YYSYMBOL_52_ = 52,                       /* ';'  */
  YYSYMBOL_53_ = 53,                       /* '('  */
  YYSYMBOL_54_ = 54,                       /* ')'  */
  YYSYMBOL_FLOW4 = 55,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 56,                     /* FLOW6  */
  YYSYMBOL_DST = 57,                       /* DST  */
  YYSYMBOL_SRC = 58,                       /* SRC  */
  YYSYMBOL_PROTO = 59,                     /* PROTO  */
  YYSYMBOL_NEXT = 60,                      /* NEXT  */
  YYSYMBOL_HEADER = 61,                    /* HEADER  */
  YYSYMBOL_DPORT = 62,                     /* DPORT  */
  YYSYMBOL_SPORT = 63,                     /* SPORT  */
  YYSYMBOL_ICMP = 64,                      /* ICMP  */
  YYSYMBOL_TYPE = 65,                      /* TYPE  */
  YYSYMBOL_CODE = 66,                      /* CODE  */
  YYSYMBOL_TCP = 67,                       /* TCP  */
  YYSYMBOL_FLAGS = 68,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 69,                    /* LENGTH  */
  YYSYMBOL_DSCP = 70,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 71,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 72,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 73,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 74,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 75,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 76,                     /* LABEL  */
  YYSYMBOL_OFFSET = 77,                    /* OFFSET  */
  YYSYMBOL_78_ = 78,                       /* ','  */
  YYSYMBOL_79_ = 79,                       /* '{'  */
  YYSYMBOL_80_ = 80,                       /* '}'  */
  YYSYMBOL_FUNCTION = 81,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 82,                     /* PRINT  */
  YYSYMBOL_PRINTN = 83,                    /* PRINTN  */
  YYSYMBOL_UNSET = 84,                     /* UNSET  */
  YYSYMBOL_RETURN = 85,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 86,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 87,                    /* REJECT  */
  YYSYMBOL_ERROR = 88,                     /* ERROR  */
  YYSYMBOL_INT = 89,                       /* INT  */
  YYSYMBOL_BOOL = 90,                      /* BOOL  */
  YYSYMBOL_IP = 91,                        /* IP  */
  YYSYMBOL_PREFIX = 92,                    /* PREFIX  */
  YYSYMBOL_RD = 93,                        /* RD  */
  YYSYMBOL_PAIR = 94,                      /* PAIR  */
  YYSYMBOL_QUAD = 95,                      /* QUAD  */
  YYSYMBOL_EC = 96,                        /* EC  */
  YYSYMBOL_LC = 97,                        /* LC  */
  YYSYMBOL_SET = 98,                       /* SET  */
  YYSYMBOL_STRING = 99,                    /* STRING  */
  YYSYMBOL_BGPMASK = 100,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 101,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 102,                    /* CLIST  */
  YYSYMBOL_ECLIST = 103,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 104,                   /* LCLIST  */
  YYSYMBOL_IF = 105,                       /* IF  */
  YYSYMBOL_THEN = 106,                     /* THEN  */
  YYSYMBOL_ELSE = 107,                     /* ELSE  */
  YYSYMBOL_CASE = 108,                     /* CASE  */
  YYSYMBOL_FOR = 109,                      /* FOR  */
  YYSYMBOL_IN = 110,                       /* IN  */
  YYSYMBOL_DO = 111,                       /* DO  */
  YYSYMBOL_TRUE = 112,                     /* TRUE  */
  YYSYMBOL_FALSE = 113,                    /* FALSE  */
  YYSYMBOL_RT = 114,                       /* RT  */
  YYSYMBOL_RO = 115,                       /* RO  */
  YYSYMBOL_UNKNOWN = 116,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 117,                  /* GENERIC  */
  YYSYMBOL_GW = 118,                       /* GW  */
  YYSYMBOL_NET = 119,                      /* NET  */
  YYSYMBOL_MASK = 120,                     /* MASK  */
  YYSYMBOL_SOURCE = 121,                   /* SOURCE  */
  YYSYMBOL_SCOPE = 122,                    /* SCOPE  */
  YYSYMBOL_DEST = 123,                     /* DEST  */
  YYSYMBOL_IFNAME = 124,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 125,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 126,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 127,                  /* GW_MPLS  */
  YYSYMBOL_ONLINK = 128,                   /* ONLINK  */
  YYSYMBOL_PREFERENCE = 129,               /* PREFERENCE  */
  YYSYMBOL_ROA_CHECK = 130,                /* ROA_CHECK  */
  YYSYMBOL_ASN = 131,                      /* ASN  */
  YYSYMBOL_IS_V4 = 132,                    /* IS_V4  */
  YYSYMBOL_IS_V6 = 133,                    /* IS_V6  */
  YYSYMBOL_LEN = 134,                      /* LEN  */
  YYSYMBOL_MAXLEN = 135,                   /* MAXLEN  */
  YYSYMBOL_DATA = 136,                     /* DATA  */
  YYSYMBOL_DATA1 = 137,                    /* DATA1  */
  YYSYMBOL_DATA2 = 138,                    /* DATA2  */
  YYSYMBOL_DEFINED = 139,                  /* DEFINED  */
  YYSYMBOL_ADD = 140,                      /* ADD  */
  YYSYMBOL_DELETE = 141,                   /* DELETE  */
  YYSYMBOL_CONTAINS = 142,                 /* CONTAINS  */
  YYSYMBOL_RESET = 143,                    /* RESET  */
  YYSYMBOL_PREPEND = 144,                  /* PREPEND  */
  YYSYMBOL_FIRST = 145,                    /* FIRST  */
  YYSYMBOL_LAST = 146,                     /* LAST  */
  YYSYMBOL_LAST_NONAGGREGATED = 147,       /* LAST_NONAGGREGATED  */
  YYSYMBOL_MATCH = 148,                    /* MATCH  */
  YYSYMBOL_MIN = 149,                      /* MIN  */
  YYSYMBOL_MAX = 150,                      /* MAX  */
  YYSYMBOL_EMPTY = 151,                    /* EMPTY  */
  YYSYMBOL_FILTER = 152,                   /* FILTER  */
  YYSYMBOL_WHERE = 153,                    /* WHERE  */
  YYSYMBOL_EVAL = 154,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 155,                /* ATTRIBUTE  */
  YYSYMBOL_BT_ASSERT = 156,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 157,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 158,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 159,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 160,                   /* FORMAT  */
  YYSYMBOL_161_ = 161,                     /* ':'  */
  YYSYMBOL_162_ = 162,                     /* '['  */
  YYSYMBOL_163_ = 163,                     /* ']'  */
  YYSYMBOL_164_ = 164,                     /* '?'  */
  YYSYMBOL_ROUTER = 165,                   /* ROUTER  */
  YYSYMBOL_ID = 166,                       /* ID  */
  YYSYMBOL_HOSTNAME = 167,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 168,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 169,                 /* TEMPLATE  */
  YYSYMBOL_DISABLED = 170,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 171,                    /* DEBUG  */
  YYSYMBOL_ALL = 172,                      /* ALL  */
  YYSYMBOL_DIRECT = 173,                   /* DIRECT  */
  YYSYMBOL_INTERFACE = 174,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 175,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 176,                   /* EXPORT  */
  YYSYMBOL_NONE = 177,                     /* NONE  */
  YYSYMBOL_VRF = 178,                      /* VRF  */
  YYSYMBOL_DEFAULT = 179,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 180,                    /* TABLE  */
  YYSYMBOL_STATES = 181,                   /* STATES  */
  YYSYMBOL_ROUTES = 182,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 183,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 184,                     /* IPV4  */
  YYSYMBOL_IPV6 = 185,                     /* IPV6  */
  YYSYMBOL_VPN4 = 186,                     /* VPN4  */
  YYSYMBOL_VPN6 = 187,                     /* VPN6  */
  YYSYMBOL_ROA4 = 188,                     /* ROA4  */
  YYSYMBOL_ROA6 = 189,                     /* ROA6  */
  YYSYMBOL_SADR = 190,                     /* SADR  */
  YYSYMBOL_RECEIVE = 191,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 192,                    /* LIMIT  */
  YYSYMBOL_ACTION = 193,                   /* ACTION  */
  YYSYMBOL_WARN = 194,                     /* WARN  */
  YYSYMBOL_BLOCK = 195,                    /* BLOCK  */
  YYSYMBOL_RESTART = 196,                  /* RESTART  */
  YYSYMBOL_DISABLE = 197,                  /* DISABLE  */
  YYSYMBOL_KEEP = 198,                     /* KEEP  */
  YYSYMBOL_FILTERED = 199,                 /* FILTERED  */
  YYSYMBOL_RPKI = 200,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 201,                 /* PASSWORD  */
  YYSYMBOL_KEY = 202,                      /* KEY  */
  YYSYMBOL_PASSIVE = 203,                  /* PASSIVE  */
  YYSYMBOL_TO = 204,                       /* TO  */
  YYSYMBOL_EVENTS = 205,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 206,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 207,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 208,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 209,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 210,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 211,                    /* KEYED  */
  YYSYMBOL_HMAC = 212,                     /* HMAC  */
  YYSYMBOL_MD5 = 213,                      /* MD5  */
  YYSYMBOL_SHA1 = 214,                     /* SHA1  */
  YYSYMBOL_SHA256 = 215,                   /* SHA256  */
  YYSYMBOL_SHA384 = 216,                   /* SHA384  */
  YYSYMBOL_SHA512 = 217,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 218,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 219,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 220,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 221,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 222,                  /* PRIMARY  */
  YYSYMBOL_STATS = 223,                    /* STATS  */
  YYSYMBOL_COUNT = 224,                    /* COUNT  */
  YYSYMBOL_BY = 225,                       /* BY  */
  YYSYMBOL_COMMANDS = 226,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 227,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 228,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 229,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 230,                 /* GENERATE  */
  YYSYMBOL_BGP = 231,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 232,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 233,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 234,                   /* RELOAD  */
  YYSYMBOL_OUT = 235,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 236,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 237,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 238,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 239,                   /* MEMORY  */
  YYSYMBOL_IGP_METRIC = 240,               /* IGP_METRIC  */
  YYSYMBOL_CLASS = 241,                    /* CLASS  */
  YYSYMBOL_TIMEFORMAT = 242,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 243,                      /* ISO  */
  YYSYMBOL_SHORT = 244,                    /* SHORT  */
  YYSYMBOL_LONG = 245,                     /* LONG  */
  YYSYMBOL_ROUTE = 246,                    /* ROUTE  */
  YYSYMBOL_BASE = 247,                     /* BASE  */
  YYSYMBOL_LOG = 248,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 249,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 250,                     /* WAIT  */
  YYSYMBOL_FLUSH = 251,                    /* FLUSH  */
  YYSYMBOL_AS = 252,                       /* AS  */
  YYSYMBOL_IDLE = 253,                     /* IDLE  */
  YYSYMBOL_RX = 254,                       /* RX  */
  YYSYMBOL_TX = 255,                       /* TX  */
  YYSYMBOL_INTERVAL = 256,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 257,               /* MULTIPLIER  */
  YYSYMBOL_CHECK = 258,                    /* CHECK  */
  YYSYMBOL_LINK = 259,                     /* LINK  */
  YYSYMBOL_SORTED = 260,                   /* SORTED  */
  YYSYMBOL_TRIE = 261,                     /* TRIE  */
  YYSYMBOL_SETTLE = 262,                   /* SETTLE  */
  YYSYMBOL_TIME = 263,                     /* TIME  */
  YYSYMBOL_GC = 264,                       /* GC  */
  YYSYMBOL_THRESHOLD = 265,                /* THRESHOLD  */
  YYSYMBOL_PERIOD = 266,                   /* PERIOD  */
  YYSYMBOL_IPV4_MC = 267,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 268,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 269,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 270,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 271,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 272,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 273,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 274,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 275,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 276,                      /* PRI  */
  YYSYMBOL_SEC = 277,                      /* SEC  */
  YYSYMBOL_SHOW = 278,                     /* SHOW  */
  YYSYMBOL_STATUS = 279,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 280,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 281,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 282,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 283,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 284,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 285,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 286,               /* ATTRIBUTES  */
  YYSYMBOL_ECHO = 287,                     /* ECHO  */
  YYSYMBOL_ENABLE = 288,                   /* ENABLE  */
  YYSYMBOL_BABEL = 289,                    /* BABEL  */
  YYSYMBOL_METRIC = 290,                   /* METRIC  */
  YYSYMBOL_RXCOST = 291,                   /* RXCOST  */
  YYSYMBOL_HELLO = 292,                    /* HELLO  */
  YYSYMBOL_UPDATE = 293,                   /* UPDATE  */
  YYSYMBOL_WIRED = 294,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 295,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 296,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 297,                 /* PRIORITY  */
  YYSYMBOL_HOP = 298,                      /* HOP  */
  YYSYMBOL_BABEL_METRIC = 299,             /* BABEL_METRIC  */
  YYSYMBOL_ENTRIES = 300,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 301,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 302,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 303,               /* PERMISSIVE  */
  YYSYMBOL_BFD = 304,                      /* BFD  */
  YYSYMBOL_MULTIHOP = 305,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 306,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 307,                      /* DEV  */
  YYSYMBOL_LOCAL = 308,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 309,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 310,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 311,               /* METICULOUS  */
  YYSYMBOL_STRICT = 312,                   /* STRICT  */
  YYSYMBOL_BIND = 313,                     /* BIND  */
  YYSYMBOL_SESSIONS = 314,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 315,                     /* HOLD  */
  YYSYMBOL_CONNECT = 316,                  /* CONNECT  */
  YYSYMBOL_RETRY = 317,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 318,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 319,                  /* STARTUP  */
  YYSYMBOL_VIA = 320,                      /* VIA  */
  YYSYMBOL_SELF = 321,                     /* SELF  */
  YYSYMBOL_PATH = 322,                     /* PATH  */
  YYSYMBOL_START = 323,                    /* START  */
  YYSYMBOL_DELAY = 324,                    /* DELAY  */
  YYSYMBOL_FORGET = 325,                   /* FORGET  */
  YYSYMBOL_AFTER = 326,                    /* AFTER  */
  YYSYMBOL_BGP_PATH = 327,                 /* BGP_PATH  */
  YYSYMBOL_BGP_LOCAL_PREF = 328,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 329,                  /* BGP_MED  */
  YYSYMBOL_BGP_ORIGIN = 330,               /* BGP_ORIGIN  */
  YYSYMBOL_BGP_NEXT_HOP = 331,             /* BGP_NEXT_HOP  */
  YYSYMBOL_BGP_ATOMIC_AGGR = 332,          /* BGP_ATOMIC_AGGR  */
  YYSYMBOL_BGP_AGGREGATOR = 333,           /* BGP_AGGREGATOR  */
  YYSYMBOL_BGP_COMMUNITY = 334,            /* BGP_COMMUNITY  */
  YYSYMBOL_BGP_EXT_COMMUNITY = 335,        /* BGP_EXT_COMMUNITY  */
  YYSYMBOL_BGP_LARGE_COMMUNITY = 336,      /* BGP_LARGE_COMMUNITY  */
  YYSYMBOL_ADDRESS = 337,                  /* ADDRESS  */
  YYSYMBOL_RR = 338,                       /* RR  */
  YYSYMBOL_RS = 339,                       /* RS  */
  YYSYMBOL_CLIENT = 340,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 341,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 342,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 343,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 344,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 345,                   /* PREFER  */
  YYSYMBOL_OLDER = 346,                    /* OLDER  */
  YYSYMBOL_MISSING = 347,                  /* MISSING  */
  YYSYMBOL_LLADDR = 348,                   /* LLADDR  */
  YYSYMBOL_DROP = 349,                     /* DROP  */
  YYSYMBOL_IGNORE = 350,                   /* IGNORE  */
  YYSYMBOL_REFRESH = 351,                  /* REFRESH  */
  YYSYMBOL_INTERPRET = 352,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 353,              /* COMMUNITIES  */
  YYSYMBOL_BGP_ORIGINATOR_ID = 354,        /* BGP_ORIGINATOR_ID  */
  YYSYMBOL_BGP_CLUSTER_LIST = 355,         /* BGP_CLUSTER_LIST  */
  YYSYMBOL_IGP = 356,                      /* IGP  */
  YYSYMBOL_GATEWAY = 357,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 358,                /* RECURSIVE  */
  YYSYMBOL_MED = 359,                      /* MED  */
  YYSYMBOL_TTL = 360,                      /* TTL  */
  YYSYMBOL_SECURITY = 361,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 362,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 363,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 364,                    /* ALLOW  */
  YYSYMBOL_PATHS = 365,                    /* PATHS  */
  YYSYMBOL_AWARE = 366,                    /* AWARE  */
  YYSYMBOL_EXTENDED = 367,                 /* EXTENDED  */
  YYSYMBOL_SETKEY = 368,                   /* SETKEY  */
  YYSYMBOL_CONFEDERATION = 369,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 370,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 371,                /* MULTICAST  */
  YYSYMBOL_LIVED = 372,                    /* LIVED  */
  YYSYMBOL_STALE = 373,                    /* STALE  */
  YYSYMBOL_IBGP = 374,                     /* IBGP  */
  YYSYMBOL_EBGP = 375,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 376,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 377,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 378,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 379,                     /* SETS  */
  YYSYMBOL_DYNAMIC = 380,                  /* DYNAMIC  */
  YYSYMBOL_RANGE = 381,                    /* RANGE  */
  YYSYMBOL_NAME = 382,                     /* NAME  */
  YYSYMBOL_DIGITS = 383,                   /* DIGITS  */
  YYSYMBOL_BGP_AIGP = 384,                 /* BGP_AIGP  */
  YYSYMBOL_AIGP = 385,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 386,                /* ORIGINATE  */
  YYSYMBOL_COST = 387,                     /* COST  */
  YYSYMBOL_ENFORCE = 388,                  /* ENFORCE  */
  YYSYMBOL_FREE = 389,                     /* FREE  */
  YYSYMBOL_VALIDATE = 390,                 /* VALIDATE  */
  YYSYMBOL_ROLE = 391,                     /* ROLE  */
  YYSYMBOL_ROLES = 392,                    /* ROLES  */
  YYSYMBOL_PEER = 393,                     /* PEER  */
  YYSYMBOL_PROVIDER = 394,                 /* PROVIDER  */
  YYSYMBOL_CUSTOMER = 395,                 /* CUSTOMER  */
  YYSYMBOL_RS_SERVER = 396,                /* RS_SERVER  */
  YYSYMBOL_RS_CLIENT = 397,                /* RS_CLIENT  */
  YYSYMBOL_REQUIRE = 398,                  /* REQUIRE  */
  YYSYMBOL_BGP_OTC = 399,                  /* BGP_OTC  */
  YYSYMBOL_GLOBAL = 400,                   /* GLOBAL  */
  YYSYMBOL_CEASE = 401,                    /* CEASE  */
  YYSYMBOL_HIT = 402,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 403,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 404,                 /* SHUTDOWN  */
  YYSYMBOL_CONFIGURATION = 405,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 406,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 407,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 408,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 409,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 410,                /* COLLISION  */
  YYSYMBOL_OF = 411,                       /* OF  */
  YYSYMBOL_MRT = 412,                      /* MRT  */
  YYSYMBOL_FILENAME = 413,                 /* FILENAME  */
  YYSYMBOL_ALWAYS = 414,                   /* ALWAYS  */
  YYSYMBOL_OSPF = 415,                     /* OSPF  */
  YYSYMBOL_V2 = 416,                       /* V2  */
  YYSYMBOL_V3 = 417,                       /* V3  */
  YYSYMBOL_OSPF_METRIC1 = 418,             /* OSPF_METRIC1  */
  YYSYMBOL_OSPF_METRIC2 = 419,             /* OSPF_METRIC2  */
  YYSYMBOL_OSPF_TAG = 420,                 /* OSPF_TAG  */
  YYSYMBOL_OSPF_ROUTER_ID = 421,           /* OSPF_ROUTER_ID  */
  YYSYMBOL_AREA = 422,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 423,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 424,                     /* STUB  */
  YYSYMBOL_TICK = 425,                     /* TICK  */
  YYSYMBOL_COST2 = 426,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 427,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 428,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 429,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 430,                /* BROADCAST  */
  YYSYMBOL_BCAST = 431,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 432,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 433,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 434,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 435,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 436,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 437,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 438,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 439,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 440,                     /* POLL  */
  YYSYMBOL_NETWORKS = 441,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 442,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 443,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 444,                     /* ONLY  */
  YYSYMBOL_LARGE = 445,                    /* LARGE  */
  YYSYMBOL_NORMAL = 446,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 447,                  /* STUBNET  */
  YYSYMBOL_TAG = 448,                      /* TAG  */
  YYSYMBOL_LSADB = 449,                    /* LSADB  */
  YYSYMBOL_ECMP = 450,                     /* ECMP  */
  YYSYMBOL_NSSA = 451,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 452,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 453,                /* STABILITY  */
  YYSYMBOL_LSID = 454,                     /* LSID  */
  YYSYMBOL_INSTANCE = 455,                 /* INSTANCE  */
  YYSYMBOL_REAL = 456,                     /* REAL  */
  YYSYMBOL_NETMASK = 457,                  /* NETMASK  */
  YYSYMBOL_MERGE = 458,                    /* MERGE  */
  YYSYMBOL_LSA = 459,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 460,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 461,                  /* RFC5838  */
  YYSYMBOL_PE = 462,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 463,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 464,                    /* STATE  */
  YYSYMBOL_PERF = 465,                     /* PERF  */
  YYSYMBOL_EXP = 466,                      /* EXP  */
  YYSYMBOL_REPEAT = 467,                   /* REPEAT  */
  YYSYMBOL_MODE = 468,                     /* MODE  */
  YYSYMBOL_PIPE = 469,                     /* PIPE  */
  YYSYMBOL_RADV = 470,                     /* RADV  */
  YYSYMBOL_RA = 471,                       /* RA  */
  YYSYMBOL_SOLICITED = 472,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 473,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 474,                  /* MANAGED  */
  YYSYMBOL_OTHER = 475,                    /* OTHER  */
  YYSYMBOL_CONFIG = 476,                   /* CONFIG  */
  YYSYMBOL_LINGER = 477,                   /* LINGER  */
  YYSYMBOL_MTU = 478,                      /* MTU  */
  YYSYMBOL_REACHABLE = 479,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 480,                  /* RETRANS  */
  YYSYMBOL_TIMER = 481,                    /* TIMER  */
  YYSYMBOL_CURRENT = 482,                  /* CURRENT  */
  YYSYMBOL_VALID = 483,                    /* VALID  */
  YYSYMBOL_PREFERRED = 484,                /* PREFERRED  */
  YYSYMBOL_MULT = 485,                     /* MULT  */
  YYSYMBOL_LIFETIME = 486,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 487,                     /* SKIP  */
  YYSYMBOL_AUTONOMOUS = 488,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 489,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 490,                    /* DNSSL  */
  YYSYMBOL_NS = 491,                       /* NS  */
  YYSYMBOL_DOMAIN = 492,                   /* DOMAIN  */
  YYSYMBOL_TRIGGER = 493,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 494,                /* SENSITIVE  */
  YYSYMBOL_LOW = 495,                      /* LOW  */
  YYSYMBOL_MEDIUM = 496,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 497,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 498,                /* PROPAGATE  */
  YYSYMBOL_RA_PREFERENCE = 499,            /* RA_PREFERENCE  */
  YYSYMBOL_RA_LIFETIME = 500,              /* RA_LIFETIME  */
  YYSYMBOL_RIP = 501,                      /* RIP  */
  YYSYMBOL_NG = 502,                       /* NG  */
  YYSYMBOL_INFINITY = 503,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 504,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 505,                  /* GARBAGE  */
  YYSYMBOL_VERSION = 506,                  /* VERSION  */
  YYSYMBOL_SPLIT = 507,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 508,                  /* HORIZON  */
  YYSYMBOL_POISON = 509,                   /* POISON  */
  YYSYMBOL_REVERSE = 510,                  /* REVERSE  */
  YYSYMBOL_ZERO = 511,                     /* ZERO  */
  YYSYMBOL_PLAINTEXT = 512,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 513,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 514,                  /* CIRCUIT  */
  YYSYMBOL_RIP_METRIC = 515,               /* RIP_METRIC  */
  YYSYMBOL_RIP_TAG = 516,                  /* RIP_TAG  */
  YYSYMBOL_REMOTE = 517,                   /* REMOTE  */
  YYSYMBOL_BIRD = 518,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 519,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 520,                   /* PUBLIC  */
  YYSYMBOL_SSH = 521,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 522,                /* TRANSPORT  */
  YYSYMBOL_USER = 523,                     /* USER  */
  YYSYMBOL_EXPIRE = 524,                   /* EXPIRE  */
  YYSYMBOL_STATIC = 525,                   /* STATIC  */
  YYSYMBOL_PROHIBIT = 526,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 527,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 528,              /* UNREACHABLE  */
  YYSYMBOL_KERNEL = 529,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 530,                  /* NETLINK  */
  YYSYMBOL_KRT_PREFSRC = 531,              /* KRT_PREFSRC  */
  YYSYMBOL_KRT_REALM = 532,                /* KRT_REALM  */
  YYSYMBOL_KRT_SCOPE = 533,                /* KRT_SCOPE  */
  YYSYMBOL_KRT_MTU = 534,                  /* KRT_MTU  */
  YYSYMBOL_KRT_WINDOW = 535,               /* KRT_WINDOW  */
  YYSYMBOL_KRT_RTT = 536,                  /* KRT_RTT  */
  YYSYMBOL_KRT_RTTVAR = 537,               /* KRT_RTTVAR  */
  YYSYMBOL_KRT_SSTRESH = 538,              /* KRT_SSTRESH  */
  YYSYMBOL_KRT_CWND = 539,                 /* KRT_CWND  */
  YYSYMBOL_KRT_ADVMSS = 540,               /* KRT_ADVMSS  */
  YYSYMBOL_KRT_REORDERING = 541,           /* KRT_REORDERING  */
  YYSYMBOL_KRT_HOPLIMIT = 542,             /* KRT_HOPLIMIT  */
  YYSYMBOL_KRT_INITCWND = 543,             /* KRT_INITCWND  */
  YYSYMBOL_KRT_RTO_MIN = 544,              /* KRT_RTO_MIN  */
  YYSYMBOL_KRT_INITRWND = 545,             /* KRT_INITRWND  */
  YYSYMBOL_KRT_QUICKACK = 546,             /* KRT_QUICKACK  */
  YYSYMBOL_KRT_LOCK_MTU = 547,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 548,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 549,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 550,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTRESH = 551,         /* KRT_LOCK_SSTRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 552,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 553,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 554,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 555,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 556,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_FEATURE_ECN = 557,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 558,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_SYSLOG = 559,                   /* SYSLOG  */
  YYSYMBOL_TRACE = 560,                    /* TRACE  */
  YYSYMBOL_INFO = 561,                     /* INFO  */
  YYSYMBOL_WARNING = 562,                  /* WARNING  */
  YYSYMBOL_AUTH = 563,                     /* AUTH  */
  YYSYMBOL_FATAL = 564,                    /* FATAL  */
  YYSYMBOL_BUG = 565,                      /* BUG  */
  YYSYMBOL_STDERR = 566,                   /* STDERR  */
  YYSYMBOL_SOFT = 567,                     /* SOFT  */
  YYSYMBOL_CONFIRM = 568,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 569,                     /* UNDO  */
  YYSYMBOL_LATENCY = 570,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 571,                 /* WATCHDOG  */
  YYSYMBOL_CONFIGURE = 572,                /* CONFIGURE  */
  YYSYMBOL_DOWN = 573,                     /* DOWN  */
  YYSYMBOL_PERSIST = 574,                  /* PERSIST  */
  YYSYMBOL_SCAN = 575,                     /* SCAN  */
  YYSYMBOL_LEARN = 576,                    /* LEARN  */
  YYSYMBOL_DEVICE = 577,                   /* DEVICE  */
  YYSYMBOL_KRT_SOURCE = 578,               /* KRT_SOURCE  */
  YYSYMBOL_KRT_METRIC = 579,               /* KRT_METRIC  */
  YYSYMBOL_YYACCEPT = 580,                 /* $accept  */
  YYSYMBOL_cli_cmd = 581,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 582,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 583,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 584,                 /* cmd_HELP  */
  YYSYMBOL_config = 585,                   /* config  */
  YYSYMBOL_conf_entries = 586,             /* conf_entries  */
  YYSYMBOL_conf = 587,                     /* conf  */
  YYSYMBOL_definition = 588,               /* definition  */
  YYSYMBOL_expr = 589,                     /* expr  */
  YYSYMBOL_expr_us = 590,                  /* expr_us  */
  YYSYMBOL_symbol = 591,                   /* symbol  */
  YYSYMBOL_bool = 592,                     /* bool  */
  YYSYMBOL_ipa = 593,                      /* ipa  */
  YYSYMBOL_ipa_scope = 594,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 595,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 596,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_ = 597,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 598,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 599,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 600,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 601,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 602,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 603,                /* net_mpls_  */
  YYSYMBOL_net_ip_ = 604,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 605,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 606,                 /* net_roa_  */
  YYSYMBOL_net_ = 607,                     /* net_  */
  YYSYMBOL_net_ip4 = 608,                  /* net_ip4  */
  YYSYMBOL_net_ip6 = 609,                  /* net_ip6  */
  YYSYMBOL_net_ip = 610,                   /* net_ip  */
  YYSYMBOL_net_any = 611,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 612,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 613,        /* label_stack_start  */
  YYSYMBOL_label_stack = 614,              /* label_stack  */
  YYSYMBOL_time = 615,                     /* time  */
  YYSYMBOL_text = 616,                     /* text  */
  YYSYMBOL_opttext = 617,                  /* opttext  */
  YYSYMBOL_flow_num_op = 618,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 619,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 620,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 621,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 622,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 623,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 624,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 625,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 626,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 627,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 628,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 629,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 630,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 631,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 632,               /* flow4_item  */
  YYSYMBOL_flow6_item = 633,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 634,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 635,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 636,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 637,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 638,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 639,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 640,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 641,                /* net_flow_  */
  YYSYMBOL_filter_def = 642,               /* filter_def  */
  YYSYMBOL_643_1 = 643,                    /* $@1  */
  YYSYMBOL_filter_eval = 644,              /* filter_eval  */
  YYSYMBOL_custom_attr = 645,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 646,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 647,             /* bt_test_same  */
  YYSYMBOL_type = 648,                     /* type  */
  YYSYMBOL_function_argsn = 649,           /* function_argsn  */
  YYSYMBOL_function_args = 650,            /* function_args  */
  YYSYMBOL_function_vars = 651,            /* function_vars  */
  YYSYMBOL_filter_body = 652,              /* filter_body  */
  YYSYMBOL_filter = 653,                   /* filter  */
  YYSYMBOL_654_2 = 654,                    /* $@2  */
  YYSYMBOL_where_filter = 655,             /* where_filter  */
  YYSYMBOL_function_body = 656,            /* function_body  */
  YYSYMBOL_function_def = 657,             /* function_def  */
  YYSYMBOL_658_3 = 658,                    /* $@3  */
  YYSYMBOL_659_4 = 659,                    /* $@4  */
  YYSYMBOL_cmds = 660,                     /* cmds  */
  YYSYMBOL_cmds_scoped = 661,              /* cmds_scoped  */
  YYSYMBOL_662_5 = 662,                    /* $@5  */
  YYSYMBOL_cmd_var = 663,                  /* cmd_var  */
  YYSYMBOL_cmd_prep = 664,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 665,                 /* cmds_int  */
  YYSYMBOL_fipa = 666,                     /* fipa  */
  YYSYMBOL_set_atom = 667,                 /* set_atom  */
  YYSYMBOL_switch_atom = 668,              /* switch_atom  */
  YYSYMBOL_cnum = 669,                     /* cnum  */
  YYSYMBOL_pair_item = 670,                /* pair_item  */
  YYSYMBOL_ec_kind = 671,                  /* ec_kind  */
  YYSYMBOL_ec_item = 672,                  /* ec_item  */
  YYSYMBOL_lc_item = 673,                  /* lc_item  */
  YYSYMBOL_set_item = 674,                 /* set_item  */
  YYSYMBOL_switch_item = 675,              /* switch_item  */
  YYSYMBOL_set_items = 676,                /* set_items  */
  YYSYMBOL_switch_items = 677,             /* switch_items  */
  YYSYMBOL_fprefix = 678,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 679,              /* fprefix_set  */
  YYSYMBOL_switch_body = 680,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 681,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 682,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 683,            /* bgp_path_tail  */
  YYSYMBOL_constant = 684,                 /* constant  */
  YYSYMBOL_constructor = 685,              /* constructor  */
  YYSYMBOL_var_list = 686,                 /* var_list  */
  YYSYMBOL_function_call = 687,            /* function_call  */
  YYSYMBOL_symbol_value = 688,             /* symbol_value  */
  YYSYMBOL_static_attr = 689,              /* static_attr  */
  YYSYMBOL_term = 690,                     /* term  */
  YYSYMBOL_break_command = 691,            /* break_command  */
  YYSYMBOL_print_list = 692,               /* print_list  */
  YYSYMBOL_var_init = 693,                 /* var_init  */
  YYSYMBOL_var = 694,                      /* var  */
  YYSYMBOL_for_var = 695,                  /* for_var  */
  YYSYMBOL_cmd = 696,                      /* cmd  */
  YYSYMBOL_697_6 = 697,                    /* $@6  */
  YYSYMBOL_698_7 = 698,                    /* $@7  */
  YYSYMBOL_699_8 = 699,                    /* $@8  */
  YYSYMBOL_get_cf_position = 700,          /* get_cf_position  */
  YYSYMBOL_lvalue = 701,                   /* lvalue  */
  YYSYMBOL_rtrid = 702,                    /* rtrid  */
  YYSYMBOL_idval = 703,                    /* idval  */
  YYSYMBOL_hostname_override = 704,        /* hostname_override  */
  YYSYMBOL_gr_opts = 705,                  /* gr_opts  */
  YYSYMBOL_net_type = 706,                 /* net_type  */
  YYSYMBOL_table = 707,                    /* table  */
  YYSYMBOL_table_start = 708,              /* table_start  */
  YYSYMBOL_table_sorted = 709,             /* table_sorted  */
  YYSYMBOL_table_opt = 710,                /* table_opt  */
  YYSYMBOL_table_opts = 711,               /* table_opts  */
  YYSYMBOL_table_opt_list = 712,           /* table_opt_list  */
  YYSYMBOL_proto_start = 713,              /* proto_start  */
  YYSYMBOL_proto_name = 714,               /* proto_name  */
  YYSYMBOL_proto_item = 715,               /* proto_item  */
  YYSYMBOL_channel_start = 716,            /* channel_start  */
  YYSYMBOL_channel_item_ = 717,            /* channel_item_  */
  YYSYMBOL_channel_item = 718,             /* channel_item  */
  YYSYMBOL_channel_opts = 719,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 720,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 721,              /* channel_end  */
  YYSYMBOL_proto_channel = 722,            /* proto_channel  */
  YYSYMBOL_rtable = 723,                   /* rtable  */
  YYSYMBOL_imexport = 724,                 /* imexport  */
  YYSYMBOL_limit_action = 725,             /* limit_action  */
  YYSYMBOL_limit_spec = 726,               /* limit_spec  */
  YYSYMBOL_debug_default = 727,            /* debug_default  */
  YYSYMBOL_timeformat_which = 728,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 729,          /* timeformat_spec  */
  YYSYMBOL_timeformat_base = 730,          /* timeformat_base  */
  YYSYMBOL_iface_patt_node_init = 731,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 732,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 733,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 734,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 735,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 736,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 737,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 738,               /* iface_patt  */
  YYSYMBOL_tos = 739,                      /* tos  */
  YYSYMBOL_proto = 740,                    /* proto  */
  YYSYMBOL_dev_proto_start = 741,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 742,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 743,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 744,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 745,               /* debug_mask  */
  YYSYMBOL_debug_list = 746,               /* debug_list  */
  YYSYMBOL_debug_flag = 747,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 748,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 749,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 750,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 751,            /* password_list  */
  YYSYMBOL_password_list_body = 752,       /* password_list_body  */
  YYSYMBOL_password_items = 753,           /* password_items  */
  YYSYMBOL_password_item = 754,            /* password_item  */
  YYSYMBOL_pass_key = 755,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 756,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 757,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 758,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 759,        /* password_item_end  */
  YYSYMBOL_bfd_item = 760,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 761,                /* bfd_items  */
  YYSYMBOL_bfd_opts = 762,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 763,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 764,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 765,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 766,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 767,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 768,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 769, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 770,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 771,                   /* r_args  */
  YYSYMBOL_r_args_for = 772,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 773,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 774,              /* export_mode  */
  YYSYMBOL_channel_sym = 775,              /* channel_sym  */
  YYSYMBOL_channel_arg = 776,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 777,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 778,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 779,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 780,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 781,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 782,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 783,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 784,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 785,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 786,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 787,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 788,                 /* cmd_EVAL  */
  YYSYMBOL_cmd_ECHO = 789,                 /* cmd_ECHO  */
  YYSYMBOL_echo_mask = 790,                /* echo_mask  */
  YYSYMBOL_echo_size = 791,                /* echo_size  */
  YYSYMBOL_cmd_DISABLE = 792,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 793,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 794,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD = 795,               /* cmd_RELOAD  */
  YYSYMBOL_cmd_RELOAD_IN = 796,            /* cmd_RELOAD_IN  */
  YYSYMBOL_cmd_RELOAD_OUT = 797,           /* cmd_RELOAD_OUT  */
  YYSYMBOL_cmd_DEBUG = 798,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 799,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 800,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 801,             /* cmd_RESTRICT  */
  YYSYMBOL_proto_patt = 802,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 803,              /* proto_patt2  */
  YYSYMBOL_dynamic_attr = 804,             /* dynamic_attr  */
  YYSYMBOL_babel_proto_start = 805,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 806,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 807,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 808,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 809,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 810,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 811,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 812,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 813,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 814,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 815, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 816, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 817,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 818,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 819,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 820,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 821,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 822,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 823,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 824,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 825,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 826,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_iface_item = 827,           /* bfd_iface_item  */
  YYSYMBOL_bfd_auth_type = 828,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opts = 829,           /* bfd_iface_opts  */
  YYSYMBOL_bfd_iface_opt_list = 830,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 831,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 832,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 833,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 834,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 835,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 836,             /* bfd_neighbor  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 837,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bgp_proto_start = 838,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 839,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 840,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 841,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 842,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 843,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_role_name = 844,            /* bgp_role_name  */
  YYSYMBOL_bgp_proto = 845,                /* bgp_proto  */
  YYSYMBOL_846_9 = 846,                    /* $@9  */
  YYSYMBOL_847_10 = 847,                   /* $@10  */
  YYSYMBOL_bgp_afi = 848,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 849,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 850,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 851,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 852,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 853,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 854,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 855,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 856,        /* bgp_proto_channel  */
  YYSYMBOL_mrt_proto_start = 857,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 858,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 859,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 860,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 861,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 862,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 863,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 864,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 865,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 866,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 867,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 868,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 869,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 870,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 871,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 872,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 873,           /* ospf_area_item  */
  YYSYMBOL_874_11 = 874,                   /* $@11  */
  YYSYMBOL_875_12 = 875,                   /* $@12  */
  YYSYMBOL_ospf_stubnet = 876,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 877,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 878,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 879,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 880,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 881,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 882,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 883,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 884,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 885,                /* pref_list  */
  YYSYMBOL_pref_item = 886,                /* pref_item  */
  YYSYMBOL_pref_base = 887,                /* pref_base  */
  YYSYMBOL_pref_opt = 888,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 889,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 890,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 891,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 892,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 893,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 894,     /* ospf_iface_patt_list  */
  YYSYMBOL_895_13 = 895,                   /* $@13  */
  YYSYMBOL_ospf_iface_opts = 896,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 897,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 898,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 899,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 900,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 901,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 902,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 903, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 904,      /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 905,  /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 906,      /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 907,               /* lsadb_args  */
  YYSYMBOL_perf_proto_start = 908,         /* perf_proto_start  */
  YYSYMBOL_perf_proto = 909,               /* perf_proto  */
  YYSYMBOL_perf_proto_item = 910,          /* perf_proto_item  */
  YYSYMBOL_pipe_proto_start = 911,         /* pipe_proto_start  */
  YYSYMBOL_912_14 = 912,                   /* $@14  */
  YYSYMBOL_pipe_proto = 913,               /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 914,         /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 915,          /* radv_proto_item  */
  YYSYMBOL_916_15 = 916,                   /* $@15  */
  YYSYMBOL_917_16 = 917,                   /* $@16  */
  YYSYMBOL_radv_proto_opts = 918,          /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 919,               /* radv_proto  */
  YYSYMBOL_radv_iface_start = 920,         /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 921,          /* radv_iface_item  */
  YYSYMBOL_922_17 = 922,                   /* $@17  */
  YYSYMBOL_923_18 = 923,                   /* $@18  */
  YYSYMBOL_radv_preference = 924,          /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 925,        /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 926,          /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 927,      /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 928,               /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 929,        /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 930,         /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 931,       /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 932,         /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 933,     /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 934,              /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 935,          /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 936,         /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 937,          /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 938,        /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 939,          /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 940,               /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 941,          /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 942,         /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 943,          /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 944,        /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 945,          /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 946,               /* radv_dnssl  */
  YYSYMBOL_radv_mult = 947,                /* radv_mult  */
  YYSYMBOL_radv_sensitive = 948,           /* radv_sensitive  */
  YYSYMBOL_rip_variant = 949,              /* rip_variant  */
  YYSYMBOL_rip_proto_start = 950,          /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 951,           /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 952,           /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 953,                /* rip_proto  */
  YYSYMBOL_rip_iface_start = 954,          /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 955,         /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 956,           /* rip_iface_item  */
  YYSYMBOL_rip_auth = 957,                 /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 958,           /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 959,       /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 960,                /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 961,  /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 962,   /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 963,         /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 964,               /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 965,          /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 966,          /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 967,       /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 968,     /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 969,          /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 970,           /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 971,  /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_ssh_init = 972,  /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 973,  /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 974,  /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 975, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 976,       /* static_proto_start  */
  YYSYMBOL_static_proto = 977,             /* static_proto  */
  YYSYMBOL_stat_nexthop = 978,             /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 979,            /* stat_nexthops  */
  YYSYMBOL_stat_route0 = 980,              /* stat_route0  */
  YYSYMBOL_stat_route = 981,               /* stat_route  */
  YYSYMBOL_stat_route_item = 982,          /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 983,          /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 984,      /* stat_route_opt_list  */
  YYSYMBOL_cmd_SHOW_STATIC = 985,          /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 986,               /* kern_proto  */
  YYSYMBOL_kern_sys_item = 987,            /* kern_sys_item  */
  YYSYMBOL_log_begin = 988,                /* log_begin  */
  YYSYMBOL_log_config = 989,               /* log_config  */
  YYSYMBOL_syslog_name = 990,              /* syslog_name  */
  YYSYMBOL_log_limit = 991,                /* log_limit  */
  YYSYMBOL_log_file = 992,                 /* log_file  */
  YYSYMBOL_log_mask = 993,                 /* log_mask  */
  YYSYMBOL_log_mask_list = 994,            /* log_mask_list  */
  YYSYMBOL_log_cat = 995,                  /* log_cat  */
  YYSYMBOL_mrtdump_base = 996,             /* mrtdump_base  */
  YYSYMBOL_debug_unix = 997,               /* debug_unix  */
  YYSYMBOL_cmd_CONFIGURE = 998,            /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 999,       /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 1000,   /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 1001,      /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 1002,    /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 1003,     /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 1004,                /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 1005,    /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cfg_name = 1006,                /* cfg_name  */
  YYSYMBOL_cfg_timeout = 1007,             /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 1008,        /* kern_proto_start  */
  YYSYMBOL_kern_mp_limit = 1009,           /* kern_mp_limit  */
  YYSYMBOL_kern_item = 1010,               /* kern_item  */
  YYSYMBOL_kif_proto_start = 1011,         /* kif_proto_start  */
  YYSYMBOL_kif_proto = 1012,               /* kif_proto  */
  YYSYMBOL_kif_item = 1013,                /* kif_item  */
  YYSYMBOL_kif_iface_start = 1014,         /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 1015,          /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 1016,          /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 1017,      /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 1018                /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6694

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  580
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  439
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1490
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2731

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   813


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    38,     2,     2,     2,    37,     2,     2,
      53,    54,    35,    33,    78,    34,    39,    36,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   161,    52,
      29,    28,    30,   164,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   162,     2,   163,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    79,     2,    80,    31,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    32,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   137,   137,   138,   141,   143,   146,   151,   154,   162,
     163,   164,   170,   171,   172,   175,   175,   180,   181,   182,
     183,   184,   185,   192,   193,   194,   201,   202,   209,   215,
     225,   238,   257,   263,   269,   277,   285,   291,   291,   292,
     292,   293,   293,   296,   297,   298,   299,   300,   301,   308,
     309,   317,   318,   326,   327,   335,   336,   344,   345,   346,
     347,   348,   358,   366,   367,   376,   384,   385,   392,   393,
      37,    38,    39,    40,    41,    42,    43,    44,    48,    49,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      65,    66,    67,    70,    71,    75,    79,    83,    84,    88,
      92,   101,   102,   106,   110,   114,   121,   122,   126,   127,
     128,   129,   133,   136,   139,   145,   149,   150,   151,   155,
     159,   165,   166,   167,   170,   172,   175,   177,   181,   188,
     189,   191,   197,   203,   203,     9,     9,    10,    10,    11,
      11,   346,   348,   348,   358,   360,   363,   364,   368,   370,
     381,   383,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   435,   436,
     445,   446,   454,   455,   461,   464,   468,   468,   478,   485,
     491,   493,   497,   493,   521,   522,   525,   525,   527,   527,
     529,   537,   538,   555,   556,   569,   570,   571,   572,   573,
     577,   585,   586,   587,   588,   592,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   609,   610,   611,   612,
     616,   617,   618,   622,   623,   624,   625,   626,   627,   628,
     629,   634,   635,   636,   637,   638,   642,   643,   644,   645,
     646,   650,   651,   655,   656,   660,   661,   662,   663,   671,
     672,   675,   676,   683,   693,   694,   698,   702,   703,   704,
     705,   709,   710,   711,   712,   713,   717,   718,   719,   720,
     721,   722,   723,   724,   725,   730,   731,   735,   736,   737,
     738,   743,   744,   745,   748,   767,   786,   787,   788,   789,
     790,   791,   792,   793,   794,   795,   796,   797,   798,   802,
     803,   804,   805,   806,   807,   808,   809,   810,   811,   812,
     813,   814,   815,   816,   817,   818,   820,   821,   822,   824,
     826,   828,   829,   830,   831,   832,   833,   834,   835,   836,
     837,   838,   839,   840,   841,   842,   843,   844,   845,   855,
     856,   857,   858,   859,   860,   861,   862,   864,   865,   867,
     871,   875,   876,   877,   880,   881,   882,   891,   892,   896,
     902,   903,   907,   910,   913,   916,   922,   922,   916,   928,
     940,   944,   947,   952,   955,   966,   970,   973,   974,   978,
     979,   980,   981,   982,   983,   984,   988,   993,   994,   995,
     159,   162,   163,   167,   168,   169,   170,   180,   182,   184,
     186,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   209,   211,   213,   218,   220,   224,   225,   230,   231,
     232,   233,   236,   238,   241,   243,   249,   252,   253,   257,
     263,   267,   277,   287,   289,   290,   291,   292,   293,   294,
     295,   299,   305,   310,   311,   312,   313,   314,   315,   316,
     317,   322,   323,   326,   328,   331,   333,   337,   344,   347,
     350,   351,   352,   353,   357,   358,   359,   360,   361,   365,
     366,   370,   373,   374,   375,   380,   383,   384,   385,   386,
     390,   391,   392,   393,   394,   395,   396,   397,   401,   408,
     416,   417,   421,   422,   426,   431,   432,   436,   438,   446,
     450,   451,   456,   458,   465,   466,   467,   468,   469,   473,
     481,   487,   488,   489,   493,   494,   498,   499,   500,   501,
     502,   503,   509,   510,   511,   515,   516,   520,   521,   527,
     531,   532,   535,   537,   541,   542,   545,   545,   548,   549,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   582,   590,   591,   592,   593,   594,   595,
     596,   599,   601,   605,   611,   611,   614,   614,   617,   617,
     620,   620,   624,   625,   628,   628,   631,   631,   635,   635,
     639,   645,   651,   657,   664,   670,   677,   682,   687,   692,
     697,   701,   705,   709,   719,   726,   735,   739,   746,   750,
     751,   752,   753,   757,   761,   765,   779,   780,   781,   782,
     785,   786,   787,   788,   793,   794,   795,   796,   797,   798,
     799,   800,   801,   802,   803,   804,   805,   806,   807,   808,
     809,   810,   811,   812,   816,   826,   826,   830,   833,   834,
     835,   836,   837,   838,   843,   843,   845,   845,   847,   847,
     849,   849,   851,   851,   853,   853,   855,   855,   857,   857,
     859,   859,   862,   862,   866,   866,   872,   873,   874,   878,
     879,   885,   885,   887,   887,   889,   889,   891,   891,   893,
     893,   895,   895,   899,   899,   903,   904,   908,   908,   911,
     911,   915,   916,   917,   921,   922,   923,   926,    35,    37,
      47,    48,    49,    50,    51,    52,    55,    57,    61,    65,
      66,    67,    68,    72,    76,    80,    94,   114,   115,   116,
     117,   118,   119,   120,   121,   125,   126,   127,   128,   129,
     130,   133,   135,   138,   140,   144,   147,   152,   153,   154,
     158,   159,   163,   164,   167,   186,   186,    32,    34,    42,
      43,    44,    45,    48,    50,    54,    58,    74,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   152,   154,   157,
     159,   164,   166,   170,   170,   173,   173,   176,   176,   179,
     179,    49,    49,    49,    49,    49,    49,    51,    53,    85,
      87,    88,    91,    93,    94,    95,    96,   101,   102,   106,
     107,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     123,   124,   125,   126,   127,   131,   132,   133,   134,   135,
     139,   140,   146,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     213,   213,   214,   215,   216,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   234,   260,   261,
     262,   264,   264,   264,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   305,   317,
     319,   322,   324,   328,   335,   338,   340,   342,   344,   346,
     348,   350,   352,   354,   356,   358,   360,   362,   364,    26,
      28,    34,    35,    36,    37,    38,    39,    40,    41,    44,
      46,    50,    53,    53,    57,    58,    59,    60,    61,    62,
     211,   214,   215,   216,   219,   235,   236,   240,   241,   245,
     254,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   274,   289,   292,   294,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     307,   308,   308,   309,   310,   311,   315,   316,   320,   328,
     330,   334,   335,   336,   340,   341,   344,   346,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   362,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   422,
     424,   427,   429,   437,   439,   440,   443,   445,   449,   450,
     453,   463,   485,   487,   491,   491,   494,   496,   499,   501,
     505,   508,   509,   510,   511,   514,   514,   517,   517,   520,
     520,   525,   525,   528,   528,   533,   533,   536,   536,   540,
     540,   549,   552,   553,   554,   555,   556,   557,   558,   559,
      24,    26,    40,    41,    42,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    23,    26,    25,    40,    41,
      42,    43,    44,    46,    58,    59,    60,    61,    62,    62,
      63,    63,    64,    65,    68,    70,    74,    78,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   116,
     120,   121,   122,   123,   124,   125,   125,   126,   126,   127,
     128,   132,   133,   134,   137,   175,   177,   180,   182,   186,
     189,   201,   202,   203,   204,   208,   215,   223,   225,   228,
     230,   234,   238,   248,   253,   254,   255,   259,   271,   273,
     277,   278,   282,   295,   300,   301,   302,   306,   318,   320,
     324,   325,   330,   331,   335,   336,   339,   340,    46,    49,
      50,    53,    67,    68,    69,    70,    71,    72,    75,    77,
      81,    85,   110,   140,   141,   142,   143,   144,   145,   146,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     173,   174,   175,   176,   179,   181,   184,   186,   190,   193,
     194,   198,   198,   201,   201,    41,    43,    50,    52,    54,
      58,    59,    60,    61,    62,    63,    64,    70,    76,    82,
      86,    87,    90,    93,    97,   108,   109,   113,   120,   130,
     132,   136,   137,   138,   142,    54,    56,    63,    64,    65,
      66,    67,    75,    79,    84,    89,    92,    95,    99,   105,
     106,   109,   121,   122,   126,   131,   132,   133,   134,   135,
     136,   140,   149,   151,   154,   156,   160,   160,    23,    26,
      27,    28,    31,    32,    33,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    62,    63,
      31,    33,    35,    42,    43,    46,    48,    52,    62,    63,
      67,    68,    72,    73,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    89,    92,    93,   104,   107,   108,   109,
     110,   118,   118,   121,   121,   128,   128,   131,   131,   134,
     134,   137,   137,   140,   140,   145,   145,   150,   151,   155,
     156,   157,    41,    43,    48,    49,    52,    53,    57,    58,
      59,    60,    64,    71,    72,    83,    85,    88,    89,    92,
      93,    94,   101,   108,   111,   113,   116,   118,   122,   125,
     126
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "PO", "PC", "NUM", "ENUM", "IP4", "IP6", "VPN_RD",
  "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "TEXT", "BYTESTRING", "PREFIX_DUMMY",
  "'='", "'<'", "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'!'", "'.'", "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US",
  "PORT", "VPN", "MPLS", "FROM", "';'", "'('", "')'", "FLOW4", "FLOW6",
  "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP",
  "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT",
  "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL",
  "OFFSET", "','", "'{'", "'}'", "FUNCTION", "PRINT", "PRINTN", "UNSET",
  "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP", "PREFIX",
  "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING", "BGPMASK", "BGPPATH",
  "CLIST", "ECLIST", "LCLIST", "IF", "THEN", "ELSE", "CASE", "FOR", "IN",
  "DO", "TRUE", "FALSE", "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET",
  "MASK", "SOURCE", "SCOPE", "DEST", "IFNAME", "IFINDEX", "WEIGHT",
  "GW_MPLS", "ONLINK", "PREFERENCE", "ROA_CHECK", "ASN", "IS_V4", "IS_V6",
  "LEN", "MAXLEN", "DATA", "DATA1", "DATA2", "DEFINED", "ADD", "DELETE",
  "CONTAINS", "RESET", "PREPEND", "FIRST", "LAST", "LAST_NONAGGREGATED",
  "MATCH", "MIN", "MAX", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE",
  "BT_ASSERT", "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME",
  "FORMAT", "':'", "'['", "']'", "'?'", "ROUTER", "ID", "HOSTNAME",
  "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT",
  "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE",
  "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4",
  "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY", "PASSIVE",
  "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES",
  "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256", "SHA384",
  "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256", "BLAKE2B512",
  "PRIMARY", "STATS", "COUNT", "BY", "COMMANDS", "PREEXPORT", "NOEXPORT",
  "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION", "RELOAD",
  "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC",
  "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG",
  "GRACEFUL", "WAIT", "FLUSH", "AS", "IDLE", "RX", "TX", "INTERVAL",
  "MULTIPLIER", "CHECK", "LINK", "SORTED", "TRIE", "SETTLE", "TIME", "GC",
  "THRESHOLD", "PERIOD", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BABEL",
  "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER",
  "PRIORITY", "HOP", "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC",
  "PERMISSIVE", "BFD", "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL",
  "AUTHENTICATION", "SIMPLE", "METICULOUS", "STRICT", "BIND", "SESSIONS",
  "HOLD", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP", "VIA", "SELF",
  "PATH", "START", "DELAY", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "CONFEDERATION",
  "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY",
  "INTERNAL", "EXTERNAL", "SETS", "DYNAMIC", "RANGE", "NAME", "DIGITS",
  "BGP_AIGP", "AIGP", "ORIGINATE", "COST", "ENFORCE", "FREE", "VALIDATE",
  "ROLE", "ROLES", "PEER", "PROVIDER", "CUSTOMER", "RS_SERVER",
  "RS_CLIENT", "REQUIRE", "BGP_OTC", "GLOBAL", "CEASE", "HIT",
  "ADMINISTRATIVE", "SHUTDOWN", "CONFIGURATION", "CHANGE", "DECONFIGURED",
  "CONNECTION", "REJECTED", "COLLISION", "OF", "MRT", "FILENAME", "ALWAYS",
  "OSPF", "V2", "V3", "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG",
  "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT", "STUB", "TICK", "COST2",
  "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST",
  "NBMA", "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP",
  "CRYPTOGRAPHIC", "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL",
  "ONLY", "LARGE", "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA",
  "TRANSLATOR", "STABILITY", "LSID", "INSTANCE", "REAL", "NETMASK",
  "MERGE", "LSA", "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE",
  "PERF", "EXP", "REPEAT", "MODE", "PIPE", "RADV", "RA", "SOLICITED",
  "UNICAST", "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE",
  "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME",
  "SKIP", "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "DOMAIN", "TRIGGER",
  "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE", "RA_PREFERENCE",
  "RA_LIFETIME", "RIP", "NG", "INFINITY", "TIMEOUT", "GARBAGE", "VERSION",
  "SPLIT", "HORIZON", "POISON", "REVERSE", "ZERO", "PLAINTEXT", "DEMAND",
  "CIRCUIT", "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD", "PRIVATE",
  "PUBLIC", "SSH", "TRANSPORT", "USER", "EXPIRE", "STATIC", "PROHIBIT",
  "BLACKHOLE", "UNREACHABLE", "KERNEL", "NETLINK", "KRT_PREFSRC",
  "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW", "KRT_RTT",
  "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING",
  "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND",
  "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW", "KRT_LOCK_RTT",
  "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "$accept",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "config", "conf_entries",
  "conf", "definition", "expr", "expr_us", "symbol", "bool", "ipa",
  "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_", "net_ip6_sadr_",
  "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_", "net_mpls_",
  "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip4", "net_ip6",
  "net_ip", "net_any", "net_or_ipa", "label_stack_start", "label_stack",
  "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_srcdst", "flow_num_opts", "flow_num_opt_ext_expr",
  "flow_num_opt_ext", "flow_bmk_opts", "flow_neg", "flow_frag_val",
  "flow_frag_opts", "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "filter_body",
  "filter", "$@2", "where_filter", "function_body", "function_def", "$@3",
  "$@4", "cmds", "cmds_scoped", "$@5", "cmd_var", "cmd_prep", "cmds_int",
  "fipa", "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind",
  "ec_item", "lc_item", "set_item", "switch_item", "set_items",
  "switch_items", "fprefix", "fprefix_set", "switch_body", "bgp_path_expr",
  "bgp_path", "bgp_path_tail", "constant", "constructor", "var_list",
  "function_call", "symbol_value", "static_attr", "term", "break_command",
  "print_list", "var_init", "var", "for_var", "cmd", "$@6", "$@7", "$@8",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type", "table", "table_start", "table_sorted",
  "table_opt", "table_opts", "table_opt_list", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item_", "channel_item",
  "channel_opts", "channel_opt_list", "channel_end", "proto_channel",
  "rtable", "imexport", "limit_action", "limit_spec", "debug_default",
  "timeformat_which", "timeformat_spec", "timeformat_base",
  "iface_patt_node_init", "iface_patt_node_body", "iface_negate",
  "iface_patt_node", "iface_patt_list", "iface_patt_list_nopx",
  "iface_patt_init", "iface_patt", "tos", "proto", "dev_proto_start",
  "dev_proto", "dev_iface_init", "dev_iface_patt", "debug_mask",
  "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS",
  "bgp_proto_start", "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask",
  "bgp_cease_list", "bgp_cease_flag", "bgp_role_name", "bgp_proto", "$@9",
  "$@10", "bgp_afi", "bgp_channel_start", "bgp_nh", "bgp_lladdr",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "mrt_proto_start",
  "mrt_proto_item", "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP",
  "mrt_dump_args", "ospf_variant", "ospf_proto_start", "ospf_proto",
  "ospf_af_mc", "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@11", "$@12", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@13", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@14", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@15", "$@16", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@17", "$@18", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-2273)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-900)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     137,    53,   186,   501,   260,   292,   358,  4736,   216,   217,
     217,   196,   217,   370,   229,   673,  1017,   164,   217,   166,
      18,   458, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273,   423, -2273, -2273, -2273, -2273,   423,   423,  4736,  2858,
     451,   481,   465,   702, -2273, -2273,  -133, -2273,   383, -2273,
   -2273, -2273, -2273,   122,   637, -2273,   497,   148, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,   527,
   -2273,   401,   792, -2273, -2273, -2273,   351,  2522,   351, -2273,
     351, -2273,   351,  6296,   351, -2273,   351,  2133,   351,  1414,
     634,  2061,   351, -2273,   351, -2273,   351, -2273,   351,  1815,
    1058, -2273, -2273, -2273,   351,   351,   -42, -2273, -2273, -2273,
     911, -2273, -2273,   737,   741,   803,   703, -2273,   635,   345,
    4736,   784, -2273,  2857,   715,   750, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
     782,   833,   840,   848,   858,   862,   867,   937, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,   704,   712, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,  3897, -2273,   889, -2273, -2273,   225,
     947,   225, -2273,   936,   936,   217,   217,   966,   550, -2273,
     973,   254,    77,   977, -2273,  1001, -2273,   491,   732,    61,
      20,  1030,   926,  1077,  1110,  1120,  1141,  1148,  1153,  1171,
    1183, -2273,   -47, -2273,  1133,   936, -2273, -2273,  1146,  1191,
    1146,  1204,  1221,   744, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273,  1178, -2273, -2273,  3456, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,   241,  1233,  1240,  1158, -2273, -2273,  1254,   225,
     225,   869,  1149, -2273,   550,  1261, -2273, -2273, -2273, -2273,
     127,  1272,    -1,   967,   869,   869,   423, -2273,  1188, -2273,
   -2273, -2273, -2273, -2273, -2273,   662, -2273, -2273, -2273,   783,
   -2273, -2273, -2273, -2273, -2273,  1305,  1289,  1264, -2273,  1195,
    1621,   225, -2273,   170,   702,   550,  1114, -2273,  1337,  1301,
    1343,  1346,  1321,  1331,  1353, -2273, -2273, -2273,   269,  1097,
     588,  1387,  1416,   802,    49,    51,    69,   121,  1131,   702,
    1621,  1087,  1271,  1222,   136,  1006,  1256,   145,   120,  1172,
    1227,   -64,  1251,  1205,  1239,  1199,   801,  1216,  1368,  1621,
    1223,  1193,  1269,  1285,  1230,  1224,   204,  1621,   104,  1214,
    1432,  1280,  1202,  1545, -2273,  1530,  1558,  1532,  1534,  1160,
   -2273,  1427,  1384,  1621,  1459,   869,  1621,  1469,  1252,  1621,
    1284, -2273,  1301, -2273,  1594,  1588, -2273,  1589, -2273,  1621,
    1121,  1648,    95,  1651,  1106,  1619, -2273,  1620, -2273, -2273,
     869,  1207,   816,  1650,  1483,  1443,  1498,  1628,  1640,  1615,
    1616,  1623,  1624, -2273,  1484,  1445,  1529,  1660,  1661,   -26,
    1635, -2273,  1520,   869,  1352,  1539,  1471,  1621,  1463,  1621,
   -2273, -2273,  1675,  1676,  1653,  1657, -2273, -2273,  1467, -2273,
    1682,  1464, -2273,   911,   911,  4736,  1012,   911,   911,  1723,
   -2273,  1724, -2273,  1725,   737,  1705, -2273, -2273,  4736,  1711,
     393,  1712,  1709, -2273, -2273, -2273,  1732, -2273,  1673,  3099,
   -2273, -2273,  1650,  4736,  4736,  4736,  4736,  4736,  4736, -2273,
   -2273,  1705, -2273, -2273,  2387, -2273, -2273, -2273,   687, -2273,
    1743, -2273, -2273, -2273, -2273,   197, -2273,   502,  1738,  1741,
   -2273,  4736,  4736,  4736,  4736,  4736,  4736,  4736,  4736,  4736,
    4736,  4736,  4736,  4736,  4736,  2971,  2378, -2273,  1327, -2273,
   -2273, -2273, -2273, -2273,  1755,  1762,  1764,  1765, -2273, -2273,
      44, -2273,  1767, -2273, -2273, -2273,   964,  1771, -2273,  1773,
   -2273,  2620, -2273,  1369,  1030,  1030,  1030,  1030,  1030, -2273,
    1030,  1030, -2273,   199,   205,  1776,  1030,  1030,  1777,  1778,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273,   948, -2273, -2273,
    1781,  1782,   617,  1783, -2273,   744, -2273, -2273,   869,  1786,
    4736,  1740, -2273, -2273,  1742,  1717,  1718, -2273, -2273, -2273,
   -2273,  4736,  1746, -2273, -2273, -2273, -2273, -2273,  4736, -2273,
   -2273, -2273, -2273, -2273,   869, -2273, -2273,  1748, -2273,   869,
    1091, -2273,  1430, -2273,   869,    91,   869,   995, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273,   351, -2273, -2273,  1796, -2273,
    1384, -2273, -2273, -2273, -2273, -2273, -2273, -2273,  1621, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273,  1561,  1564,  1165,
    1567,  1568, -2273,  1769,   869,   869, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,   -11,  1780,  1784,   -35,   301,  1621,
    1486,  1621,  1597,  1793,  1794,  1759, -2273,  1795, -2273, -2273,
   -2273,  1218,  1812,   103,   606,  1812,   182,  1621,   869,  1591,
    1593,   869,  1595,  1621,  1596,  1621,  1684,  1621,  1621,  1799,
    1621,  1621,  1621,  1621,  1621,  1621,  1481,  1609,  1621,  1810,
    1621,  1811,    80,  1612,  1621,  1621, -2273, -2273, -2273, -2273,
   -2273, -2273,  1621,   639, -2273, -2273,  1621, -2273,  1674,   869,
    1621, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,   869,
     869, -2273,  1849,  1850, -2273, -2273, -2273, -2273, -2273, -2273,
    1851,  4736, -2273, -2273,   769,  1677, -2273, -2273,   769, -2273,
   -2273, -2273,   769,  1621,  1650, -2273, -2273, -2273, -2273, -2273,
   -2273,   741,   803, -2273, -2273, -2273,  1621,  1650, -2273, -2273,
   -2273,  1031, -2273,  1165, -2273, -2273, -2273,   154,  1555, -2273,
    1825,  1621, -2273,  1621,   869,  1582, -2273,   869, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273,   869, -2273,  1861, -2273, -2273,
   -2273,  2798, -2273, -2273,   911,   513, -2273, -2273, -2273, -2273,
    1832,  1867,   597,  3456, -2273,  1735,  1853, -2273, -2273,  4736,
   -2273,  4736, -2273, -2273,   759,  3638,  3251,  3347,  3415,  3427,
    3750,  1814,   565,  1816,  3860, -2273, -2273,  1871,  1433,  1665,
   -2273,   803, -2273,  1638,  1641,  1995,  1995,  1995,  2088,  2088,
    1995,  1995,  1995,  1995,  1995,   878,   878,  1709,  1709, -2273,
   -2273, -2273, -2273, -2273,  1843, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,  1057, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,  1116, -2273, -2273,  1892, -2273, -2273, -2273,  1544,
    1484,  1851,  1882, -2273,  1726,  1727,   221, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273,  1885, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,   936,   936,   936,   936,  1905,   936,
     936,    66,  1030,   936,  1030,   936, -2273,   936,   936, -2273,
   -2273,   -47, -2273, -2273, -2273, -2273,  1851,  1180,   702, -2273,
   -2273,  1907, -2273, -2273,  2342,  1863, -2273,  3718, -2273, -2273,
   -2273,   702,  1895, -2273,  1869,  3961, -2273,  4056, -2273, -2273,
    1899,  1304,  1309,   702, -2273,   702, -2273,   -47, -2273,  1873,
    1874, -2273, -2273, -2273,   720, -2273, -2273, -2273,  1893, -2273,
    1854,  1876,   845, -2273,  2288,   844,   869,   869,  1879,   869,
     869, -2273,  1881,  1896,  1621,  1246, -2273, -2273,  1749,  1671,
     869,  1897,  1898,  1902,  1621,  1903,  1621, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273,   423, -2273,   869, -2273,   869,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273,  1904, -2273,   869,
   -2273,   869,  1909,  1911,   869,   869,  1914,   869,  1915,   869,
    1916,  1384,  1919,  1920, -2273,  1921,  1922,  1924,  1925,  1926,
    1927,  1621,  1391,  1929, -2273,  1932, -2273,   869,  1940,  1621,
    1943,  1944,  1382, -2273,  1192, -2273,   869, -2273, -2273, -2273,
     869, -2273, -2273, -2273,   480, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,  3456, -2273,  1754, -2273,  1621, -2273, -2273, -2273,
    1945,  1655,  1145,   125,  1946,  1953, -2273,  1812,  1901,  1939,
     869,  1621,  1621,   154,  5308, -2273, -2273,  1818, -2273,   869,
   -2273,  1854,  1880, -2273,   911, -2273, -2273,   911,  1990, -2273,
   -2273,  4736,  1978,  1980,  3556,  3129, -2273, -2273, -2273,  4736,
   -2273,  4736,  4736,  4736,  4736, -2273,  3180,  4736,  3503,  4736,
   -2273,  1937,  4736, -2273, -2273, -2273,  1999,  2001,  4736,  1327,
   -2273,    44, -2273, -2273,   737,   579,  1356, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,  1997,  1997,
   -2273, -2273,   889, -2273,  2015,  2026,  2029,  2030, -2273,  2031,
    2033, -2273, -2273,  2022,  1384, -2273, -2273, -2273,  1384,  1384,
     936,  2035,   936,  2036,  2037,  2038, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,  2858, -2273,  5022,   241,  1991,  1968,
    1854, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273,  1135, -2273, -2273, -2273,  1787,  1788,  1621,  1621,  1122,
    2000, -2273,  2028, -2273, -2273, -2273,   225, -2273,  2002, -2273,
   -2273,  1890, -2273, -2273,  2004, -2273, -2273, -2273, -2273,  1165,
    1744, -2273,  2008,  1984,  2013, -2273,  2016,  2017, -2273, -2273,
    2018,   303, -2273,  2019,   174,   869,  2020, -2273, -2273, -2273,
    2034, -2273,  2039,   814,  2041,   151, -2273,   184, -2273, -2273,
   -2273,   445, -2273, -2273, -2273, -2273,  2042,  2043, -2273,  2044,
   -2273,  2045, -2273,  2050, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,  2054, -2273,  2056, -2273, -2273,  2057, -2273,  2058,
   -2273, -2273,  1789, -2273,  1715,   981,  1194,  1702,  1910,  1886,
    1733,  1931,   -25,  1621,  2025,  1621,   119,   869,  1621, -2273,
    2063, -2273,  1851,  1212,   869,   702,  1985, -2273, -2273,  2074,
   -2273, -2273, -2273, -2273,   290,  1621, -2273,   167, -2273,  1870,
    1218, -2273,   135,  2076, -2273,  1679, -2273,  1457, -2273, -2273,
   -2273, -2273,  1275, -2273, -2273, -2273,  1275,  1950, -2273, -2273,
    2081, -2273, -2273,  1621,   869, -2273, -2273,  2083,   869, -2273,
    1941,  1992,  1941,  1102,   -39,  1941, -2273, -2273,  2091, -2273,
   -2273, -2273, -2273,  1939, -2273, -2273,  2110, -2273, -2273, -2273,
     725, -2273, -2273,  4736,  4736,  2087,  4736, -2273, -2273, -2273,
    4736,  4736, -2273,  2096,  2097,  2105,  2128,  4736, -2273,   776,
   -2273,   869, -2273, -2273, -2273, -2273, -2273, -2273,  2125,  3456,
    2129, -2273,  4736, -2273,  4736,  2963,  2996,  3670,  4085,  4183,
    4284,  4379,   773,   525,  3456,  2084,   787,   747,  2089,  2147,
    3860, -2273, -2273,  4408, -2273, -2273,  2145,   737,  1705,   889,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,  2166, -2273,  2167, -2273, -2273, -2273,   241, -2273,
     241,  2094, -2273, -2273,  5022, -2273, -2273,  2123, -2273,  2159,
   -2273,  1928,  1934, -2273, -2273,   869,   869, -2273,  1440,  1551,
   -2273, -2273, -2273, -2273, -2273, -2273,  2021, -2273,    89, -2273,
   -2273,  2106, -2273,    60, -2273,  1621, -2273,   869, -2273, -2273,
   -2273, -2273,  2006,  1790,  1785, -2273,   -18,  1797,  1011,  1234,
   -2273, -2273,  2150,  2152,  2153, -2273, -2273, -2273, -2273,  1211,
    1621, -2273,  1951,   869,   869,  2155, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,   414,
     789,  1621,  1621,   -23,  1650,  1621,   518,  1650, -2273, -2273,
   -2273,  1917, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273,  1887, -2273, -2273, -2273,   869,   869,  1621,
   -2273,  2137,   869, -2273,  2138,  1384, -2273, -2273,  2139,   869,
   -2273, -2273,   869,  2140, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273,  2141, -2273, -2273, -2273,  1041,   599, -2273,  1621, -2273,
   -2273, -2273,  2046, -2273, -2273, -2273, -2273,   869,  2143,   869,
   -2273, -2273, -2273,  2160, -2273, -2273, -2273,   869, -2273,  2110,
    2203,  4736,  2142,  5022,  3738,  2175,  2176,  4412,  3335,  2234,
    2600,  1714, -2273, -2273, -2273,  4736,  2177,  4736,   988, -2273,
     -29,  2212,  2199,  4506,  4607, -2273, -2273, -2273, -2273,  2173,
   -2273, -2273,  1383,  2174, -2273, -2273, -2273, -2273, -2273, -2273,
    1678,  2197,  2197,   920,  2191, -2273,  1678,  2197,  2197,  1275,
    2192,  4736, -2273, -2273, -2273, -2273, -2273,  2215,  4736, -2273,
    3826, -2273,  2216,  4736,  2243,  4149,  4472,  2178, -2273, -2273,
   -2273, -2273,  1266,  2226, -2273, -2273, -2273,  2201,   869,   869,
   -2273, -2273,   737,  1705, -2273, -2273, -2273, -2273,  2180,  1621,
   -2273, -2273, -2273, -2273, -2273,  2106, -2273, -2273,   423,   702,
    1948, -2273,  2205,  1858,  1988, -2273, -2273, -2273, -2273, -2273,
   -2273,   303, -2273, -2273, -2273, -2273,  2023,  2027, -2273,  2032,
   -2273, -2273, -2273,   215,   215,  1165,  1872, -2273, -2273, -2273,
   -2273, -2273,  2078,  2012, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273,  1621,  1621,  1854,  2198, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,  2202, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,  2207,   869,
   -2273,  1621, -2273, -2273, -2273,  2208, -2273, -2273,  5214, -2273,
   -2273,  4736, -2273, -2273,  2222, -2273,  5594, -2273, -2273,   241,
    2168,  4736,  5858,  5500, -2273,  5580,  2236,  2237,  2238,  2241,
    2242, -2273,  1165,  2248, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
    2291,   869,  1478, -2273,  2224, -2273,   237,   869,  1587,   684,
   -2273, -2273, -2273, -2273,  1478,   237,   684,  2230, -2273,  4871,
    2254,  2255,   793,   661,  2256,   796,  2259,  2260,   713,  2261,
     730, -2273, -2273, -2273,  4736,  2264, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273,  1215, -2273, -2273, -2273,  1165,  2024, -2273,
   -2273, -2273, -2273,   869,   869,   869, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273,  1621,   869, -2273, -2273,  1679, -2273, -2273,
     625,   836,    27,   462,     7, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273,  2271,  2206,  1231,
   -2273, -2273,  3456, -2273, -2273, -2273, -2273, -2273, -2273,  4736,
    4736,  4736, -2273,  4736, -2273, -2273,   869, -2273, -2273,   869,
    1608,   869, -2273,  2197,  2197,  2289, -2273, -2273, -2273, -2273,
   -2273,  2197,  2197,  2306, -2273, -2273, -2273, -2273,  2292,  4736,
   -2273, -2273, -2273,  2293,  4736, -2273,  4736,  2316, -2273,  4736,
   -2273,  3456, -2273,  2104, -2273, -2273, -2273,  1258, -2273, -2273,
    1621,  2251,  2077,   869,   869,   407, -2273, -2273, -2273,  1043,
    2252,  2281, -2273,  1621, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273,  2792, -2273, -2273, -2273,    -7, -2273, -2273,  1621,   869,
    1621,  2282, -2273,   869,   869,   107,   869,  2011,   265, -2273,
    2285, -2273,  1621,  1855,  1856,  1621,  1621,  2287,   300, -2273,
     -14,   -48,  1136, -2273,   -50, -2273,  5594, -2273, -2273, -2273,
    2387, -2273, -2273,  2335, -2273, -2273, -2273, -2273,   124,  4736,
    2294,  2268,  5153,  5183,  5294,  5350, -2273,  2224,   869, -2273,
     869,   869,   869,  1587,  1587, -2273,  2295,  2296,  2297,  2269,
    2307,  2310,  2311,   869,  2062,  1206, -2273,   869,  2068,   202,
    2108,   869,  2124,  2127,    35, -2273,  2327,  2130,  2132, -2273,
    1317,  2134, -2273, -2273, -2273,  1312, -2273,  2181, -2273, -2273,
   -2273,   809, -2273, -2273, -2273,  1506, -2273,   869,  2093,   296,
    2126,  1942,  2305,   869,   869,  1621,   143,  1959,  2053,   869,
    1621,   869,  2069,   621,   -76,   869,  2272,  1969, -2273,  2348,
   -2273,   869,  2350, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273,   869,   869, -2273, -2273, -2273,   869,   869,
   -2273, -2273, -2273, -2273,     8,  -185,  1933,   -53,   -56,  1938,
    1947,  1621,  1935,  2154,  1949,  2117,  2111,  2115,  2372, -2273,
      63,  1165,  2374, -2273,    63,  2402,  2377,   869, -2273,  1621,
    2135,   552,  -148,   869,  2169,  1621,    24,  1165,  2075,  2172,
    2315,  -175,  2182,  2184,    62,  1936,  1954,  1956, -2273,  2396,
   -2273,  1930,  1952,   702,  2397, -2273, -2273,  5439,  1200,  1213,
   -2273,  3456,  2399,  4736,  2403,  2404,  2405,  2408, -2273,  2425,
    2427, -2273, -2273, -2273, -2273, -2273, -2273,  4736, -2273,  4736,
   -2273, -2273,  1367, -2273, -2273, -2273,   869,   869,   869,   869,
     869, -2273,  1621, -2273,   869,   869, -2273,  2162, -2273,   869,
     869,  2388,  2426,   869, -2273, -2273,  1376,  2454,   118,   869,
    2454,  1396,   149,  2400, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273,   131,   869,   869, -2273,  1621,  2047, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273,  1621,   855, -2273, -2273,
   -2273,   869,   869, -2273,  1621,  1621, -2273,   869,  1621, -2273,
   -2273, -2273, -2273, -2273,  1989,  1989,  2219, -2273,   869,  2231,
    2232,   763,   869,   763,  2223,   869,   869,  2049, -2273,  1621,
     869,   869,  2298,  1621,  1041,  1621,   599, -2273, -2273,   869,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
     869,   869,   869, -2273,  1621,  1621, -2273,   869, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273,   953,   869,   869, -2273, -2273,
     869,   869,  1621, -2273,  1621,  1621,  1621, -2273, -2273,  2290,
    2317, -2273, -2273, -2273,  4736, -2273, -2273, -2273,  2380, -2273,
    5469, -2273, -2273, -2273, -2273,   869,   869,  2435,  2415,  1165,
    1165, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273,  1317, -2273, -2273, -2273, -2273,  2442,  2454,
    2454,  2443,  2444,  1262,  1328, -2273, -2273, -2273, -2273,  2445,
    2454,  2454, -2273, -2273, -2273, -2273, -2273, -2273, -2273,  1621,
    1086, -2273,  2079, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
    1621, -2273, -2273,   869, -2273,   869,   869, -2273, -2273, -2273,
   -2273,  1989, -2273,   869,  1989, -2273,  1621, -2273, -2273, -2273,
     869, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,  2085, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,   702,   702,  5439,  5594,  2446, -2273, -2273, -2273,
    4736, -2273, -2273, -2273,   809,  2466,  2468,   809,   809, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,   809,
    2473,  2478, -2273, -2273, -2273,  2095, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,  2455, -2273,   809,   809, -2273, -2273, -2273,   809,
     809, -2273,  2480,  4736, -2273, -2273, -2273, -2273, -2273,  2481,
   -2273
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1457,     0,     3,   135,   137,   139,   574,   576,   578,   580,
     584,   586,   588,   645,   654,   656,   658,   660,   662,   664,
     666,   668,   670,   672,   674,   681,   683,   685,   687,   689,
     691,   693,   697,   699,   793,   795,   797,   799,   755,   982,
    1125,  1127,  1129,  1131,  1133,  1135,  1137,  1139,  1311,  1313,
    1376,  1441,  1443,  1445,  1447,  1449,  1451,  1453,  1455,     1,
       2,     0,   410,     6,   408,   409,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,     0,   401,   402,   404,
     405,   406,   407,     0,     0,  1411,     0,     0,     5,     7,
     141,   144,   146,   148,   150,   180,   390,   397,   399,     0,
     411,   414,     0,   471,   475,   426,   429,   433,   429,   757,
     429,   708,   429,   433,   429,   969,   429,   433,   429,   433,
       0,   433,   429,  1172,   429,  1258,   429,  1315,   429,   433,
     433,  1410,  1433,  1436,   429,   429,   433,   136,   138,   140,
     265,   266,   276,   193,   194,   271,   285,   269,     0,     0,
       0,     0,   286,     0,     0,     0,   289,   267,   268,   287,
     288,   290,   291,   292,   293,   294,   295,   297,   298,   296,
       0,     0,     0,     0,     0,     0,     0,     0,   707,   792,
     956,   959,   958,   955,   957,   960,   961,   962,   965,   967,
     963,   964,   966,   968,  1121,  1122,  1123,  1124,  1256,  1257,
    1309,  1310,  1382,  1383,  1384,  1385,  1386,  1387,  1388,  1389,
    1390,  1391,  1392,  1393,  1394,  1395,  1396,  1397,  1398,  1399,
    1400,  1401,  1402,  1403,  1404,  1405,  1406,  1407,  1408,  1409,
    1489,  1490,    37,    38,    47,    39,    40,    41,    42,    48,
      43,    44,    45,   272,   133,   134,    46,   270,   280,   317,
     318,   350,   316,   319,     0,   320,   701,   703,   702,     0,
       0,     0,   701,    69,    69,     0,     0,     0,     0,   700,
       0,   705,     0,     0,   590,     0,   647,     0,     0,   583,
       0,   583,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   677,     0,   676,   679,    69,   984,  1458,  1457,     0,
    1457,     0,     0,  1459,  1454,    16,    15,   801,   802,   803,
     804,   805,   806,     0,   181,   142,   145,   152,   153,   154,
     156,   155,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,     0,     0,     0,     0,    67,    66,     0,     0,
       0,     0,    22,   403,     0,     0,   477,   476,   478,   479,
       0,     0,     0,     0,     0,     0,     0,   415,   424,   503,
    1316,   808,   758,   709,   970,   991,  1151,  1166,  1173,  1259,
    1346,  1463,  1476,   994,  1261,     0,   430,     0,   502,     0,
      22,     0,   509,     0,     0,     0,     0,   441,     0,   455,
       0,     0,     0,     0,     0,   915,   916,   807,     0,     0,
       0,     0,     0,     0,   905,   906,     0,     0,     0,     0,
      22,     0,     0,     0,     0,    22,     0,   812,   809,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     0,     0,     0,    22,     0,     0,
       0,     0,     0,     0,   917,   951,     0,     0,     0,     0,
     990,     0,     0,    22,     0,     0,    22,     0,     0,    22,
     997,  1001,   455,  1002,     0,     0,  1015,     0,  1150,    22,
       0,     0,     0,     0,     0,     0,  1155,     0,  1168,  1165,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1345,     0,     0,     0,     0,     0,  1365,
    1374,  1462,     0,     0,     0,     0,     0,    22,     0,    22,
    1468,  1469,     0,     0,     0,     0,  1475,  1482,     0,  1479,
       0,   265,   285,   265,   265,     0,     0,   265,   265,     0,
     254,     0,    29,     0,     0,     0,    32,    33,   281,     0,
       0,     0,   314,    36,   216,   217,     0,   219,     0,     0,
     128,   128,     0,     0,     0,     0,     0,     0,     0,   195,
     198,   194,   197,   200,     0,   273,    37,    38,   245,   196,
     234,   231,   232,   233,   241,     0,   249,     0,     0,     0,
     673,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   512,     0,   511,
     696,   694,   695,    68,     0,     0,     0,     0,   688,   523,
       0,   522,     0,  1456,   704,   706,   705,     0,   585,     0,
     577,     0,   575,     0,   583,   583,   583,   583,   583,   582,
     583,   583,  1141,   583,   583,     0,   583,   583,     0,     0,
     667,   659,   669,   661,   655,   657,   663,   665,  1429,  1424,
    1427,  1425,  1426,  1428,  1430,  1431,  1432,     0,  1422,   680,
       0,     0,     0,     0,  1450,  1459,  1446,  1448,  1460,     0,
       0,     0,   172,   167,     0,     0,     0,   393,   395,   396,
     498,     0,     0,   398,   472,   473,     9,    11,     0,   474,
      18,    20,    19,    21,     0,    17,  1437,     0,  1435,   480,
       0,   488,  1414,  1419,  1415,     0,     0,     0,  1440,  1439,
     413,   422,   412,   992,   993,   429,  1260,   431,     0,   504,
       0,   434,   435,   489,   440,   439,   438,   436,    22,   505,
     453,   457,   506,   507,   763,   716,   835,     0,     0,     0,
       0,     0,   852,     0,     0,     0,   909,   907,   910,   908,
     911,   913,   912,   914,     0,     0,     0,     0,    22,    22,
       0,    22,     0,     0,     0,     0,   853,     0,    23,    24,
      25,     0,    26,     0,     0,    26,     0,    22,     0,     0,
       0,     0,     0,    22,     0,    22,     0,    22,    22,     0,
      22,    22,    22,    22,    22,    22,     0,     0,    22,     0,
      22,     0,     0,     0,    22,    22,   836,   949,   953,   837,
     979,   995,    22,    22,  1016,  1003,    22,  1013,  1010,     0,
      22,  1004,   998,   999,   457,   996,  1018,  1152,  1162,     0,
       0,  1161,     0,     0,  1158,  1163,  1164,  1154,  1153,   448,
     176,     0,   462,   463,     0,     0,   461,   443,     0,   444,
     459,   442,     0,    22,     0,  1169,  1170,  1184,  1268,  1318,
    1347,     0,     0,    56,    55,  1361,    22,     0,  1348,  1349,
    1367,     0,  1366,     0,  1370,  1368,  1369,  1359,  1362,  1372,
       0,    22,  1380,    22,     0,     0,  1470,     0,  1472,  1378,
    1465,  1464,  1477,   489,  1480,     0,  1478,     0,   257,   263,
     261,     0,   193,   194,   265,     0,   262,   264,   256,    28,
      30,     0,     0,   282,   339,     0,     0,   340,   218,     0,
     299,     0,   129,   130,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   205,   246,   247,     0,     0,     0,
     274,     0,   275,     0,     0,   311,   309,   307,   304,   305,
     306,   308,   310,   312,   313,   300,   301,   302,   303,   329,
     328,   322,   323,   324,     0,   327,   321,   325,   326,   334,
     335,   336,   331,   332,   333,   337,   338,   641,   639,   640,
     624,   627,   631,   634,   637,   638,   625,   626,   628,   629,
     630,   632,   633,   635,   636,   642,   643,   644,   516,   517,
     518,   520,   521,   519,     0,   514,   686,   682,   690,   692,
     527,   528,     0,   525,   698,     0,   579,   587,   589,     0,
       0,   176,     0,   600,     0,   621,     0,   602,   601,   606,
     607,   620,   622,   623,   591,   599,     0,   646,   649,   650,
     651,   652,   648,   653,    69,    69,    69,    69,     0,    69,
      69,     0,   583,    69,   583,    69,  1126,    69,    69,  1377,
     671,     0,   678,   675,   684,   983,   176,     0,     0,   988,
    1452,     0,  1461,  1442,     0,   168,   182,     0,   143,   174,
     147,     0,     0,   489,     0,     0,   391,     0,  1438,  1434,
       0,   482,   485,     0,  1418,     0,  1417,     0,  1420,     0,
       0,    12,    13,    14,     0,  1167,   432,   437,   492,   495,
     510,     0,     0,   458,   433,   433,     0,     0,     0,     0,
       0,   843,     0,     0,    22,    22,   881,   883,     0,     0,
       0,     0,     0,     0,    22,     0,    22,   898,   897,   571,
     900,   854,    54,    53,   812,     0,   812,     0,   840,     0,
     815,   816,   830,   831,   832,   833,   834,     0,   809,     0,
     838,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   880,     0,     0,     0,     0,     0,
       0,    22,     0,     0,   882,     0,   847,     0,     0,    22,
       0,     0,     0,   954,   433,  1005,     0,  1008,  1007,  1006,
       0,  1014,  1012,  1000,     0,  1159,  1160,  1156,  1157,   175,
     460,   172,   178,   470,   464,   446,    22,   447,   445,   450,
       0,   433,   433,   433,     0,     0,  1354,    26,  1363,     0,
       0,    22,    22,  1360,     0,  1352,  1473,  1466,  1379,     0,
    1471,   497,  1486,  1481,   265,   255,   259,   265,     0,    30,
     284,     0,     0,     0,     0,     0,   124,   126,   347,     0,
     315,     0,     0,     0,     0,   349,     0,     0,     0,     0,
     199,     0,     0,   235,   242,   250,     0,     0,     0,     0,
     513,     0,   524,   581,   618,   619,     0,   615,   616,   617,
     611,   609,   610,   592,   608,   593,   598,   605,     0,     0,
     594,   595,   603,   604,     0,     0,     0,     0,   756,     0,
       0,  1140,  1149,     0,     0,  1144,  1147,  1142,     0,     0,
      69,     0,    69,     0,     0,     0,  1423,   987,   986,   985,
     989,  1444,     8,   170,     0,   172,   184,     0,     0,     0,
     499,   392,   394,    10,   481,   483,   484,   486,   487,  1413,
    1416,     0,  1412,   400,   425,     0,     0,    22,    22,     0,
       0,   493,    69,   489,   508,   456,     0,   451,     0,   765,
     766,     0,   759,   760,     0,   718,   723,   725,   725,     0,
       0,   710,     0,     0,     0,   866,     0,     0,   865,   864,
       0,     0,   817,     0,    22,     0,     0,   890,   889,   896,
       0,   877,     0,     0,     0,     0,    27,     0,   813,   814,
     903,     0,   810,   811,   857,   849,     0,     0,   870,     0,
     859,     0,   845,     0,   846,   879,   862,   884,   861,   860,
     895,   863,     0,   885,     0,   887,   848,     0,   855,     0,
     858,   904,     0,   952,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    22,     0,    22,    22,     0,    22,   924,
       0,   981,   176,     0,     0,     0,     0,   975,   971,     0,
    1009,  1011,  1017,  1111,     0,    22,  1031,    22,  1029,     0,
       0,  1021,    22,     0,  1035,  1112,   177,     0,   469,   449,
    1171,  1186,     0,  1187,  1178,  1180,     0,     0,  1174,  1175,
       0,  1270,  1271,    22,     0,  1262,  1263,     0,     0,  1317,
    1330,     0,  1330,     0,     0,  1330,  1320,  1321,     0,  1324,
    1350,  1351,  1353,     0,    62,    63,  1355,  1357,  1356,  1358,
       0,   186,  1375,   354,   354,     0,     0,   351,   352,   353,
       0,     0,   365,     0,     0,     0,     0,   354,  1371,     0,
    1373,     0,  1474,  1381,  1484,  1488,   258,   260,     0,   283,
       0,   341,     0,   277,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   205,     0,     0,     0,     0,     0,
       0,    34,    35,     0,   515,   526,     0,   612,   613,     0,
     596,   597,   800,   794,   796,   798,  1130,  1128,  1145,  1148,
    1143,  1146,     0,  1132,     0,  1136,  1312,  1314,     0,   183,
       0,     0,   190,   191,   185,   188,   189,     0,   149,     0,
    1421,     0,     0,   416,   417,     0,     0,   423,   490,     0,
     494,   496,   452,   454,   489,   761,     0,   764,   711,   489,
     712,   743,   713,   747,   714,    22,   717,     0,   872,   850,
     871,   874,     0,     0,     0,   821,     0,     0,     0,     0,
     819,   875,     0,     0,     0,   891,   876,   878,   573,     0,
      22,   570,     0,     0,     0,     0,   901,   842,   841,   839,
     869,   868,   851,   867,   844,   888,   886,   856,   902,     0,
      22,    22,    22,     0,     0,    22,     0,     0,   931,   932,
     933,     0,   929,   945,   944,   946,   934,   950,   974,   973,
     972,   977,   976,     0,   980,   489,  1034,     0,     0,    22,
    1022,     0,     0,  1020,     0,     0,  1038,  1033,  1037,     0,
    1027,  1019,     0,  1045,   465,   466,   467,   468,    52,    51,
    1220,  1229,  1177,   489,  1176,     0,     0,  1182,    22,  1185,
     489,  1267,  1264,  1266,  1269,  1332,  1331,     0,     0,     0,
      25,  1334,  1333,  1322,  1337,  1338,  1325,     0,  1319,  1364,
       0,     0,     0,   184,   355,     0,     0,     0,     0,     0,
       0,     0,   386,   386,   377,     0,     0,     0,     0,  1467,
       0,     0,     0,     0,     0,    82,    93,    94,    80,     0,
      83,    84,     0,     0,    87,    88,    92,    89,   131,    90,
       0,   106,   106,     0,     0,   132,     0,   106,   106,     0,
       0,     0,   344,   345,   343,   346,   214,     0,     0,   212,
       0,   208,     0,     0,   206,     0,     0,     0,   330,   614,
    1134,  1138,     0,   357,   179,   192,   173,     0,     0,     0,
     420,   421,    59,    60,    61,    57,    58,   491,   789,    22,
     721,   719,   720,   722,   724,   743,   741,   726,     0,     0,
     750,   715,     0,     0,     0,   824,   825,   823,   827,   826,
     828,     0,   818,   893,   892,   894,     0,     0,   569,     0,
     564,   568,   572,    22,    22,     0,     0,   939,   940,   941,
     942,   943,     0,     0,   948,   935,   921,   922,   923,   930,
     947,    22,    22,  1114,  1118,  1024,  1025,  1023,  1099,  1026,
    1099,  1059,  1039,  1028,  1113,  1046,  1227,  1226,  1217,  1233,
    1232,  1240,  1179,  1242,  1243,  1250,  1181,  1183,  1306,     0,
    1327,    22,  1326,  1323,  1335,     0,  1328,    64,     0,   362,
     187,   354,   375,   376,     0,   370,     0,   251,   361,     0,
       0,     0,     0,     0,   374,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,    31,   342,   278,   279,    81,    85,
      86,    91,    76,    74,    72,    71,    73,    75,    70,    77,
      99,     0,   116,   101,    97,   107,   117,     0,     0,   118,
      50,    49,   115,   125,   121,   122,   123,   119,   127,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   248,   169,   171,     0,     0,   151,   418,   419,   787,
     767,   762,   726,     0,   746,   748,   749,     0,   752,   873,
     822,   829,   820,     0,     0,     0,   919,   920,   918,   927,
     926,   925,   928,    22,     0,   938,   978,  1112,  1116,  1120,
       0,     0,     0,  1048,     0,  1231,  1215,  1214,  1238,  1248,
    1304,  1272,  1265,  1329,  1339,   369,   356,     0,   363,     0,
     360,   366,   386,   387,   388,   386,   389,   372,   371,     0,
       0,     0,   379,     0,  1483,  1485,     0,    95,    79,    78,
       0,     0,    78,   106,   106,     0,   108,   109,   110,   111,
     112,   106,   106,     0,   348,   229,   213,   211,     0,     0,
     209,   227,   207,     0,     0,   225,     0,   223,   222,     0,
     220,   358,   359,   768,   791,   745,   744,     0,   536,   537,
      22,     0,     0,     0,     0,     0,   734,   529,   531,     0,
     563,     0,   751,    22,   754,   565,   566,   567,   936,   937,
    1115,     0,  1032,  1102,  1100,  1103,  1030,  1036,    22,     0,
      22,     0,  1044,     0,     0,     0,     0,     0,     0,  1058,
       0,  1230,    22,     0,     0,    22,    22,     0,     0,  1219,
    1234,  1244,     0,  1308,     0,   373,     0,   186,   201,   204,
       0,   378,   203,   239,   236,   237,   238,   243,     0,     0,
       0,     0,     0,     0,     0,     0,   100,    98,     0,   102,
       0,     0,     0,     0,     0,   120,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   790,     0,     0,     0,
       0,     0,     0,     0,     0,   786,     0,     0,     0,   732,
     532,     0,   727,   731,   735,     0,   736,     0,   733,   539,
     538,   540,   535,   742,   753,     0,  1119,     0,     0,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
      22,     0,     0,     0,     0,     0,     0,     0,  1098,     0,
    1104,     0,     0,  1042,  1043,  1041,  1040,  1052,  1049,  1055,
    1056,  1057,  1050,     0,     0,  1053,  1047,  1222,     0,     0,
    1221,  1223,  1228,  1218,     0,     0,     0,     0,     0,     0,
       0,    22,     0,     0,     0,     0,  1205,  1207,     0,  1237,
       0,     0,     0,  1247,     0,     0,     0,     0,  1307,    22,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1299,     0,
    1344,     0,     0,     0,     0,   364,   253,   205,     0,     0,
     186,   367,     0,     0,     0,     0,     0,     0,    96,     0,
       0,   103,   114,   113,   228,   210,   226,     0,   224,     0,
     221,   769,     0,   772,   773,   771,     0,     0,     0,     0,
       0,   778,    22,   770,     0,     0,   783,   784,   788,     0,
       0,     0,     0,     0,   737,   738,     0,     0,     0,     0,
       0,     0,     0,     0,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,  1074,  1064,     0,     0,     0,  1092,    22,     0,  1106,
    1061,  1079,  1097,  1086,  1087,  1088,    22,    22,  1060,  1081,
    1063,     0,     0,  1065,    22,    22,  1062,     0,    22,  1117,
    1105,  1101,  1051,  1054,  1254,  1254,     0,  1204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,    22,
       0,     0,     0,    22,     0,    22,     0,  1216,  1241,     0,
    1252,  1236,  1235,  1239,  1251,  1246,  1245,  1249,  1278,  1276,
       0,     0,     0,  1292,    22,    22,  1273,     0,  1297,  1300,
    1303,  1302,  1301,  1298,  1277,    22,     0,     0,  1274,  1275,
       0,     0,    22,  1279,    22,    22,    22,  1305,  1336,     0,
       0,  1343,  1340,   202,     0,   240,   244,   252,     0,   384,
       0,   381,   382,   380,   383,     0,     0,     0,     0,     0,
       0,   776,   777,   501,   500,   779,   780,   774,   775,   785,
     728,   729,   530,   532,   730,   739,   740,    65,     0,     0,
       0,     0,     0,     0,     0,   559,   560,   561,   562,     0,
       0,     0,   563,  1090,  1089,  1091,  1094,  1093,  1082,    22,
       0,  1080,     0,  1095,  1078,  1066,  1077,  1076,  1083,  1075,
      22,  1224,  1225,     0,  1190,     0,     0,  1211,  1212,  1213,
    1200,  1254,  1201,     0,  1254,  1194,    22,  1193,  1195,  1196,
       0,  1209,  1206,  1210,  1208,  1253,  1290,  1291,  1293,  1296,
    1283,  1285,     0,  1294,  1288,  1289,  1286,  1287,  1280,  1281,
    1282,  1284,     0,     0,     0,     0,     0,   105,   104,   215,
       0,   781,   782,   533,   540,     0,     0,   540,   540,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   540,
       0,     0,   534,  1084,  1085,  1108,  1107,  1096,  1255,  1202,
    1188,  1189,  1198,  1203,  1199,  1191,  1197,  1295,  1342,  1341,
     368,   385,     0,   545,   540,   540,   547,   546,   548,   540,
     540,  1109,     0,     0,   543,   544,   541,   542,  1110,     0,
     230
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,  -341,
    -366,   -60,   279,  -432,  -760, -2273,  -151,  -158,  1497,  1499,
    1501, -2273, -2273, -2273,  -178, -2273, -2273,  -491, -2273, -1428,
    -766,  -586, -2273, -2273,   994, -1737,  -103,  -128,   421,  -613,
   -2273,   956,   957,   958,   959,   710,   429,   432,   716, -1504,
    -663,   714, -2273, -2273, -2273, -2273,  1983, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,   -86, -2273,
   -2273, -2273,  1330,  -996, -2273,  -604,  1220, -2273, -2273, -2273,
     775, -2034, -2273, -2273,   935, -2273,  -195,  1613,   185, -1239,
   -2020,  2407, -1990, -1961,  1611,   187,  2040, -2273,  1626, -2273,
   -2273, -2273, -2273,  -479, -2273, -2273, -2273, -1238,  -143, -1243,
      -6, -2273, -1500, -2273, -2273, -2273, -1246, -2273, -2273, -2273,
   -1673, -2273, -2273,  -462, -2273, -2273,   171, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,   -34,   -97, -2273,  2440,  1370, -2273,
    2102,  1751,   -79,  -557,  -484, -2273,  -107, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,  1209,  -731,  -668, -2273, -2273, -2091,
   -2273, -2273, -2273, -2273, -2273,  -268, -2273,  1286,   286, -2273,
    1292, -1860, -2273,    13, -2144, -2273, -2273,  -805, -2273,   -12,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273,  -238, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273,  -867, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273,   236,  1961, -1250, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273,  1201,   546, -2273, -2273, -2273,
     718, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,  1422,
     201, -2273, -2273,   700, -2273, -2273, -2273, -2273, -2273, -2273,
     690, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273,   665, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273,   529, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,   114, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,   274,   258, -2273, -2273, -2273, -2273,
     106,   261, -2273, -2273, -2273, -2273,   111,   264, -2272, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273,  -584,   838, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,  1721, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273,  1505,  1542, -2273, -2273, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273,  1065,  1971, -2273, -2273,
   -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273, -2273
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    22,    23,    24,    25,     2,     3,   108,   109,   715,
     728,   396,  2068,  1950,  1166,   552,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,  2022,  1760,
    2183,   885,  1877,  1545,  1546,  2588,   358,   624,  2011,  2120,
    1829,  1830,  1831,  1832,  1833,  2012,  2013,  2014,  2016,  2017,
    2130,  2019,  1834,  1840,  1585,  1586,   942,  1276,  1277,   264,
     265,   266,   110,   692,   111,   112,   113,   114,  1630,  1354,
    1096,  1097,  1098,  1230,  1231,   866,  1099,   115,   691,  1355,
    1631,  1792,  1793,  1632,  1633,  1634,   267,   590,  2223,   952,
     591,   953,   592,   593,   594,  2227,   595,  2228,   596,   597,
    2099,   548,   268,   549,   269,   270,   932,   271,   272,   273,
    1594,  1567,  1795,  2045,  1635,  1980,  1636,  1801,  2229,  2558,
    1981,  2105,   116,   702,   117,   118,   407,   120,   121,   378,
    1380,  1124,   732,   122,   397,   408,   409,  1387,  1388,  1132,
     751,  1133,   410,   871,   867,  1508,  1235,   123,   370,   371,
     124,  1128,  1650,  1382,  1129,  1261,  1262,  1103,  1104,  2421,
     125,   126,   127,   743,   411,   620,  1024,  1025,   632,  1032,
    1033,  2166,  2167,  2431,  2168,  2169,  2170,  2443,  2599,  2282,
    1695,  1423,  1160,    26,    27,    28,    29,   655,    30,    31,
      32,   641,  1313,  1314,  1056,  1017,   279,    33,   643,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
     314,   680,    45,    46,    47,    48,    49,    50,    51,   280,
      52,    53,   281,   637,   275,   128,  1394,  1134,   129,  1654,
    2154,  2266,  2153,  2050,  1655,    54,    55,    56,    57,   130,
    1402,  1135,   131,  1884,  1658,  1659,  2054,  2171,  2278,  2053,
    1887,  1660,  1662,  1890,  2058,  2174,  1664,    58,   132,   796,
     793,  1413,  1679,  1680,  1177,   133,   785,  1424,   464,   465,
    2069,  1929,  1480,  1212,   828,  1213,   466,   134,  1489,  1214,
     135,    59,   682,   393,   136,   137,   843,   482,   483,   484,
     485,   486,  1224,  1503,  1744,  1741,  1747,  1748,  2082,  2191,
    1504,  2083,  2200,  1505,  2309,  2080,  2184,  2185,  2312,  2610,
    2722,  2696,  1735,  1753,  1934,  2077,  2181,  2079,  1736,    60,
      61,    62,    63,    64,    65,    66,    67,  1071,   138,   139,
     497,   140,   735,   141,   142,  1520,  1765,  1766,  1241,   143,
    1763,  2348,  2504,  2506,  2630,  2209,  2208,  2087,  1764,  1761,
    2207,  2085,  2084,  1947,  1762,  1951,  2088,  2352,  2508,  2210,
    1952,  1955,  2089,  2356,  2514,  2211,  1956,  2511,  2621,   394,
     144,  1527,  1242,   145,  1770,  2213,  2379,  2533,  2212,  2091,
    1771,    68,    69,   146,   147,  1243,  1538,  1777,  1539,  1783,
    1786,  1964,  1965,  2214,  2384,  2548,   148,   149,   897,   898,
     519,   520,  1570,  1254,   900,    70,   150,   532,   372,   151,
    1114,  1116,   725,  1119,   677,   678,   152,   153,    71,    72,
      73,    74,    75,    76,    77,    78,   323,   689,   154,  1572,
     533,   155,   156,   540,   913,  1993,  1810,  1575,   914
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     365,   274,   589,   352,  1569,   792,   795,   557,  1568,   729,
     834,  1566,  1130,   622,   556,   944,  1565,   550,   869,   588,
     709,   333,   356,   884,   357,  1164,   334,   335,  1784,   555,
    2380,  1758,  2353,   727,   727,  1178,   463,  1055,   536,   587,
     481,   668,   495,   317,   507,  1316,   586,  1593,  1595,  1597,
    1598,  1991,   517,   530,  1796,  1054,     4,     5,     6,   539,
     496,   890,   918,   658,   919,   920,  2349,  1806,   926,   927,
     518,   531,  1331,  2493,   359,   360,  2491,  1144,  1089,  2224,
     706,   706,   336,   638,   649,   707,   707,  2201,  1767,  1332,
    1347,   704,   705,   361,   412,   787,   413,  1888,   414,   766,
     467,   768,   468,   356,   487,   357,  1569,  2187,   509,  2225,
     510,  2524,   511,  1566,   512,   708,   708,   821,  1565,   770,
     534,   535,   706,   399,   669,  1896,  2432,   707,   400,   401,
    1982,  1333,   537,   742,   837,  2202,   403,   706,  2226,  2488,
     788,   789,   707,   790,     1,   356,   852,   357,  1718,   706,
     884,  1167,   719,   706,   707,  1168,   625,   708,   707,   859,
     710,   711,   712,   713,   562,   788,   789,   569,   790,  2589,
    1117,   772,   708,  1528,   119,    82,   710,   711,   712,   713,
      84,    85,   902,  2386,   708,   706,    79,   681,   708,  1323,
     707,   404,   706,   356,   405,   357,  2538,   707,  2456,  1167,
    2600,  2529,  2389,  1697,  1249,  1529,   311,     7,   710,   711,
     712,   713,  2426,  2622,  1148,   710,   711,   712,   713,   282,
     708,   277,   649,  2199,     8,  1030,  1922,   708,   649,   656,
    1179,  1334,  1167,   706,  1180,   650,  1698,  2530,   707,   276,
     282,   277,   277,   312,  1320,   283,   284,   287,   288,     9,
      10,  2118,  2122,   799,   315,  2539,   710,   711,   712,   713,
     800,  2474,  1880,  1118,   325,   326,   157,   617,   708,   724,
    2523,  2417,  2418,  1881,  1882,   959,   318,   634,  1127,   635,
    1250,  1031,  1251,   706,  2319,  2390,  2489,    11,   707,    12,
     399,    13,   694,  2265,   891,   400,   401,   319,   158,   853,
     745,   746,    14,   403,   618,   657,   285,  2188,   480,    97,
      98,    99,   100,   101,   102,  2123,   730,  1240,   708,   706,
    2463,  2308,  2590,   892,   707,  1335,   775,  1138,  2018,   364,
    1245,    15,   893,  1719,  2018,    16,   313,  2427,  1149,   693,
      17,    18,   710,   711,   712,   713,   651,  1092,  1108,   744,
    1923,   589,  2378,  2601,   708,  1169,  2557,   639,   404,  2702,
     960,   405,  2704,  2525,   159,  2454,  2418,  1889,   278,  2224,
     720,  1072,  1360,   727,   325,   326,   289,  1074,  1110,   560,
    2333,  2475,   780,  1115,  1569,  1120,  1897,  1336,   278,   278,
    1145,  1566,  2334,  1321,  1883,  1672,  1565,   619,   550,  2225,
     550,   550,   395,  1169,   550,   550,  1064,  1065,  1066,  1067,
    1068,  2027,  1069,  1070,  2189,  1073,  1075,  2320,  1077,  1078,
     767,  2494,   769,  1142,  1143,   290,   636,   935,  2226,  2230,
    2495,   286,  2231,  2492,  1181,  2310,  1169,   362,  2354,  2432,
     771,  2311,  1530,  2419,  2355,  1266,   325,   326,   316,  2335,
    2336,  1610,  1611,  2464,  1315,  1992,   816,  1183,  1252,  1247,
    1186,  1248,  2531,  1207,   324,    19,  1337,  2381,  2382,  2190,
     670,  2096,  2350,  2383,   820,  1531,  1532,  2351,   781,  2337,
    1170,  1171,  1785,  1225,  1226,  2486,  1728,  1542,  1338,  2324,
    2203,  2204,   773,  1179,  2205,  2206,   561,  1699,  1221,  2420,
     894,   895,   896,   782,   353,  1723,  2542,    80,   727,   727,
     652,   794,   817,   671,   672,   673,   674,   675,   676,   757,
    1339,   626,   627,  1234,   653,   654,   791,  1234,  1170,  1171,
    1349,  1234,   818,   538,   354,  1848,  2532,  2419,  1673,   921,
    1682,    81,  2192,  1569,   936,  2321,  2338,  1974,  2509,   884,
    1566,    82,   933,    83,  1742,  1565,    84,    85,   722,  2339,
    1492,  1170,  1171,  1258,  1150,   723,  1260,   945,   946,   947,
     948,   949,   950,   363,  1263,  1287,  2603,  2604,   954,  1849,
     961,  2465,    86,  1063,  2274,   320,   321,   322,  1749,  2066,
    2067,   959,   629,  2455,   758,   965,   966,   967,   968,   969,
     970,   971,   972,   973,   974,   975,   976,   977,   978,  2031,
    1487,  2033,  1913,  1163,  2035,   553,  2038,  2040,  2275,  2240,
    2241,  2521,  2418,  1085,  1953,    20,    21,  2243,  2244,   630,
    1606,   355,   327,   587,   328,   329,   330,   331,   332,   706,
     586,   716,  1533,  1288,   707,   554,   555,  1534,  1162,  1535,
     717,  1270,   374,    87,  1493,    88,    89,   706,    90,  1494,
      91,   377,   707,  2158,  2159,   962,    92,  1151,    93,    94,
      95,  2139,    96,   644,   708,  1271,  1267,  1737,  1954,   741,
     710,   711,   712,   713,  1094,    97,    98,    99,   100,   101,
     102,   747,   708,   373,  2161,  1105,  1674,  1181,  2118,  2122,
     645,  1125,  1107,  2592,  1675,  2182,  1676,   376,  1677,   776,
     375,  1678,  2193,   498,   784,  2140,  1738,  2276,  2277,  1208,
     955,   956,   631,  2146,   557,   356,  1569,   357,   809,  1443,
    2098,   556,  2106,  1566,  1746,  1914,   819,   103,  1565,  2104,
    2149,  1739,   327,   104,   328,   329,   330,   331,   332,   105,
     106,  1915,   835,  1791,  2194,   838,   558,  1853,   841,  1916,
    1495,  1237,  2131,   589,   589,  1238,   957,  2147,   848,  1086,
     861,  2195,  2340,   551,  2341,  2342,   646,   553,   558,  2343,
    2344,   550,  2345,   588,  2150,  1576,   559,   706,  1577,  2346,
    2347,   647,   707,  2419,   570,  1403,  1404,  1087,  1406,  1407,
    1374,  1854,   563,   587,  1807,   366,   906,   706,   908,  1416,
     586,  1233,   707,  1278,   327,  1808,   328,   329,   330,   331,
     332,  1088,   708,   554,   555,  1855,  1428,  1846,  1429,   571,
     710,   711,   712,   713,  1340,   572,  1342,  1279,  1432,  1926,
    1433,  1851,   708,  1436,  1437,  2472,  1439,  2137,  1441,  2522,
    2142,  1847,  2675,  2676,   598,  1232,   554,   555,  1496,  1162,
    2437,  1454,   599,  2690,  2691,  1852,  1457,  1927,  1928,  1375,
    1376,  2138,  1619,   706,  2143,  1490,  1620,  1621,   707,  1491,
     291,  1309,   292,   367,   368,   369,   573,   706,  1308,  2196,
    2197,  2198,   707,   574,  1688,  2438,   710,   711,   712,   713,
    2247,   575,  1216,   760,  1497,  2249,   761,  2250,   708,  1547,
    2252,   576,   293,   613,   614,   577,  2186,   615,  1573,   294,
     578,  1498,   708,  1499,  1395,  1385,  1730,  1500,   616,   541,
    1396,  1501,  1502,  1274,   542,  1275,  1324,  1325,  1326,  1327,
     554,  1329,  1330,  2020,   543,  1341,   544,  1343,  1779,  1344,
    1345,  1787,   295,   621,   296,   579,   580,   163,   581,   582,
     583,   623,   297,  1689,   545,   379,  1569,  1663,   860,   861,
    2385,   706,   628,  1566,   500,  2439,   707,   298,  1565,   633,
    1377,  1378,   869,   640,  1379,  1350,  1878,   634,   862,   635,
     584,  1885,   380,   863,   710,   711,   712,   713,  1358,  1172,
    1173,  1174,  1175,  1176,  1933,  1217,   708,   642,   868,   399,
    1369,  1357,  1370,  2440,   400,   401,  1386,  1690,  1397,  2441,
     501,   502,   403,   381,   706,   503,  1081,  1131,  1082,   707,
     579,   580,   922,   923,   582,   583,   504,  1392,  1401,  2442,
    1121,  1122,  1123,  1917,  1918,   505,   648,   710,   711,   712,
     713,   788,   789,   649,   790,  1393,  1246,  1152,  1153,   708,
    1155,   788,   789,  1691,   790,   584,   356,  1692,   357,  2279,
    1693,  1694,   107,   546,  1684,   547,  1182,   404,   733,   734,
     405,   382,  1188,   660,  1190,  -899,  1192,  1193,   299,  1195,
    1196,  1197,  1198,  1199,  1200,  1948,   383,  1203,   659,  1205,
     585,  1781,  1958,  1210,  1211,  1426,   788,   789,    82,   790,
    2612,  1215,  1218,    84,    85,  1219,   661,  1488,  1652,  1222,
    1949,   550,   788,   789,   550,  1780,   662,   357,  1986,  1987,
     764,   765,  1988,   860,   861,  1299,  1725,  1300,   521,  1989,
    1990,   805,   806,  1731,  1518,  1525,  1536,   663,   557,  1398,
    1399,   679,  1239,   862,   664,   556,  1400,  1924,   863,   665,
    1930,  1711,  1519,  1526,  1537,  1244,  2694,   706,  2567,   302,
    2568,   317,   707,   864,   300,   924,   697,   666,   698,   865,
    1256,   699,  1257,  1773,  2357,   788,   789,  1775,   790,   667,
     710,   711,   712,   713,  1301,    82,  1302,   684,   301,   303,
      84,    85,   708,   870,   384,  1348,   690,   385,  2652,   700,
     686,   701,  1622,  1081,  1624,  1640,  2358,   726,  2218,  2219,
     922,   923,   304,   399,   305,  1521,   306,   687,   400,   401,
    1809,  2218,  2219,   922,   923,   870,   403,  1729,   554,   555,
    2217,  1162,    97,    98,    99,   100,   101,   102,   688,  2218,
    2219,   922,   923,  2554,  1649,   783,   695,   386,  2627,  2628,
    2629,   387,   388,   696,   706,  1579,  2220,   731,  1628,   707,
     849,   850,  1481,  1587,   706,  1588,  1589,  1590,  1591,   707,
    1871,   855,   856,  1941,  2220,   736,  1600,   710,   711,   712,
     713,   404,  1603,   389,   405,  2156,   555,  1637,  1758,   708,
     307,   308,   309,   310,  1870,   727,   703,   522,   786,   708,
     399,  2221,  1901,   718,  1902,   400,   401,   390,  2042,  1522,
    2043,   391,  1163,   403,   721,  1411,  1892,  1910,   737,    97,
      98,    99,   100,   101,   102,  1111,  1112,  2158,  2159,  2359,
     738,   714,   587,   739,  1482,   861,   860,   861,   523,   586,
    1365,  1366,   727,  1911,  1759,  1367,  1368,   399,  1759,   860,
     861,   740,   400,   401,  2157,  1425,   862,  1427,  2161,   392,
     403,   863,  1483,   748,  1712,  1057,  1607,  1608,   404,   862,
     750,   405,  1732,   683,   863,   685,   868,  1645,  1646,   749,
    2360,  2361,   325,   326,  2362,   752,  1935,  1936,   753,   864,
     754,  1939,   697,  2124,   698,   865,  2132,   699,  1943,   706,
     755,  1944,  2124,  2132,   707,  1569,  2158,  2159,  2160,  2710,
    1899,  1900,  1566,  1410,  1412,   404,  2363,  1565,   405,  2364,
    1782,  2712,   756,  1420,   759,  1422,  1960,   701,  1962,   762,
    2365,   763,  1462,  1453,   708,  2366,  1966,  2161,  1999,  2000,
    1058,   579,   580,   922,   923,   582,   583,   774,  1484,   777,
     -68,   -68,  1463,   -68,    82,  1906,  1907,   778,  2162,    84,
      85,  2163,  2164,  2367,   917,  2679,  2680,  2681,  2682,  2683,
    1452,   779,   541,  2071,  2729,   797,  1292,   542,  1459,  2010,
     798,  1876,  2118,  2119,   488,  2010,  2368,   543,  1875,   544,
    2413,  2414,  2047,  2048,   554,   881,   882,   883,  1018,  1019,
    1020,   500,  2267,  2268,   801,  1509,   524,   545,  2158,  2159,
     802,  1059,  1464,   804,  2165,  2434,  2435,   727,   727,   803,
    1548,  1549,  1021,  1022,   171,   808,  1023,  1060,  1061,   174,
     175,  2684,  2685,  2686,  2687,  2688,   811,  1794,  1794,  1062,
    1798,  2569,  2570,  1386,  1799,  1800,   807,  1465,  1466,   812,
    2114,  1794,   503,  2369,  1304,  1305,  1306,  1307,  1862,   810,
    1863,  1872,  1873,   504,  1874,   813,  1813,   823,  1814,   399,
    2402,  2403,   505,   815,   400,   401,  2370,   525,   526,  2585,
    2586,   814,   403,   824,   825,  1523,   822,   826,    97,    98,
      99,   100,   101,   102,  2371,  1485,  1486,  2593,  2594,   827,
     829,   830,   489,   831,  2595,  2596,  2597,  2598,  2092,  2002,
    2003,  2004,   832,   833,   836,  2172,   546,  1467,   547,  1468,
     840,  1469,   527,   528,   529,   839,  2005,  2006,  2007,   706,
    2372,  2373,  2374,  2375,   707,  2376,   845,   404,  1524,  2377,
     405,  1754,  1755,  1756,  1757,   842,  1643,  1644,  2126,  2127,
    2128,  2129,   710,   711,   712,   713,   851,   846,   847,   854,
    2117,   857,   858,   870,   708,   872,  2125,   873,   874,   490,
     875,  1759,  2021,   579,   580,   922,   923,   582,   583,  2002,
    2003,  2004,   876,  1683,   877,   878,   706,  2175,  2176,  2177,
     491,   707,   879,   880,   886,    82,  2005,  2006,  2007,   887,
      84,    85,   888,   889,   899,  1979,   901,   903,   584,   904,
    2008,  2009,   727,   727,   727,   905,   907,   909,   910,  1470,
     915,   708,   911,  2179,   916,  1511,   912,  1978,  1471,  1472,
     928,   931,   929,   930,   934,  1473,   937,  1512,   615,  1474,
     938,   939,  1720,   958,  1722,  1724,   963,  1726,  1475,   964,
     327,  1026,   328,   329,   330,   331,   332,  1476,  1027,  1477,
    1028,  1029,  1478,  1034,  1740,  2236,  1743,  1036,  2010,  1037,
    2010,  1750,  1076,  1079,  1080,  1968,  2056,  1083,  1084,  1090,
    2008,  2009,  1093,  1095,  1100,  1101,  1102,  2272,  1106,  1983,
    1109,  1985,  1772,   337,   338,   339,   340,   341,   342,   343,
     344,   345,  1113,   346,   347,   348,   349,   350,   351,  1126,
     399,  1141,   727,  2273,  1136,   400,   401,  1137,  2055,  1513,
    1139,  1140,  1146,   403,  1156,  2029,  1147,  1154,  1159,    97,
      98,    99,   100,   101,   102,  1157,  1158,  1161,  2314,  1165,
    1191,  1194,  2317,  2318,  1184,  2322,  1185,  2325,  1187,  1189,
    1201,  1202,  1204,  1206,  1209,    82,  1220,  1227,  1228,  2713,
      84,    85,  2716,  2717,  1229,   891,  1236,  1255,  1259,  1264,
     492,   493,   494,  1268,  2718,  1269,  1272,  1273,   404,  1291,
    1296,   405,  1286,  1297,  1289,   513,  1298,  2398,  1303,  2399,
    2400,  2401,  1163,  1163,  2222,  1317,  1318,  1319,  1322,  2724,
    2725,  1328,  2411,  1351,  2726,  2727,  2415,  1353,  1359,  2100,
    2423,  1361,   587,   587,  1364,  1372,  1373,  1381,  1384,   586,
     586,  1405,  1383,  1408,  1415,  2534,  2444,  2445,  2446,  2447,
    2448,  2449,  2450,  2451,  1891,  1414,  2452,  1507,  1409,  1417,
    1418,  1543,  2460,  2461,  1419,  1421,  1430,  1544,  2468,  1574,
    2470,  1434,  2473,  1435,  2476,  1794,  1438,  1440,  1442,  1908,
    2480,  1444,  1445,  1446,  1447,  2102,  1448,  1449,  1450,  1451,
     399,  1455,  2482,  2483,  1456,   400,   401,  2484,  2485,  1919,
    1920,  1921,  1458,   403,  1925,  1460,  1461,  1510,  1540,    97,
      98,    99,   100,   101,   102,  1541,  -900,  -900,  -900,  2510,
    1571,  1578,  1580,  2510,  1581,  1599,  2518,  1601,  1937,  1602,
    1609,  1612,  2526,  -900,  -900,  -900,  -900,  -900,   611,   612,
     613,   614,  1613,  2543,   615,  1614,  1615,  1616,  2151,  1617,
    1618,  1623,  1625,  1626,  1627,  1638,  1639,  1957,   404,  1641,
    1642,   405,  1647,  1648,  1653,  1656,  1657,  1665,  2577,  2578,
    1666,   514,  1667,  2580,  2581,  1668,  2280,  2584,  1669,  1670,
    1671,  1681,  1685,   515,  1713,  2571,  2572,  2573,  2574,  2575,
    1710,  1716,  1715,   727,   727,  1721,  1686,  1709,   727,   727,
    1714,  1687,   727,  1696,  1700,  1701,  1702,  1703,  2591,   601,
     602,   603,  1704,  2232,  2233,  2234,  1705,  2235,  1706,  1707,
    1708,  1717,  2605,  2606,  2607,  1727,   606,   607,   608,   609,
     610,   611,   612,   613,   614,  1733,  1734,   615,  1751,  1745,
    2614,  2615,  1768,  1769,  1752,  1774,  2618,  2671,  2672,  1776,
    1797,   499,  1778,  1788,  1514,  1515,  1790,  2624,  1516,  1802,
    1803,  2631,  2253,  1517,  2634,  2635,  1805,  1804,  2051,  2638,
    2639,  1811,  1850,  1812,  2254,  1857,  1859,  1856,  2645,  2255,
    2654,   516,  1860,  1861,  1864,  1866,  1759,  1867,  2695,  2646,
    2647,  2648,   469,    82,  2256,  1886,  2651,  1879,    84,    85,
     500,  1868,  1895,  2222,  2222,   727,  2655,  1869,  1893,  2656,
    2657,  1894,  1903,  1898,  1904,  1905,  1909,  1912,  1528,  1932,
    2075,  2076,  1961,   470,  2387,  1931,  1938,  1940,  1942,  1945,
    1946,  1967,  1969,  2391,  2667,  2668,   399,  1972,  1973,  1984,
    1994,   400,   401,  1995,  1998,  2015,   501,   502,  1959,   403,
    2093,   503,  2001,  2023,  2028,   601,   602,   603,   604,   605,
    2030,  2034,   504,  2036,  2044,  2046,  2057,  2059,  2041,  2049,
    2060,   505,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  2061,  2072,   615,  2073,  2074,  2097,  2078,  2101,  2063,
    2551,  2086,  2699,  2064,  2700,  2701,  2090,  2094,  2065,  2109,
    2110,  2111,  2703,  2112,   404,  2113,  2257,   405,   399,  2706,
    2115,  2116,  2121,   400,   401,  2158,  2159,  2133,  2135,  2136,
    2141,   403,  2144,  2216,  2145,  2148,  2152,    97,    98,    99,
     100,   101,   102,  2215,  2245,  2242,  2251,  2246,  2248,  2173,
    2270,  2281,  2271,  2283,  2316,  2323,  2161,  2326,    82,  2332,
    1976,  2328,  2329,    84,    85,  2388,  2393,  2407,  2392,  2404,
    2405,  2406,  2178,   601,   602,   603,   604,   605,  2258,  2259,
    2412,  2408,  2260,  2409,  2416,  2410,   404,  2422,  1389,   405,
     606,   607,   608,   609,   610,   611,   612,   613,   614,  2428,
    2424,   615,   471,  2425,  2459,  2457,  2429,  2560,  2430,  2453,
    2433,  2466,  2436,  2471,  1352,  2261,  2262,  2263,  2477,  2478,
    2479,  2458,  2481,   160,  2490,   161,   162,   163,   164,   165,
     166,  2499,   167,  2264,  2467,  2502,  2496,  2500,  2497,  2503,
     168,   169,   951,  2505,  2507,   170,  2513,  1953,   997,  2517,
    2501,  2520,  2527,   998,   999,  2536,  2535,   171,   172,  2269,
     173,  2537,   174,   175,  2544,  2540,   176,  2541,  2547,  2552,
    2549,  2559,  2284,   399,   506,  2561,  2562,  2563,   400,   401,
    2564,  2565,  1390,  2566,  2545,  2579,   403,  2313,  2582,  2315,
    2546,  2550,    97,    98,    99,   100,   101,   102,  2583,  2587,
    2602,  2327,  2623,  2620,  2330,  2331,  2633,  2625,  2626,  2669,
    2640,  2665,  2662,  2670,  2674,  2677,  2678,  2689,  2711,   177,
     178,   564,   565,   566,   567,   179,   180,  2609,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,  2714,  2663,
    2715,   404,  2636,  2697,   405,  2719,   191,   192,   193,  2707,
    2720,   194,  2728,  2723,  2721,  2730,  1310,  1789,  1311,   195,
    1312,  2238,  1836,  1837,  1838,  1839,  2024,   196,  2664,   197,
    2239,  2237,  2026,  2025,   943,   472,   473,   474,   475,  2708,
    2709,  1506,  1000,  1001,  1002,  1003,  1004,  1005,  1970,  1865,
    1294,  1293,    82,  2555,  2462,  1629,  2556,    84,    85,  2469,
     568,   508,  1479,   476,   844,  1604,   925,  1295,   477,  1391,
    2692,   478,  1651,  1605,   479,  1223,  2673,  1035,  2155,  1661,
    1431,  2062,   398,  2052,  2070,  2081,  2180,  2632,  2487,  2512,
    2642,   601,   602,   603,   604,   605,  2516,  2644,  2515,  1253,
    2498,  1963,  1371,  1346,     0,     0,  1038,   198,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,  2519,   615,
     554,   881,   882,   883,  2528,  1006,  1007,  1008,  1009,  1010,
    1011,  1012,  1013,  1014,  1015,  1016,  1091,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     171,     0,     0,     0,     0,   174,   175,     0,     0,  1977,
       0,     0,     0,     0,     0,     0,   199,   399,     0,     0,
       0,     0,   400,   401,     0,     0,   402,     0,     0,     0,
     403,  2576,     0,     0,     0,     0,    97,    98,    99,   100,
     101,   102,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,     0,     0,     0,     0,     0,  1039,
    1040,     0,     0,     0,     0,     0,  2608,     0,     0,     0,
       0,   210,   211,     0,     0,  2611,  2613,     0,     0,     0,
       0,     0,     0,  2616,  2617,   404,     0,  2619,   405,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   212,  1041,   861,     0,     0,     0,     0,  2637,     0,
     406,     0,  2641,     0,  2643,     0,   213,     0,  1042,     0,
       0,     0,  1043,     0,     0,  1044,  1045,     0,     0,     0,
    1046,     0,     0,  2649,  2650,   214,   215,   216,   217,   601,
     602,   603,   604,   605,  2653,     0,     0,     0,     0,  1047,
       0,  2658,     0,  2659,  2660,  2661,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,     0,     0,
       0,     0,  1048,  1049,  1050,     0,     0,  1051,  1052,  1053,
       0,     0,  1265,     0,     0,     0,     0,  2285,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2286,   160,     0,   161,   162,   163,   164,   165,
     166,     0,   167,     0,     0,     0,   218,   219,  2693,     0,
     168,   169,     0,     0,     0,   170,     0,     0,     0,  2698,
       0,     0,   220,   221,     0,     0,     0,   171,   172,     0,
     173,     0,   174,   175,     0,  2705,   176,     0,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,     0,   346,   347,   348,
     349,   350,   351,     0,     0,   250,   251,     0,     0,   177,
     178,   564,   565,   566,   567,   179,   180,     0,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,     0,     0,
       0,     0,     0,  2158,  2159,     0,   191,   192,   193,     0,
       0,   194,     0,     0,     0,     0,     0,     0,     0,   195,
       0,  1815,     0,     0,     0,     0,     0,   196,     0,   197,
    1816,  1817,  1818,  1819,  2161,  1820,  1821,  1822,   979,   980,
    1823,     0,  1824,  1825,     0,     0,   981,     0,  1826,  1827,
       0,     0,  2287,  1828,  1815,     0,  2288,  2289,     0,     0,
    2290,  2291,     0,  1816,  1817,  1818,  1819,     0,  1820,  1821,
    1822,     0,   982,  1823,   983,  1824,  1825,     0,     0,     0,
       0,  1826,  1827,     0,     0,     0,  1835,  2292,     0,     0,
       0,     0,     0,     0,  2293,     0,     0,     0,     0,  2294,
       0,   984,     0,     0,     0,     0,  2295,   198,     0,     0,
       0,  2296,   985,   986,  2297,   987,   988,   989,   990,   991,
     601,   602,   603,   604,   605,     0,   992,   993,   994,     0,
     995,   996,     0,     0,     0,     0,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,     0,   615,     0,
     601,   602,   603,   604,   605,     0,     0,     0,     0,     0,
       0,     0,  2298,   940,     0,     0,   199,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,     0,   615,     0,
       0,     0,     0,     0,     0,     0,     0,   941,     0,  2299,
       0,     0,     0,  1583,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,     0,     0,   160,     0,   161,   162,
     163,   164,   165,   166,     0,   167,     0,  1584,     0,     0,
       0,   210,   211,   168,   169,  1592,  2300,     0,   170,  2301,
    2302,  2303,     0,     0,     0,     0,     0,  2304,     0,     0,
     171,   172,  2305,   173,     0,   174,   175,     0,     0,   176,
       0,   212,  2306,     0,     0,     0,     0,     0,  2307,     0,
       0,     0,     0,     0,     0,     0,   213,     0,     0,     0,
       0,     0,   601,   602,   603,   604,   605,     0,     0,     0,
       0,     0,     0,     0,     0,   214,   215,   216,   217,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,     0,   177,   178,     0,     0,     0,     0,   179,   180,
       0,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,     0,     0,   194,     0,     0,     0,     0,  1281,
       0,     0,   195,     0,     0,     0,     0,     0,     0,     0,
     196,     0,   197,     0,     0,     0,   601,   602,   603,   604,
     605,     0,     0,     0,     0,     0,   218,   219,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   220,   221,   615,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,     0,   615,  1975,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,     0,     0,     0,     0,
     198,     0,     0,     0,     0,  1282,   601,   602,   603,   604,
     605,     0,     0,     0,     0,   250,   251,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,     0,   615,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,     0,   615,   601,   602,   603,
     604,   605,     0,     0,     0,     0,     0,     0,     0,   199,
       0,     0,     0,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,  1283,     0,   615,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1284,     0,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,     0,     0,   160,
       0,   161,   162,   163,   164,   165,   166,     0,   167,     0,
       0,     0,     0,     0,   210,   211,   168,   169,  1596,     0,
       0,   170,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   171,   172,     0,   173,     0,   174,   175,
       0,     0,   176,     0,   212,     0,     0,   601,   602,   603,
     604,   605,     0,     0,     0,     0,     0,     0,     0,   213,
       0,     0,     0,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,     0,     0,   214,   215,
     216,   217,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   177,   178,     0,     0,     0,
       0,   179,   180,     0,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,  1582,     0,     0,     0,     0,     0,
       0,     0,   191,   192,   193,     0,     0,   194,     0,   601,
     602,   603,   604,   605,     0,   195,     0,     0,     0,     0,
       0,     0,     0,   196,     0,   197,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,     0,   218,
     219,   601,   602,   603,   604,   605,     0,     0,     0,     0,
       0,     0,  1280,     0,     0,   220,   221,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
       0,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
       0,     0,     0,   198,     0,     0,     0,     0,  1841,   601,
     602,   603,   604,   605,     0,     0,     0,     0,   250,   251,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,     0,   199,     0,  1285,     0,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,  1971,   346,   347,   348,
     349,   350,   351,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
       0,     0,   160,     0,   161,   162,   163,   164,   165,   166,
       0,   167,     0,     0,     0,     0,     0,   210,   211,   168,
     169,  2032,     0,     0,   170,     0,     0,     0,     0,     0,
       0,   601,   602,   603,   604,   605,   171,   172,     0,   173,
       0,   174,   175,     0,     0,   176,     0,   212,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
       0,     0,   213,   600,     0,     0,     0,     0,   601,   602,
     603,   604,   605,     0,  1290,     0,     0,     0,     0,     0,
       0,   214,   215,   216,   217,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,     0,   615,     0,   177,   178,
       0,     0,     0,     0,   179,   180,     0,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,     0,     0,
     194,     0,   601,   602,   603,   604,   605,     0,   195,     0,
       0,     0,     0,     0,     0,     0,   196,     0,   197,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,     0,   218,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1362,     0,     0,   220,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,     0,     0,     0,   198,   601,   602,   603,
     604,   605,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   250,   251,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,   601,   602,   603,   604,
     605,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1363,     0,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,     0,   615,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,     0,     0,   160,     0,   161,   162,   163,
     164,   165,   166,     0,   167,     0,     0,     0,     0,     0,
     210,   211,   168,   169,  2037,     0,     0,   170,     0,     0,
       0,     0,     0,     0,   601,   602,   603,   604,   605,   171,
     172,     0,   173,     0,   174,   175,     0,     0,   176,     0,
     212,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,     0,   615,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1843,     0,     0,
       0,     0,     0,     0,   214,   215,   216,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   177,   178,     0,     0,     0,     0,   179,   180,     0,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
       0,     0,     0,     0,     0,     0,     0,     0,   191,   192,
     193,     0,     0,   194,     0,   601,   602,   603,   604,   605,
       0,   195,     0,     0,     0,     0,     0,     0,     0,   196,
       0,   197,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,     0,   615,     0,   218,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1844,     0,
       0,   220,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,     0,     0,     0,   198,
     601,   602,   603,   604,   605,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   250,   251,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,     0,   615,   601,
     602,   603,   604,   605,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1845,     0,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1858,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,     0,     0,   160,     0,
     161,   162,   163,   164,   165,   166,     0,   167,     0,     0,
       0,     0,     0,   210,   211,   168,   169,  2039,     0,     0,
     170,     0,     0,     0,     0,     0,     0,   601,   602,   603,
     604,   605,   171,   172,     0,   173,     0,   174,   175,     0,
       0,   176,     0,   212,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1996,     0,     0,     0,     0,     0,     0,   214,   215,   216,
     217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   177,   178,     0,     0,     0,     0,
     179,   180,     0,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,     0,     0,   194,     0,   601,   602,
     603,   604,   605,     0,   195,     0,     0,     0,     0,     0,
       0,     0,   196,     0,   197,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,     0,   615,     0,   218,   219,
       0,     0,   198,     0,     0,     0,     0,     0,     0,     0,
       0,  1997,     0,     0,   220,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,     0,
       0,   199,   198,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,     0,
       0,     0,   160,     0,   161,   162,   163,   164,   165,   166,
       0,   167,     0,     0,     0,     0,   210,   211,     0,   168,
     169,   199,     0,     0,   170,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   171,   172,     0,   173,
       0,   174,   175,     0,     0,   176,   212,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,   211,     0,     0,
     214,   215,   216,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   177,   178,
       0,     0,     0,     0,   179,   180,   212,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,     0,     0,     0,
       0,   213,     0,     0,     0,   191,   192,   193,     0,     0,
     194,     0,   601,   602,   603,   604,   605,     0,   195,     0,
     214,   215,   216,   217,     0,     0,   196,     0,   197,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,   218,   219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2134,     0,   220,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   218,   219,     0,     0,     0,   198,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,     0,     0,     0,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1550,     0,     0,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   172,     0,     0,     0,     0,     0,     0,
       0,   176,     0,     0,     0,     0,     0,     0,     0,     0,
     210,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1551,     0,     0,  1553,  1554,  1555,  1556,  1557,  1558,
    1559,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     212,   346,   347,   348,   349,   350,   351,  1560,     0,     0,
    1561,  1562,     0,     0,     0,   213,     0,     0,     0,     0,
     179,   180,     0,   181,   182,   183,   184,   185,   186,   187,
     188,   189,     0,     0,   214,   215,   216,   217,     0,     0,
       0,     0,     0,     0,   601,   602,   603,   604,   605,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1563,     0,
    1564,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,     0,   615,     0,   601,   602,   603,   604,   605,     0,
       0,     0,     0,     0,     0,     0,     0,  2394,     0,     0,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,     0,   615,     0,     0,   601,   602,   603,   604,   605,
       0,     0,     0,     0,     0,   218,   219,  2395,     0,     0,
       0,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   220,   221,   615,     0,     0,     0,     0,     0,     0,
       0,     0,   198,     0,     0,     0,  2095,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   601,   602,   603,   604,   605,
       0,     0,     0,     0,   250,   251,     0,     0,     0,     0,
       0,   199,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  1550,     0,   615,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2396,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   172,
       0,   601,   602,   603,   604,   605,     0,   176,     0,     0,
       0,     0,     0,     0,     0,     0,   210,   211,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1551,  1552,   615,
    1553,  1554,  1555,  1556,  1557,  1558,  1559,     0,     0,     0,
       0,     0,     0,     0,  2397,     0,   212,     0,     0,     0,
       0,     0,     0,  1560,     0,     0,  1561,  1562,     0,     0,
       0,   213,     0,     0,     0,     0,   179,   180,     0,   181,
     182,   183,   184,   185,   186,   187,   188,   189,     0,     0,
     214,   215,   216,   217,     0,     0,     0,     0,     0,     0,
     601,   602,   603,   604,   605,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1563,     0,  1564,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,     0,   615,     0,
     601,   602,   603,   604,   605,     0,     0,     0,     0,     0,
       0,     0,     0,  2553,     0,     0,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,     0,   615,     0,
       0,   601,   602,   603,   604,   605,     0,     0,     0,     0,
       0,   218,   219,  2666,     0,     0,     0,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   220,   221,   615,
       0,     0,     0,     0,     0,     0,     0,     0,   198,     0,
       0,     0,  2107,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   601,   602,   603,   604,   605,     0,     0,     0,     0,
     250,   251,     0,     0,     0,     0,     0,   199,   606,   607,
     608,   609,   610,   611,   612,   613,   614,  1550,     0,   615,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2108,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   172,     0,     0,     0,     0,
       0,     0,     0,   176,     0,     0,     0,     0,     0,     0,
       0,     0,   210,   211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1551,     0,     0,  1553,  1554,  1555,  1556,
    1557,  1558,  1559,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   212,     0,     0,     0,     0,     0,     0,  1560,
       0,     0,  1561,  1562,     0,     0,     0,   213,     0,     0,
       0,     0,   179,   180,     0,   181,   182,   183,   184,   185,
     186,   187,   188,   189,     0,     0,   214,   215,   216,   217,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1563,     0,  1564,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   198,     0,     0,     0,     0,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2103,     0,     0,     0,     0,   250,   251,     0,     0,
       0,     0,     0,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   172,
       0,     0,     0,     0,     0,     0,     0,   176,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,   211,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   179,   180,   212,   181,
     182,   183,   184,   185,   186,   187,   188,   189,     0,     0,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   214,   215,   216,   217,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,   219,     0,     0,     0,   198,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,   211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   214,   215,   216,   217,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   415,   416,     0,     0,     0,     0,   218,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   417,     0,     0,     0,
       0,     0,     0,     0,   418,     0,     0,     0,     0,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   419,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   399,     0,     0,     0,     0,   400,   401,     0,   421,
     422,     0,     0,     0,   403,   423,     0,     0,     0,     0,
     424,   425,   426,   427,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,     0,     0,     0,   429,     0,   430,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   404,
       0,     0,   405,     0,     0,     0,     0,     0,     0,     0,
       0,   431,     0,     0,     0,   432,     0,     0,     0,     0,
       0,     0,     0,     0,   433,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     435,   436,   437,     0,   438,     0,     0,     0,   439,     0,
       0,   440,   441,     0,   442,   443,     0,     0,   444,   445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,     0,     0,   448,
     449,   450,     0,     0,     0,     0,     0,     0,   451,     0,
       0,     0,   452,     0,     0,   453,   454,     0,   455,     0,
     456,     0,     0,     0,   457,   458,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,   460,   461,     0,     0,     0,     0,
       0,     0,     0,     0,   462
};

static const yytype_int16 yycheck[] =
{
     103,     7,   197,    89,  1254,   437,   438,   165,  1254,   375,
     472,  1254,   743,   281,   165,   572,  1254,   160,   502,   197,
     361,    81,    23,   514,    25,   791,    86,    87,    67,    21,
      80,    23,    80,   374,   375,   795,   133,   641,    80,   197,
     137,    88,   139,    25,   141,  1041,   197,  1286,  1287,  1288,
    1289,    80,   149,   150,  1554,   641,     3,     4,     5,   156,
     139,    87,   541,   301,   543,   544,    80,  1567,   547,   548,
     149,   150,     6,   129,   207,   208,   129,    88,   682,  2099,
      18,    18,    88,     6,    23,    23,    23,    80,  1516,    23,
    1086,   359,   360,   226,   128,   436,   130,    37,   132,    50,
     134,    50,   136,    23,   138,    25,  1356,    80,   142,  2099,
     144,   259,   146,  1356,   148,    53,    53,   458,  1356,    50,
     154,   155,    18,   165,   171,   143,  2270,    23,   170,   171,
    1803,    65,   174,   401,   475,   128,   178,    18,  2099,   324,
      20,    21,    23,    23,     7,    23,    51,    25,   173,    18,
     641,    48,    25,    18,    23,    52,   284,    53,    23,   500,
      41,    42,    43,    44,   170,    20,    21,   173,    23,    51,
      79,    50,    53,    48,     3,    50,    41,    42,    43,    44,
      55,    56,   523,  2217,    53,    18,     0,   315,    53,  1056,
      23,   233,    18,    23,   236,    25,   371,    23,  2289,    48,
      51,   177,    78,    52,    50,    80,    42,   154,    41,    42,
      43,    44,   177,  2485,   249,    41,    42,    43,    44,    23,
      53,    25,    23,  2083,   171,   181,   249,    53,    23,   209,
      48,   165,    48,    18,    52,   174,    52,   213,    23,    23,
      23,    25,    25,    79,    23,     9,    10,    11,    12,   196,
     197,    14,    15,   317,    18,   430,    41,    42,    43,    44,
     324,   337,   173,   172,    23,    24,     6,    42,    53,   372,
    2361,    69,    70,   184,   185,    78,   258,    23,   740,    25,
     126,   237,   128,    18,   177,   161,   471,   234,    23,   236,
     165,   238,   352,  2153,   320,   170,   171,   279,     6,   204,
     403,   404,   249,   178,    79,   285,   110,   280,   137,   184,
     185,   186,   187,   188,   189,    78,   376,   874,    53,    18,
     177,  2181,   204,   349,    23,   259,   429,   759,  1832,   207,
     887,   278,   358,   358,  1838,   282,   172,   302,   373,    98,
     287,   288,    41,    42,    43,    44,   285,   688,   714,   179,
     373,   546,  2212,   204,    53,   252,  2390,   280,   233,  2631,
     163,   236,  2634,   511,     6,    69,    70,   307,   172,  2389,
     243,   172,  1103,   714,    23,    24,     6,   172,   719,    34,
      80,   457,   246,   724,  1634,   726,   404,   321,   172,   172,
     401,  1634,    92,   172,   305,    92,  1634,   172,   541,  2389,
     543,   544,    51,   252,   547,   548,   644,   645,   646,   647,
     648,  1839,   650,   651,   387,   653,   654,   310,   656,   657,
     371,   477,   371,   764,   765,   196,   172,    34,  2389,  2102,
     486,   235,  2105,   486,   252,   442,   252,   570,   486,  2583,
     371,   448,   317,   241,   492,   924,    23,    24,   282,   149,
     150,  1318,  1319,   310,  1040,   484,   252,   798,   304,   891,
     801,   893,   438,   383,     6,   412,   400,   517,   518,   442,
     517,  1971,   486,   523,   370,   350,   351,   491,   342,   179,
     377,   378,   521,   849,   850,   477,  1482,  1247,   422,   224,
     483,   484,   371,    48,   487,   488,   151,    52,   839,   297,
     526,   527,   528,   367,    53,   386,   444,     6,   849,   850,
     449,   391,   308,   560,   561,   562,   563,   564,   565,   250,
     454,   285,   286,   864,   463,   464,   381,   868,   377,   378,
    1087,   872,   328,   575,    53,    10,   512,   241,   235,   545,
     366,    40,    80,  1793,   151,   438,   246,  1797,   485,  1040,
    1793,    50,   558,    52,   387,  1793,    55,    56,   559,   259,
      80,   377,   378,   904,   263,   566,   907,   573,   574,   575,
     576,   577,   578,   190,   915,    10,   445,   446,   584,    54,
      78,   438,    81,   643,   177,   567,   568,   569,   453,   374,
     375,    78,    42,   297,   325,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,  1848,
    1214,  1850,   198,   791,  1853,    36,  1855,  1856,   211,  2123,
    2124,    69,    70,     6,    25,   572,   573,  2131,  2132,    79,
      51,   166,   391,   791,   393,   394,   395,   396,   397,    18,
     791,   362,   517,    78,    23,    20,    21,   522,    23,   524,
     364,    54,   504,   152,   174,   154,   155,    18,   157,   179,
     159,   260,    23,   201,   202,   163,   165,   366,   167,   168,
     169,    10,   171,   182,    53,    78,   163,   387,    79,   400,
      41,    42,    43,    44,   690,   184,   185,   186,   187,   188,
     189,   405,    53,   196,   232,   701,   393,   252,    14,    15,
     209,   735,   708,  2440,   401,    80,   403,   180,   405,   430,
     562,   408,   250,    79,   435,    54,   426,   310,   311,   822,
      33,    34,   172,    10,   882,    23,  1976,    25,   449,  1191,
    1976,   882,  1982,  1976,  1500,   321,   457,   236,  1976,  1982,
      10,   451,   391,   242,   393,   394,   395,   396,   397,   248,
     249,   337,   473,    28,   292,   476,    53,    10,   479,   345,
     280,   868,    78,   958,   959,   872,    79,    54,   489,   152,
     153,   309,   472,    36,   474,   475,   285,    36,    53,   479,
     480,   924,   482,   961,    54,  1264,   151,    18,  1267,   489,
     490,   300,    23,   241,    79,  1136,  1137,   180,  1139,  1140,
      80,    54,    18,   961,    28,   168,   527,    18,   529,  1150,
     961,    42,    23,    54,   391,    39,   393,   394,   395,   396,
     397,   204,    53,    20,    21,    78,  1167,    54,  1169,    79,
      41,    42,    43,    44,  1072,    53,  1074,    78,  1179,   321,
    1181,    54,    53,  1184,  1185,   224,  1187,    54,  1189,   297,
      54,    78,  2589,  2590,   150,   861,    20,    21,   378,    23,
      51,  1202,   150,  2600,  2601,    78,  1207,   349,   350,   149,
     150,    78,  1334,    18,    78,  1216,  1338,  1339,    23,  1220,
     207,  1039,   209,   246,   247,   248,    53,    18,  1039,   427,
     428,   429,    23,    53,    80,    86,    41,    42,    43,    44,
    2139,    53,   263,   315,   424,  2144,   318,  2146,    53,  1250,
    2149,    53,   239,    35,    36,    53,    80,    39,  1259,   246,
      53,   441,    53,   443,    80,    80,  1483,   447,    39,    18,
      86,   451,   452,   939,    23,   941,  1064,  1065,  1066,  1067,
      20,  1069,  1070,    23,    33,  1073,    35,  1075,  1532,  1077,
    1078,  1535,   279,     6,   281,    18,    19,    20,    21,    22,
      23,    25,   289,   149,    53,   173,  2216,  1399,   152,   153,
    2216,    18,     6,  2216,   129,   166,    23,   304,  2216,     6,
     260,   261,  1466,     6,   264,  1088,  1654,    23,   172,    25,
      53,  1659,   200,   177,    41,    42,    43,    44,  1101,   393,
     394,   395,   396,   397,  1735,   366,    53,     6,   192,   165,
    1113,  1097,  1115,   204,   170,   171,   171,   203,   174,   210,
     175,   176,   178,   231,    18,   180,    78,   748,    80,    23,
      18,    19,    20,    21,    22,    23,   191,  1134,  1135,   230,
      45,    46,    47,   254,   255,   200,   314,    41,    42,    43,
      44,    20,    21,    23,    23,  1134,    25,   778,   779,    53,
     781,    20,    21,   249,    23,    53,    23,   253,    25,    26,
     256,   257,   571,   162,  1415,   164,   797,   233,   416,   417,
     236,   289,   803,     6,   805,    79,   807,   808,   415,   810,
     811,   812,   813,   814,   815,  1763,   304,   818,   172,   820,
     163,  1533,  1770,   824,   825,  1165,    20,    21,    50,    23,
     255,   832,   833,    55,    56,   836,     6,  1214,  1386,   840,
      79,  1264,    20,    21,  1267,    23,     6,    25,   140,   141,
     328,   329,   144,   152,   153,    78,  1477,    80,    80,   151,
     152,   340,   341,  1484,  1241,  1242,  1243,     6,  1306,   305,
     306,    18,   873,   172,     6,  1306,   312,  1714,   177,     6,
    1717,   180,  1241,  1242,  1243,   886,    80,    18,  2407,   152,
    2409,    25,    23,   192,   501,   163,    18,     6,    20,   198,
     901,    23,   903,  1524,    48,    20,    21,  1528,    23,     6,
      41,    42,    43,    44,    78,    50,    80,     6,   525,   182,
      55,    56,    53,    23,   412,    25,    28,   415,   255,    51,
       6,    53,  1340,    78,  1342,    80,    80,   250,    18,    19,
      20,    21,   205,   165,   207,    80,   209,     6,   170,   171,
    1571,    18,    19,    20,    21,    23,   178,    25,    20,    21,
       9,    23,   184,   185,   186,   187,   188,   189,   504,    18,
      19,    20,    21,    53,  1382,   249,    23,   465,   495,   496,
     497,   469,   470,    23,    18,  1271,    53,    79,  1354,    23,
     149,   150,    80,  1279,    18,  1281,  1282,  1283,  1284,    23,
    1646,   175,   176,  1745,    53,   502,  1292,    41,    42,    43,
      44,   233,  1298,   501,   236,    80,    21,  1357,    23,    53,
     283,   284,   285,   286,  1645,  1646,    52,   249,    52,    53,
     165,    80,    78,    52,    80,   170,   171,   525,    52,   174,
      54,   529,  1500,   178,    52,    79,  1667,  1693,    23,   184,
     185,   186,   187,   188,   189,   244,   245,   201,   202,   203,
      51,   192,  1500,    79,   152,   153,   152,   153,   290,  1500,
      46,    47,  1693,  1694,  1512,    46,    47,   165,  1516,   152,
     153,   166,   170,   171,   149,  1164,   172,  1166,   232,   577,
     178,   177,   180,   259,   180,     6,    20,    21,   233,   172,
      79,   236,  1485,   318,   177,   320,   192,   265,   266,    52,
     254,   255,    23,    24,   258,    52,  1737,  1738,    52,   192,
      79,  1742,    18,  2016,    20,   198,  2019,    23,  1749,    18,
      79,  1752,  2025,  2026,    23,  2665,   201,   202,   203,  2665,
     409,   410,  2665,  1144,  1145,   233,   290,  2665,   236,   293,
    1533,  2670,    79,  1154,   337,  1156,  1777,    53,  1779,    52,
     304,    25,    60,    52,    53,   309,  1787,   232,    65,    66,
      81,    18,    19,    20,    21,    22,    23,   326,   266,   372,
      20,    21,    80,    23,    50,   254,   255,   196,   253,    55,
      56,   256,   257,   337,    10,   213,   214,   215,   216,   217,
    1201,   259,    18,  1915,  2723,   313,    53,    23,  1209,  1830,
     263,  1649,    14,    15,    80,  1836,   360,    33,  1649,    35,
     294,   295,  1868,  1869,    20,    21,    22,    23,   181,   182,
     183,   129,   254,   255,   263,  1236,   458,    53,   201,   202,
     315,   152,   140,   324,   309,   213,   214,  1868,  1869,   290,
    1251,  1252,   205,   206,    50,   167,   209,   168,   169,    55,
      56,   213,   214,   215,   216,   217,   353,  1553,  1554,   180,
    1556,   184,   185,   171,  1560,  1561,   340,   175,   176,   290,
    1992,  1567,   180,   427,    20,    21,    22,    23,  1628,   346,
    1630,    20,    21,   191,    23,   290,  1582,   145,  1584,   165,
    2243,  2244,   200,   359,   170,   171,   450,   529,   530,   213,
     214,   361,   178,   313,   392,   450,   382,    52,   184,   185,
     186,   187,   188,   189,   468,   413,   414,   211,   212,    79,
      52,    79,   198,    79,   218,   219,   220,   221,  1959,    11,
      12,    13,   462,   196,   165,  2057,   162,   245,   164,   247,
     378,   249,   574,   575,   576,   166,    28,    29,    30,    18,
     504,   505,   506,   507,    23,   509,    52,   233,   503,   513,
     236,   194,   195,   196,   197,   371,  1377,  1378,    71,    72,
      73,    74,    41,    42,    43,    44,    18,    79,    79,    18,
    2011,    52,    52,    23,    53,   192,  2017,   234,   180,   265,
      52,  1839,  1833,    18,    19,    20,    21,    22,    23,    11,
      12,    13,    52,  1414,    79,    79,    18,  2063,  2064,  2065,
     286,    23,    79,    79,   259,    50,    28,    29,    30,   180,
      55,    56,    52,    52,    79,  1801,   196,   365,    53,   180,
     112,   113,  2063,  2064,  2065,   254,   263,    52,    52,   347,
     263,    53,    79,  2074,    52,    80,    79,    23,   356,   357,
      17,    36,    18,    18,    33,   363,    34,    92,    39,   367,
      18,    78,  1473,    10,  1475,  1476,    18,  1478,   376,    18,
     391,     6,   393,   394,   395,   396,   397,   385,     6,   387,
       6,     6,   390,     6,  1495,  2116,  1497,     6,  2119,     6,
    2121,  1502,     6,     6,     6,  1791,  1889,     6,     6,     6,
     112,   113,     6,    53,    52,    78,    78,  2163,    52,  1805,
      52,  1807,  1523,    89,    90,    91,    92,    93,    94,    95,
      96,    97,   382,    99,   100,   101,   102,   103,   104,    23,
     165,    52,  2163,  2164,   263,   170,   171,   263,  1888,   174,
     263,   263,    52,   178,   237,  1841,    52,   351,    79,   184,
     185,   186,   187,   188,   189,    52,    52,    52,  2189,    37,
     166,    52,  2193,  2194,   263,  2196,   263,  2198,   263,   263,
     379,   252,    52,    52,   252,    50,   192,    18,    18,  2674,
      55,    56,  2677,  2678,    23,   320,   199,    52,   296,    18,
     466,   467,   468,    51,  2689,    18,   151,    34,   233,    18,
     252,   236,    78,   252,    78,    80,    53,  2238,     6,  2240,
    2241,  2242,  2080,  2081,  2099,    23,   180,   180,    23,  2714,
    2715,     6,  2253,     6,  2719,  2720,  2257,    54,    23,  1979,
    2261,    52,  2080,  2081,    25,    52,    52,    34,    52,  2080,
    2081,    52,    78,    52,   263,  2367,   430,   431,   432,   433,
     434,   435,   436,   437,  1665,   196,  2287,   193,    52,    52,
      52,    50,  2293,  2294,    52,    52,    52,    18,  2299,    79,
    2301,    52,  2303,    52,  2305,  1971,    52,    52,    52,  1690,
    2311,    52,    52,    52,    52,  1981,    52,    52,    52,    52,
     165,    52,  2323,  2324,    52,   170,   171,  2328,  2329,  1710,
    1711,  1712,    52,   178,  1715,    52,    52,    52,    52,   184,
     185,   186,   187,   188,   189,    52,    11,    12,    13,  2350,
     192,    21,    34,  2354,    34,    78,  2357,    18,  1739,    18,
      23,     6,  2363,    28,    29,    30,    31,    32,    33,    34,
      35,    36,     6,  2374,    39,     6,     6,     6,  2044,     6,
      18,     6,     6,     6,     6,    54,    78,  1768,   233,   262,
     262,   236,    52,    25,    52,   165,    52,   313,  2424,  2425,
      52,   246,    78,  2429,  2430,    52,  2169,  2433,    52,    52,
      52,    52,    52,   258,   372,  2416,  2417,  2418,  2419,  2420,
     365,   348,   196,  2424,  2425,    60,    52,   298,  2429,  2430,
     180,    52,  2433,    52,    52,    52,    52,    52,  2439,    11,
      12,    13,    52,  2109,  2110,  2111,    52,  2113,    52,    52,
      52,   180,  2453,  2454,  2455,    52,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   140,    52,    39,    52,   259,
    2471,  2472,   182,    52,   455,    52,  2477,  2569,  2570,   198,
      53,    80,   150,    52,   489,   490,    36,  2488,   493,    53,
      53,  2492,    48,   498,  2495,  2496,    28,    52,  1879,  2500,
    2501,    36,    78,    34,    60,    18,    21,    78,  2509,    65,
    2536,   356,     6,     6,    80,    52,  2334,    18,  2610,  2520,
    2521,  2522,    49,    50,    80,    79,  2527,   166,    55,    56,
     129,   263,   407,  2388,  2389,  2536,  2537,   263,   192,  2540,
    2541,   411,    52,   406,    52,    52,   255,    52,    48,   322,
    1931,  1932,    69,    80,  2220,   298,    79,    79,    79,    79,
      79,    18,    80,  2229,  2565,  2566,   165,    52,    52,    52,
      18,   170,   171,    34,    61,    38,   175,   176,   192,   178,
    1961,   180,    68,    52,    52,    11,    12,    13,    14,    15,
      35,    35,   191,    10,    28,    54,   308,    52,    80,    79,
     402,   200,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   283,   400,    39,   196,   263,    54,    79,   110,   256,
    2383,    79,  2623,   256,  2625,  2626,    79,    79,   256,    53,
      53,    53,  2633,    52,   233,    53,   192,   236,   165,  2640,
      52,    10,    78,   170,   171,   201,   202,    77,    54,    54,
      54,   178,    53,   107,    54,    54,    52,   184,   185,   186,
     187,   188,   189,    52,    18,    36,    10,    35,    35,   305,
      79,    79,   255,    52,    52,   324,   232,    52,    50,    52,
     106,   486,   486,    55,    56,    10,    78,    78,    54,    54,
      54,    54,  2073,    11,    12,    13,    14,    15,   254,   255,
     298,    54,   258,    53,   296,    54,   233,   259,    80,   236,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    52,
     256,    39,   249,   256,    79,   259,   256,  2393,   256,   296,
     256,   432,   211,   324,    52,   291,   292,   293,   126,   430,
      52,   459,    52,    16,   471,    18,    19,    20,    21,    22,
      23,   476,    25,   309,   361,   298,   478,   263,   471,   308,
      33,    34,    35,   308,    52,    38,    52,    25,    50,    52,
     481,   296,   263,    55,    56,   263,   361,    50,    51,  2160,
      53,   126,    55,    56,   508,   263,    59,   263,    52,    52,
     520,    52,  2173,   165,   393,    52,    52,    52,   170,   171,
      52,    36,   174,    36,   510,   303,   178,  2188,    80,  2190,
     514,   519,   184,   185,   186,   187,   188,   189,    52,    25,
      80,  2202,   263,   494,  2205,  2206,   263,   256,   256,    54,
     192,   111,   202,    78,    52,    52,    52,    52,    52,   112,
     113,   114,   115,   116,   117,   118,   119,   460,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,    52,   202,
      52,   233,   473,   444,   236,    52,   139,   140,   141,   444,
      52,   144,    52,    78,   439,    54,  1039,  1543,  1039,   152,
    1039,  2120,  1586,  1586,  1586,  1586,  1836,   160,  2554,   162,
    2121,  2119,  1838,  1837,   571,   422,   423,   424,   425,  2662,
    2663,  1231,   184,   185,   186,   187,   188,   189,  1793,  1634,
     959,   958,    50,  2388,  2295,  1355,  2389,    55,    56,  2300,
     173,   141,  1212,   450,   482,  1299,   546,   961,   455,   301,
    2602,   458,  1383,  1301,   461,   844,  2583,   636,  2052,  1398,
    1178,  1901,    80,  1885,  1914,  1940,  2077,  2493,  2334,  2351,
    2504,    11,    12,    13,    14,    15,  2355,  2506,  2354,   898,
    2341,  1783,  1117,  1081,    -1,    -1,     6,   240,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,  2359,    39,
      20,    21,    22,    23,  2365,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      50,    -1,    -1,    -1,    -1,    55,    56,    -1,    -1,    79,
      -1,    -1,    -1,    -1,    -1,    -1,   299,   165,    -1,    -1,
      -1,    -1,   170,   171,    -1,    -1,   174,    -1,    -1,    -1,
     178,  2422,    -1,    -1,    -1,    -1,   184,   185,   186,   187,
     188,   189,    -1,    -1,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,    -1,    -1,    -1,    -1,   109,
     110,    -1,    -1,    -1,    -1,    -1,  2457,    -1,    -1,    -1,
      -1,   354,   355,    -1,    -1,  2466,  2467,    -1,    -1,    -1,
      -1,    -1,    -1,  2474,  2475,   233,    -1,  2478,   236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   384,   152,   153,    -1,    -1,    -1,    -1,  2499,    -1,
     258,    -1,  2503,    -1,  2505,    -1,   399,    -1,   168,    -1,
      -1,    -1,   172,    -1,    -1,   175,   176,    -1,    -1,    -1,
     180,    -1,    -1,  2524,  2525,   418,   419,   420,   421,    11,
      12,    13,    14,    15,  2535,    -1,    -1,    -1,    -1,   199,
      -1,  2542,    -1,  2544,  2545,  2546,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,
      -1,    -1,   222,   223,   224,    -1,    -1,   227,   228,   229,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    65,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    16,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    -1,    -1,    -1,   499,   500,  2609,    -1,
      33,    34,    -1,    -1,    -1,    38,    -1,    -1,    -1,  2620,
      -1,    -1,   515,   516,    -1,    -1,    -1,    50,    51,    -1,
      53,    -1,    55,    56,    -1,  2636,    59,    -1,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
     102,   103,   104,    -1,    -1,   578,   579,    -1,    -1,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,    -1,    -1,
      -1,    -1,    -1,   201,   202,    -1,   139,   140,   141,    -1,
      -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,
      -1,    48,    -1,    -1,    -1,    -1,    -1,   160,    -1,   162,
      57,    58,    59,    60,   232,    62,    63,    64,    57,    58,
      67,    -1,    69,    70,    -1,    -1,    65,    -1,    75,    76,
      -1,    -1,   250,    80,    48,    -1,   254,   255,    -1,    -1,
     258,   259,    -1,    57,    58,    59,    60,    -1,    62,    63,
      64,    -1,    91,    67,    93,    69,    70,    -1,    -1,    -1,
      -1,    75,    76,    -1,    -1,    -1,    80,   285,    -1,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,   297,
      -1,   120,    -1,    -1,    -1,    -1,   304,   240,    -1,    -1,
      -1,   309,   131,   132,   312,   134,   135,   136,   137,   138,
      11,    12,    13,    14,    15,    -1,   145,   146,   147,    -1,
     149,   150,    -1,    -1,    -1,    -1,    -1,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   360,    54,    -1,    -1,   299,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,   387,
      -1,    -1,    -1,    54,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,    -1,    16,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    -1,    78,    -1,    -1,
      -1,   354,   355,    33,    34,    35,   424,    -1,    38,   427,
     428,   429,    -1,    -1,    -1,    -1,    -1,   435,    -1,    -1,
      50,    51,   440,    53,    -1,    55,    56,    -1,    -1,    59,
      -1,   384,   450,    -1,    -1,    -1,    -1,    -1,   456,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,    -1,
      -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,   419,   420,   421,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,   112,   113,    -1,    -1,    -1,    -1,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,
     140,   141,    -1,    -1,   144,    -1,    -1,    -1,    -1,    78,
      -1,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     160,    -1,   162,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,   499,   500,    11,    12,
      13,    14,    15,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   515,   516,    39,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    52,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,    -1,    -1,    -1,    -1,
     240,    -1,    -1,    -1,    -1,    78,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,   578,   579,    -1,    11,    12,
      13,    14,    15,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    78,    -1,    39,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,    -1,    16,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    -1,
      -1,    -1,    -1,    -1,   354,   355,    33,    34,    35,    -1,
      -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    53,    -1,    55,    56,
      -1,    -1,    59,    -1,   384,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    -1,    -1,   418,   419,
     420,   421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,    -1,    -1,
      -1,   118,   119,    -1,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   139,   140,   141,    -1,    -1,   144,    -1,    11,
      12,    13,    14,    15,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   160,    -1,   162,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,   499,
     500,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,   515,   516,    -1,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      -1,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,    -1,
      -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    78,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,   578,   579,
      -1,    11,    12,    13,    14,    15,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    -1,    -1,
      -1,    -1,   299,    -1,    54,    -1,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    78,    99,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,    -1,    16,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    -1,    -1,    -1,    -1,    -1,   354,   355,    33,
      34,    35,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    12,    13,    14,    15,    50,    51,    -1,    53,
      -1,    55,    56,    -1,    -1,    59,    -1,   384,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      -1,    -1,   399,     6,    -1,    -1,    -1,    -1,    11,    12,
      13,    14,    15,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,   418,   419,   420,   421,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,   112,   113,
      -1,    -1,    -1,    -1,   118,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,   140,   141,    -1,    -1,
     144,    -1,    11,    12,    13,    14,    15,    -1,   152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,   162,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,   515,   516,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,    -1,    -1,    -1,    -1,   240,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   578,   579,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,    -1,    16,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    -1,    -1,    -1,    -1,    -1,
     354,   355,    33,    34,    35,    -1,    -1,    38,    -1,    -1,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    50,
      51,    -1,    53,    -1,    55,    56,    -1,    -1,    59,    -1,
     384,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,   418,   419,   420,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,    -1,    -1,    -1,   118,   119,    -1,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,   140,
     141,    -1,    -1,   144,    -1,    11,    12,    13,    14,    15,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,
      -1,   162,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    -1,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
      -1,   515,   516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,    -1,    -1,    -1,    -1,   240,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   578,   579,    -1,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,   299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,    -1,    16,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    -1,    -1,
      -1,    -1,    -1,   354,   355,    33,    34,    35,    -1,    -1,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,
      14,    15,    50,    51,    -1,    53,    -1,    55,    56,    -1,
      -1,    59,    -1,   384,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    -1,    -1,   399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,
     421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,    -1,    -1,    -1,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,   140,   141,    -1,    -1,   144,    -1,    11,    12,
      13,    14,    15,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   160,    -1,   162,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,   499,   500,
      -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,   515,   516,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,    -1,    -1,
      -1,   299,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
      -1,    -1,    16,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    -1,    -1,    -1,    -1,   354,   355,    -1,    33,
      34,   299,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    53,
      -1,    55,    56,    -1,    -1,    59,   384,    -1,    -1,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
      -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,   355,    -1,    -1,
     418,   419,   420,   421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,    -1,    -1,    -1,   118,   119,   384,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,    -1,    -1,    -1,
      -1,   399,    -1,    -1,    -1,   139,   140,   141,    -1,    -1,
     144,    -1,    11,    12,    13,    14,    15,    -1,   152,    -1,
     418,   419,   420,   421,    -1,    -1,   160,    -1,   162,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,   515,   516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   499,   500,    -1,    -1,    -1,   240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,   516,    -1,
     578,   579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,
     578,   579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    51,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     354,   355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    -1,    -1,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
     384,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
     108,   109,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
     128,   129,    -1,    -1,   418,   419,   420,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,
     158,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,   499,   500,    54,    -1,    -1,
      -1,    -1,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   515,   516,    39,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   240,    -1,    -1,    -1,    52,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,   578,   579,    -1,    -1,    -1,    -1,
      -1,   299,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    23,    -1,    39,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    51,
      -1,    11,    12,    13,    14,    15,    -1,    59,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   354,   355,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    79,    80,    39,
      82,    83,    84,    85,    86,    87,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    54,    -1,   384,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,    -1,   108,   109,    -1,    -1,
      -1,   399,    -1,    -1,    -1,    -1,   118,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,   128,   129,    -1,    -1,
     418,   419,   420,   421,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   156,    -1,   158,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    -1,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,   499,   500,    54,    -1,    -1,    -1,    -1,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   515,   516,    39,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,
      -1,    -1,    52,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
     578,   579,    -1,    -1,    -1,    -1,    -1,   299,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    23,    -1,    39,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    51,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,   355,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    -1,    -1,    82,    83,    84,    85,
      86,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,   108,   109,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    -1,   118,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,   128,   129,    -1,    -1,   418,   419,   420,   421,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   515,   516,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    -1,    -1,    -1,    -1,   578,   579,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,
      -1,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,   355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,   119,   384,   121,
     122,   123,   124,   125,   126,   127,   128,   129,    -1,    -1,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   418,   419,   420,   421,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,   240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
     516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,    -1,    -1,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   578,   579,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,   355,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,   421,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    55,    56,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   515,   516,    -1,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    -1,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   578,   579,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,   170,   171,    -1,   173,
     174,    -1,    -1,    -1,   178,   179,    -1,    -1,    -1,    -1,
     184,   185,   186,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   197,    -1,    -1,    -1,   201,    -1,   203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,
      -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     304,   305,   306,    -1,   308,    -1,    -1,    -1,   312,    -1,
      -1,   315,   316,    -1,   318,   319,    -1,    -1,   322,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,   339,    -1,    -1,    -1,   343,
     344,   345,    -1,    -1,    -1,    -1,    -1,    -1,   352,    -1,
      -1,    -1,   356,    -1,    -1,   359,   360,    -1,   362,    -1,
     364,    -1,    -1,    -1,   368,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   388,   389,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   398
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   585,   586,     3,     4,     5,   154,   171,   196,
     197,   234,   236,   238,   249,   278,   282,   287,   288,   412,
     572,   573,   581,   582,   583,   584,   763,   764,   765,   766,
     768,   769,   770,   777,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   792,   793,   794,   795,   796,
     797,   798,   800,   801,   815,   816,   817,   818,   837,   861,
     899,   900,   901,   902,   903,   904,   905,   906,   961,   962,
     985,   998,   999,  1000,  1001,  1002,  1003,  1004,  1005,     0,
       6,    40,    50,    52,    55,    56,    81,   152,   154,   155,
     157,   159,   165,   167,   168,   169,   171,   184,   185,   186,
     187,   188,   189,   236,   242,   248,   249,   571,   587,   588,
     642,   644,   645,   646,   647,   657,   702,   704,   705,   706,
     707,   708,   713,   727,   730,   740,   741,   742,   805,   808,
     819,   822,   838,   845,   857,   860,   864,   865,   908,   909,
     911,   913,   914,   919,   950,   953,   963,   964,   976,   977,
     986,   989,   996,   997,  1008,  1011,  1012,     6,     6,     6,
      16,    18,    19,    20,    21,    22,    23,    25,    33,    34,
      38,    50,    51,    53,    55,    56,    59,   112,   113,   118,
     119,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   139,   140,   141,   144,   152,   160,   162,   240,   299,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     354,   355,   384,   399,   418,   419,   420,   421,   499,   500,
     515,   516,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     578,   579,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   639,   640,   641,   666,   682,   684,
     685,   687,   688,   689,   690,   804,    23,    25,   172,   776,
     799,   802,    23,   802,   802,   110,   235,   802,   802,     6,
     196,   207,   209,   239,   246,   279,   281,   289,   304,   415,
     501,   525,   152,   182,   205,   207,   209,   283,   284,   285,
     286,    42,    79,   172,   790,   802,   282,    25,   258,   279,
     567,   568,   569,  1006,     6,    23,    24,   391,   393,   394,
     395,   396,   397,   591,   591,   591,   690,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    99,   100,   101,   102,
     103,   104,   648,    53,    53,   166,    23,    25,   616,   207,
     208,   226,   570,   190,   207,   616,   168,   246,   247,   248,
     728,   729,   988,   196,   504,   562,   180,   260,   709,   173,
     200,   231,   289,   304,   412,   415,   465,   469,   470,   501,
     525,   529,   577,   863,   949,    51,   591,   714,    80,   165,
     170,   171,   174,   178,   233,   236,   258,   706,   715,   716,
     722,   744,   714,   714,   714,    55,    56,    80,    88,   121,
     149,   173,   174,   179,   184,   185,   186,   187,   197,   201,
     203,   245,   249,   258,   288,   304,   305,   306,   308,   312,
     315,   316,   318,   319,   322,   323,   338,   339,   343,   344,
     345,   352,   356,   359,   360,   362,   364,   368,   369,   380,
     388,   389,   398,   715,   848,   849,   856,   714,   714,    49,
      80,   249,   422,   423,   424,   425,   450,   455,   458,   461,
     706,   715,   867,   868,   869,   870,   871,   714,    80,   198,
     265,   286,   466,   467,   468,   715,   722,   910,    79,    80,
     129,   175,   176,   180,   191,   200,   393,   715,   717,   714,
     714,   714,   714,    80,   246,   258,   356,   715,   722,   980,
     981,    80,   249,   290,   458,   529,   530,   574,   575,   576,
     715,   722,   987,  1010,   714,   714,    80,   174,   575,   715,
    1013,    18,    23,    33,    35,    53,   162,   164,   681,   683,
     688,    36,   595,    36,    20,    21,   596,   597,    53,   151,
      34,   151,   690,    18,   114,   115,   116,   117,   671,   690,
      79,    79,    53,    53,    53,    53,    53,    53,    53,    18,
      19,    21,    22,    23,    53,   163,   596,   597,   604,   666,
     667,   670,   672,   673,   674,   676,   678,   679,   150,   150,
       6,    11,    12,    13,    14,    15,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    39,    39,    42,    79,   172,
     745,     6,   745,    25,   617,   617,   802,   802,     6,    42,
      79,   172,   748,     6,    23,    25,   172,   803,     6,   280,
       6,   771,     6,   778,   182,   209,   285,   300,   314,    23,
     174,   285,   449,   463,   464,   767,   209,   285,   767,   172,
       6,     6,     6,     6,     6,     6,     6,     6,    88,   171,
     517,   560,   561,   562,   563,   564,   565,   994,   995,    18,
     791,   617,   862,  1006,     6,  1006,     6,     6,   504,  1007,
      28,   658,   643,    98,   591,    23,    23,    18,    20,    23,
      51,    53,   703,    52,   745,   745,    18,    23,    53,   589,
      41,    42,    43,    44,   192,   589,   592,   748,    52,    25,
     243,    52,   559,   566,   616,   992,   250,   589,   590,   590,
     591,    79,   712,   416,   417,   912,   502,    23,    51,    79,
     166,   592,   745,   743,   179,   616,   616,   748,   259,    52,
      79,   720,    52,    52,    79,    79,    79,   250,   325,   337,
     315,   318,    52,    25,   328,   329,    50,   371,    50,   371,
      50,   371,    50,   371,   326,   616,   592,   372,   196,   259,
     246,   342,   367,   249,   592,   846,    52,   589,    20,    21,
      23,   381,   593,   840,   391,   593,   839,   313,   263,   317,
     324,   263,   315,   290,   324,   340,   341,   340,   167,   592,
     346,   353,   290,   290,   361,   359,   252,   308,   328,   592,
     370,   589,   382,   145,   313,   392,    52,    79,   854,    52,
      79,    79,   462,   196,   703,   592,   165,   589,   592,   166,
     378,   592,   371,   866,   720,    52,    79,    79,   592,   149,
     150,    18,    51,   204,    18,   175,   176,    52,    52,   589,
     152,   153,   172,   177,   192,   198,   655,   724,   192,   724,
      23,   723,   192,   234,   180,    52,    52,    79,    79,    79,
      79,    21,    22,    23,   607,   611,   259,   180,    52,    52,
      87,   320,   349,   358,   526,   527,   528,   978,   979,    79,
     984,   196,   589,   365,   180,   254,   592,   263,   592,    52,
      52,    79,    79,  1014,  1018,   263,    52,    10,   683,   683,
     683,   690,    20,    21,   163,   676,   683,   683,    17,    18,
      18,    36,   686,   690,    33,    34,   151,    34,    18,    78,
      54,    78,   636,   636,   723,   690,   690,   690,   690,   690,
     690,    35,   669,   671,   690,    33,    34,    79,    10,    78,
     163,    78,   163,    18,    18,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,    57,
      58,    65,    91,    93,   120,   131,   132,   134,   135,   136,
     137,   138,   145,   146,   147,   149,   150,    50,    55,    56,
     184,   185,   186,   187,   188,   189,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   775,   181,   182,
     183,   205,   206,   209,   746,   747,     6,     6,     6,     6,
     181,   237,   749,   750,     6,   803,     6,     6,     6,   109,
     110,   152,   168,   172,   175,   176,   180,   199,   222,   223,
     224,   227,   228,   229,   611,   655,   774,     6,    81,   152,
     168,   169,   180,   591,   767,   767,   767,   767,   767,   767,
     767,   907,   172,   767,   172,   767,     6,   767,   767,     6,
       6,    78,    80,     6,     6,     6,   152,   180,   204,   655,
       6,  1007,   589,     6,   690,    53,   650,   651,   652,   656,
      52,    78,    78,   737,   738,   690,    52,   690,   590,    52,
     589,   244,   245,   382,   990,   589,   991,    79,   172,   993,
     589,    45,    46,    47,   711,   714,    23,   703,   731,   734,
     735,   592,   719,   721,   807,   821,   263,   263,   593,   263,
     263,    52,   589,   589,    88,   401,    52,    52,   249,   373,
     263,   366,   592,   592,   351,   592,   237,    52,    52,    79,
     762,    52,    23,   604,   610,    37,   594,    48,    52,   252,
     377,   378,   393,   394,   395,   396,   397,   844,   594,    48,
      52,   252,   592,   589,   263,   263,   589,   263,   592,   263,
     592,   166,   592,   592,    52,   592,   592,   592,   592,   592,
     592,   379,   252,   592,    52,   592,    52,   383,   616,   252,
     592,   592,   853,   855,   859,   592,   263,   366,   592,   592,
     192,   589,   592,   721,   872,   590,   590,    18,    18,    23,
     653,   654,   690,    42,   589,   726,   199,   726,   726,   592,
     723,   918,   952,   965,   592,   723,    25,   593,   593,    50,
     126,   128,   304,   978,   983,    52,   592,   592,   589,   296,
     589,   735,   736,   589,    18,    54,   683,   163,    51,    18,
      54,    78,   151,    34,   690,   690,   637,   638,    54,    78,
      54,    78,    78,    78,    78,    54,    78,    10,    78,    78,
      54,    18,    53,   667,   674,   678,   252,   252,    53,    78,
      80,    78,    80,     6,    20,    21,    22,    23,   596,   597,
     598,   599,   600,   772,   773,   611,   653,    23,   180,   180,
      23,   172,    23,   776,   617,   617,   617,   617,     6,   617,
     617,     6,    23,    65,   165,   259,   321,   400,   422,   454,
     767,   617,   767,   617,   617,   617,   995,   653,    25,   723,
     616,     6,    52,    54,   649,   659,    79,   648,   616,    23,
     735,    52,    54,    54,    25,    46,    47,    46,    47,   616,
     616,   994,    52,    52,    80,   149,   150,   260,   261,   264,
     710,    34,   733,    78,    52,    80,   171,   717,   718,    80,
     174,   301,   715,   722,   806,    80,    86,   174,   305,   306,
     312,   715,   820,   589,   589,    52,   589,   589,    52,    52,
     592,    79,   592,   841,   196,   263,   589,    52,    52,    52,
     592,    52,   592,   761,   847,   840,   591,   840,   589,   589,
      52,   839,   589,   589,    52,    52,   589,   589,    52,   589,
      52,   589,    52,   703,    52,    52,    52,    52,    52,    52,
      52,    52,   592,    52,   589,    52,    52,   589,    52,   592,
      52,    52,    60,    80,   140,   175,   176,   245,   247,   249,
     347,   356,   357,   363,   367,   376,   385,   387,   390,   718,
     852,    80,   152,   180,   266,   413,   414,   655,   715,   858,
     589,   589,    80,   174,   179,   280,   378,   424,   441,   443,
     447,   451,   452,   873,   880,   883,   652,   193,   725,   592,
      52,    80,    92,   174,   489,   490,   493,   498,   715,   722,
     915,    80,   174,   450,   503,   715,   722,   951,    48,    80,
     317,   350,   351,   517,   522,   524,   715,   722,   966,   968,
      52,    52,   594,    50,    18,   613,   614,   589,   592,   592,
      23,    79,    80,    82,    83,    84,    85,    86,    87,    88,
     105,   108,   109,   156,   158,   687,   689,   691,   696,   804,
     982,   192,  1009,   589,    79,  1017,   683,   683,    21,   690,
      34,    34,    78,    54,    78,   634,   635,   690,   690,   690,
     690,   690,    35,   669,   690,   669,    35,   669,   669,    78,
     690,    18,    18,   690,   747,   750,    51,    20,    21,    23,
     776,   776,     6,     6,     6,     6,     6,     6,    18,   703,
     703,   703,   617,     6,   617,     6,     6,     6,   648,   656,
     648,   660,   663,   664,   665,   694,   696,   591,    54,    78,
      80,   262,   262,   592,   592,   265,   266,    52,    25,   617,
     732,   734,   745,    52,   809,   814,   165,    52,   824,   825,
     831,   825,   832,   593,   836,   313,    52,    78,    52,    52,
      52,    52,    92,   235,   393,   401,   403,   405,   408,   842,
     843,    52,   366,   592,   589,    52,    52,    52,    80,   149,
     203,   249,   253,   256,   257,   760,    52,    52,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,   298,
     365,   180,   180,   372,   180,   196,   348,   180,   173,   358,
     592,    60,   592,   386,   592,   589,   592,    52,   653,    25,
     723,   589,   616,   140,    52,   892,   898,   387,   426,   451,
     592,   875,   387,   592,   874,   259,   610,   876,   877,   453,
     592,    52,   455,   893,   194,   195,   196,   197,    23,   597,
     609,   929,   934,   920,   928,   916,   917,   609,   182,    52,
     954,   960,   592,   589,    52,   589,   198,   967,   150,   967,
      23,   593,   616,   969,    67,   521,   970,   967,    52,   614,
      36,    28,   661,   662,   690,   692,   692,    53,   690,   690,
     690,   697,    53,    53,    52,    28,   692,    28,    39,   589,
    1016,    36,    34,   690,   690,    48,    57,    58,    59,    60,
      62,    63,    64,    67,    69,    70,    75,    76,    80,   620,
     621,   622,   623,   624,   632,    80,   621,   622,   623,   624,
     633,    78,    54,    54,    54,    54,    54,    78,    10,    54,
      78,    54,    78,    10,    54,    78,    78,    18,    54,    21,
       6,     6,   591,   591,    80,   664,    52,    18,   263,   263,
     589,   590,    20,    21,    23,   596,   597,   612,   736,   166,
     173,   184,   185,   305,   823,   736,    79,   830,    37,   307,
     833,   592,   589,   192,   411,   407,   143,   404,   406,   409,
     410,    78,    80,    52,    52,    52,   254,   255,   592,   255,
     590,   589,    52,   198,   321,   337,   345,   254,   255,   592,
     592,   592,   249,   373,   723,   592,   321,   349,   350,   851,
     723,   298,   322,   735,   894,   589,   589,   592,    79,   589,
      79,   703,    79,   589,   589,    79,    79,   933,   736,    79,
     593,   935,   940,    25,    79,   941,   946,   592,   736,   192,
     589,    69,   589,   968,   971,   972,   589,    18,   690,    80,
     660,    78,    52,    52,   804,    52,   106,    79,    23,   648,
     695,   700,   700,   690,    52,   690,   140,   141,   144,   151,
     152,    80,   484,  1015,    18,    34,    54,    54,    61,    65,
      66,    68,    11,    12,    13,    28,    29,    30,   112,   113,
     589,   618,   625,   626,   627,    38,   628,   629,   629,   631,
      23,   596,   608,    52,   625,   628,   631,   609,    52,   690,
      35,   669,    35,   669,    35,   669,    10,    35,   669,    35,
     669,    80,    52,    54,    28,   693,    54,   590,   590,    79,
     813,   592,   830,   829,   826,   591,   616,   308,   834,    52,
     402,   283,   843,   256,   256,   256,   374,   375,   592,   850,
     850,   593,   400,   196,   263,   592,   592,   895,    79,   897,
     885,   885,   878,   881,   932,   931,    79,   927,   936,   942,
      79,   959,   589,   592,    79,    52,   692,    54,   696,   680,
     591,   110,   690,    23,   689,   701,   804,    52,    52,    53,
      53,    53,    52,    53,   593,    52,    10,   589,    14,    15,
     619,    78,    15,    78,   619,   589,    71,    72,    73,    74,
     630,    78,   619,    77,    54,    54,    54,    54,    78,    10,
      54,    54,    54,    78,    53,    54,    10,    54,    54,    10,
      54,   690,    52,   812,   810,   826,    80,   149,   201,   202,
     203,   232,   253,   256,   257,   309,   751,   752,   754,   755,
     756,   827,   593,   305,   835,   590,   590,   590,   592,   589,
     893,   896,    80,   610,   886,   887,    80,    80,   280,   387,
     442,   879,    80,   250,   292,   309,   427,   428,   429,   751,
     882,    80,   128,   483,   484,   487,   488,   930,   926,   925,
     939,   945,   958,   955,   973,    52,   107,     9,    18,    19,
      53,    80,   666,   668,   670,   672,   673,   675,   677,   698,
     700,   700,   690,   690,   690,   690,   589,   627,   618,   626,
     629,   629,    36,   629,   629,    18,    35,   669,    35,   669,
     669,    10,   669,    48,    60,    65,    80,   192,   254,   255,
     258,   291,   292,   293,   309,   751,   811,   254,   255,   592,
      79,   255,   590,   589,   177,   211,   310,   311,   828,    26,
     616,    79,   759,    52,   592,    65,    80,   250,   254,   255,
     258,   259,   285,   292,   297,   304,   309,   312,   360,   387,
     424,   427,   428,   429,   435,   440,   450,   456,   751,   884,
     442,   448,   888,   592,   589,   592,    52,   589,   589,   177,
     310,   438,   589,   324,   224,   589,    52,   592,   486,   486,
     592,   592,    52,    80,    92,   149,   150,   179,   246,   259,
     472,   474,   475,   479,   480,   482,   489,   490,   921,    80,
     486,   491,   937,    80,   486,   492,   943,    48,    80,   203,
     254,   255,   258,   290,   293,   304,   309,   337,   360,   427,
     450,   468,   504,   505,   506,   507,   509,   513,   751,   956,
      80,   517,   518,   523,   974,   696,   661,   690,    10,    78,
     161,   690,    54,    78,    54,    54,    54,    54,   589,   589,
     589,   589,   630,   630,    54,    54,    54,    78,    54,    53,
      54,   589,   298,   294,   295,   589,   296,    69,    70,   241,
     297,   739,   259,   589,   256,   256,   177,   302,    52,   256,
     256,   753,   754,   256,   213,   214,   211,    51,    86,   166,
     204,   210,   230,   757,   430,   431,   432,   433,   434,   435,
     436,   437,   589,   296,    69,   297,   739,   259,   459,    79,
     589,   589,   592,   177,   310,   438,   432,   361,   589,   592,
     589,   324,   224,   589,   337,   457,   589,   126,   430,    52,
     589,    52,   589,   589,   589,   589,   477,   934,   324,   471,
     471,   129,   486,   129,   477,   486,   478,   471,   592,   476,
     263,   481,   298,   308,   922,   308,   923,    52,   938,   485,
     589,   947,   935,    52,   944,   947,   941,    52,   589,   592,
     296,    69,   297,   739,   259,   511,   589,   263,   592,   177,
     213,   438,   512,   957,   593,   361,   263,   126,   371,   430,
     263,   263,   444,   589,   508,   510,   514,    52,   975,   520,
     519,   616,    52,    54,    53,   668,   675,   661,   699,    52,
     690,    52,    52,    52,    52,    36,    36,   669,   669,   184,
     185,   589,   589,   589,   589,   589,   592,   590,   590,   303,
     590,   590,    80,    52,   590,   213,   214,    25,   615,    51,
     204,   589,   615,   211,   212,   218,   219,   220,   221,   758,
      51,   204,    80,   445,   446,   589,   589,   589,   592,   460,
     889,   592,   255,   592,   589,   589,   592,   592,   589,   592,
     494,   948,   948,   263,   589,   256,   256,   495,   496,   497,
     924,   589,   924,   263,   589,   589,   473,   592,   589,   589,
     192,   592,   940,   592,   946,   589,   589,   589,   589,   592,
     592,   589,   255,   592,   590,   589,   589,   589,   592,   592,
     592,   592,   202,   202,   690,   111,    54,   589,   589,    54,
      78,   593,   593,   753,    52,   615,   615,    52,    52,   213,
     214,   215,   216,   217,   213,   214,   215,   216,   217,    52,
     615,   615,   759,   592,    80,   593,   891,   444,   592,   589,
     589,   589,   948,   589,   948,   592,   589,   444,   616,   616,
     696,    52,   669,   757,    52,    52,   757,   757,   757,    52,
      52,   439,   890,    78,   757,   757,   757,   757,    52,   669,
      54
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   580,   585,   585,   586,   586,   587,   587,   588,   589,
     589,   589,   590,   590,   590,   591,   591,   592,   592,   592,
     592,   592,   592,   593,   593,   593,   594,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   604,   605,
     605,   606,   606,   607,   607,   607,   607,   607,   607,   608,
     608,   609,   609,   610,   610,   611,   611,   612,   612,   612,
     612,   612,   613,   614,   614,   615,   616,   616,   617,   617,
     618,   618,   618,   618,   618,   618,   618,   618,   619,   619,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     621,   622,   623,   624,   624,   625,   625,   625,   625,   626,
     626,   627,   627,   628,   628,   628,   629,   629,   630,   630,
     630,   630,   631,   631,   631,   632,   632,   632,   632,   633,
     633,   633,   633,   633,   634,   634,   635,   635,   636,   637,
     638,   639,   640,   641,   641,   581,   582,   581,   583,   581,
     584,   587,   643,   642,   587,   644,   587,   645,   587,   646,
     587,   647,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   649,   649,
     650,   650,   651,   651,   652,   653,   654,   653,   655,   656,
     587,   658,   659,   657,   660,   660,   662,   661,   663,   663,
     664,   665,   665,   666,   666,   667,   667,   667,   667,   667,
     667,   668,   668,   668,   668,   669,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   671,   671,   671,   671,
     672,   672,   672,   673,   673,   673,   673,   673,   673,   673,
     673,   674,   674,   674,   674,   674,   675,   675,   675,   675,
     675,   676,   676,   677,   677,   678,   678,   678,   678,   679,
     679,   680,   680,   680,   681,   681,   682,   683,   683,   683,
     683,   683,   683,   683,   683,   683,   684,   684,   684,   684,
     684,   684,   684,   684,   684,   684,   684,   685,   685,   685,
     685,   686,   686,   686,   687,   688,   689,   689,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   691,   691,   691,   692,   692,   692,   693,   693,   694,
     695,   695,   696,   696,   696,   697,   698,   699,   696,   696,
     696,   696,   696,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   696,   696,   696,   696,   700,   701,   701,   701,
     587,   702,   702,   703,   703,   703,   703,   587,   704,   587,
     705,   706,   706,   706,   706,   706,   706,   706,   706,   706,
     706,   587,   707,   708,   709,   709,   710,   710,   710,   710,
     710,   710,   711,   711,   712,   712,   587,   713,   713,   714,
     714,   714,   714,   715,   715,   715,   715,   715,   715,   715,
     715,   716,   717,   717,   717,   717,   717,   717,   717,   717,
     717,   718,   718,   719,   719,   720,   720,   721,   722,   723,
     724,   724,   724,   724,   725,   725,   725,   725,   725,   726,
     726,   587,   727,   727,   727,   587,   728,   728,   728,   728,
     729,   729,   729,   729,   729,   729,   729,   729,   730,   731,
     732,   732,   733,   733,   734,   735,   735,   736,   737,   738,
     739,   739,   740,   741,   742,   742,   742,   742,   742,   743,
     744,   745,   745,   745,   746,   746,   747,   747,   747,   747,
     747,   747,   748,   748,   748,   749,   749,   750,   750,   751,
     752,   752,   753,   753,   754,   754,   755,   755,   756,   756,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   759,   760,   760,   760,   760,   760,   760,
     760,   761,   761,   762,   581,   763,   581,   764,   581,   765,
     581,   766,   767,   767,   581,   768,   581,   769,   581,   770,
     771,   771,   771,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   772,   772,
     772,   772,   772,   772,   772,   772,   773,   773,   773,   773,
     774,   774,   774,   774,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   776,   581,   777,   778,   778,   778,
     778,   778,   778,   778,   581,   779,   581,   780,   581,   781,
     581,   782,   581,   783,   581,   784,   581,   785,   581,   786,
     581,   787,   581,   788,   581,   789,   790,   790,   790,   791,
     791,   581,   792,   581,   793,   581,   794,   581,   795,   581,
     796,   581,   797,   581,   798,   799,   799,   581,   800,   581,
     801,   802,   802,   802,   803,   803,   803,   804,   740,   819,
     820,   820,   820,   820,   820,   820,   821,   821,   822,   823,
     823,   823,   823,   824,   824,   825,   826,   827,   827,   827,
     827,   827,   827,   827,   827,   828,   828,   828,   828,   828,
     828,   829,   829,   830,   830,   831,   832,   833,   833,   833,
     834,   834,   835,   835,   836,   581,   837,   740,   805,   806,
     806,   806,   806,   807,   807,   808,   809,   810,   811,   811,
     811,   811,   811,   811,   811,   811,   811,   811,   811,   811,
     811,   811,   811,   811,   811,   811,   811,   812,   812,   813,
     813,   814,   804,   581,   815,   581,   816,   581,   817,   581,
     818,   591,   591,   591,   591,   591,   591,   740,   838,   839,
     839,   839,   840,   840,   840,   840,   840,   841,   841,   842,
     842,   843,   843,   843,   843,   843,   843,   843,   843,   843,
     844,   844,   844,   844,   844,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   846,
     847,   845,   845,   845,   845,   848,   848,   848,   848,   848,
     848,   848,   848,   848,   848,   848,   848,   849,   850,   850,
     850,   851,   851,   851,   852,   852,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   853,
     853,   854,   854,   855,   856,   804,   804,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   804,   740,
     857,   858,   858,   858,   858,   858,   858,   858,   858,   859,
     859,   860,   581,   861,   862,   862,   862,   862,   862,   862,
     740,   863,   863,   863,   864,   865,   865,   866,   866,   867,
     868,   869,   869,   869,   869,   869,   869,   869,   869,   869,
     869,   869,   869,   869,   869,   869,   870,   871,   872,   872,
     873,   873,   873,   873,   873,   873,   873,   873,   873,   874,
     873,   875,   873,   873,   873,   873,   876,   876,   877,   878,
     878,   879,   879,   879,   880,   880,   881,   881,   882,   882,
     882,   882,   882,   882,   882,   882,   882,   882,   882,   883,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   885,
     885,   886,   887,   888,   888,   888,   889,   889,   890,   890,
     891,   892,   893,   893,   895,   894,   896,   896,   897,   897,
     898,   804,   804,   804,   804,   581,   899,   581,   900,   581,
     901,   581,   902,   581,   903,   581,   904,   581,   905,   581,
     906,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     740,   908,   909,   909,   909,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   740,   912,   911,   913,   913,
     913,   913,   740,   914,   915,   915,   915,   915,   916,   915,
     917,   915,   915,   915,   918,   918,   919,   920,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   922,   921,   923,   921,   921,
     921,   924,   924,   924,   925,   926,   926,   927,   927,   928,
     929,   930,   930,   930,   930,   930,   931,   932,   932,   933,
     933,   934,   935,   936,   937,   937,   937,   938,   939,   939,
     940,   940,   941,   942,   943,   943,   943,   944,   945,   945,
     946,   946,   947,   947,   948,   948,   804,   804,   740,   949,
     949,   950,   951,   951,   951,   951,   951,   951,   952,   952,
     953,   954,   955,   956,   956,   956,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   956,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   956,   956,   956,   956,   956,
     957,   957,   957,   957,   958,   958,   959,   959,   960,   804,
     804,   581,   961,   581,   962,   740,   963,   964,   965,   965,
     966,   966,   966,   966,   966,   966,   966,   966,   966,   966,
     967,   967,   968,   969,   969,   970,   970,   971,   972,   973,
     973,   974,   974,   974,   975,   740,   976,   977,   977,   977,
     977,   977,   977,   978,   978,   978,   978,   978,   978,   979,
     979,   980,   981,   981,   981,   981,   981,   981,   981,   981,
     981,   982,   983,   983,   984,   984,   581,   985,   986,   987,
     987,   987,   804,   804,   804,   804,   804,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   804,   804,
     587,   988,   989,   990,   990,   991,   991,   992,   992,   992,
     993,   993,   994,   994,   995,   995,   995,   995,   995,   995,
     995,   995,   995,   587,   996,   996,   587,   997,   997,   997,
     997,   581,   998,   581,   999,   581,  1000,   581,  1001,   581,
    1002,   581,  1003,   581,  1004,   581,  1005,  1006,  1006,  1007,
    1007,  1007,   740,  1008,   986,   986,  1009,  1009,  1010,  1010,
    1010,  1010,  1010,  1010,  1010,   740,  1011,  1012,  1012,  1013,
    1013,  1013,  1014,  1015,  1016,  1016,  1017,  1017,  1018,   804,
     804
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     4,     1,     3,     1,
       3,     1,     3,     4,     6,     6,     0,     1,     1,     1,
       1,     1,     2,     4,     4,     2,     2,     2,     2,     2,
       4,     2,     2,     2,     0,     3,     0,     3,     0,     0,
       0,     6,     6,     1,     1,     1,     2,     1,     2,     1,
       2,     1,     0,     4,     1,     2,     1,     4,     1,     6,
       1,     8,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     0,     4,
       2,     5,     0,     4,     1,     1,     0,     2,     2,     4,
       1,     0,     0,     6,     0,     1,     0,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     3,
       1,     1,     3,     1,     1,     1,     5,     7,     5,     7,
       9,     7,     5,     7,     5,    11,     1,     1,     2,     1,
       7,     9,     7,     7,     9,     7,     9,     7,     9,     7,
      15,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       3,     1,     3,     1,     3,     1,     2,     2,     6,     1,
       3,     0,     4,     3,     1,     3,     3,     2,     4,     3,
       4,     2,     2,     2,     2,     0,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     1,     5,     7,     7,
       1,     0,     1,     3,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       6,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     5,     7,     6,     6,     6,     6,     4,     8,     4,
       1,     1,     1,     1,     0,     1,     3,     0,     2,     4,
       2,     1,     3,     4,     6,     0,     0,     0,     9,     4,
       3,     4,     4,     5,     3,     3,     3,     2,     5,     4,
       7,     7,     7,     7,     7,     9,     0,     1,     1,     1,
       1,     4,     5,     1,     3,     1,     1,     1,     3,     1,
       5,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     0,     1,     2,     2,     4,     4,
       3,     3,     0,     3,     0,     3,     1,     1,     1,     0,
       1,     2,     3,     0,     2,     2,     2,     3,     2,     2,
       2,     1,     2,     2,     2,     3,     3,     3,     2,     4,
       3,     1,     2,     0,     3,     0,     3,     0,     3,     1,
       2,     1,     1,     1,     0,     2,     2,     2,     2,     2,
       1,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       2,     4,     3,     4,     4,     3,     4,     4,     3,     0,
       1,     2,     0,     1,     3,     1,     3,     1,     0,     2,
       2,     2,     2,     2,     3,     3,     3,     3,     5,     0,
       3,     1,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     3,     1,     1,     1,
       4,     1,     0,     3,     5,     2,     1,     1,     2,     2,
       0,     5,     5,     5,     5,     4,     4,     4,     4,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     1,
       1,     1,     1,     0,     2,     4,     4,     4,     2,     2,
       1,     0,     3,     3,     1,     3,     1,     3,     1,     4,
       1,     5,     1,     0,     1,     3,     1,     4,     1,     4,
       0,     2,     3,     3,     3,     3,     4,     4,     3,     2,
       2,     2,     2,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     2,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     4,     0,     2,     2,
       2,     2,     2,     2,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     4,     1,     3,     1,     4,     1,     1,     3,     0,
       1,     1,     4,     1,     4,     1,     4,     1,     3,     1,
       4,     1,     4,     1,     3,     2,     2,     1,     4,     1,
       2,     1,     1,     1,     1,     0,     1,     1,     1,     2,
       1,     2,     2,     2,     2,     3,     0,     3,     5,     1,
       1,     1,     1,     0,     2,     0,     0,     2,     4,     4,
       4,     2,     2,     2,     1,     1,     1,     2,     2,     3,
       3,     0,     3,     0,     3,     4,     3,     0,     2,     2,
       0,     2,     0,     2,     4,     1,     5,     1,     2,     1,
       1,     2,     4,     0,     3,     5,     0,     0,     0,     2,
       2,     2,     2,     2,     3,     3,     3,     3,     2,     3,
       3,     4,     4,     2,     2,     3,     1,     0,     3,     0,
       3,     4,     1,     1,     6,     1,     6,     1,     6,     1,
       6,     1,     1,     1,     1,     1,     1,     2,     2,     0,
       3,     3,     0,     3,     3,     2,     2,     1,     3,     1,
       3,     1,     3,     2,     2,     2,     2,     2,     2,     3,
       1,     1,     1,     1,     1,     3,     3,     3,     4,     6,
       4,     6,     6,     4,     6,     5,     5,     4,     5,     5,
       6,     6,     3,     3,     4,     5,     6,     5,     5,     5,
       5,     5,     5,     5,     5,     5,     5,     6,     6,     6,
       5,     6,     6,     8,     6,     6,     6,     5,     6,     5,
       4,     4,     4,     4,     5,     5,     6,     5,     6,     5,
       5,     6,     7,     7,     7,     5,     5,     4,     4,     0,
       0,     6,     6,     5,     5,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     4,     4,     2,
       3,     2,     2,     2,     2,     3,     5,     5,     4,     3,
       3,     3,     3,     3,     2,     2,     2,     3,     3,     0,
       3,     0,     3,     0,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     2,     2,     2,     1,     2,     2,     4,     0,
       3,     5,     1,     4,     0,     3,     3,     3,     2,     3,
       2,     1,     2,     2,     2,     3,     3,     0,     1,     2,
       3,     1,     1,     2,     2,     3,     3,     3,     3,     4,
       2,     4,     3,     2,     3,     1,     2,     4,     0,     3,
       2,     1,     2,     3,     3,     3,     3,     2,     3,     0,
       5,     0,     5,     2,     2,     1,     4,     1,     1,     0,
       3,     2,     2,     2,     5,     2,     0,     3,     0,     2,
       2,     3,     2,     2,     3,     2,     2,     2,     1,     3,
       2,     2,     2,     2,     2,     2,     3,     2,     2,     2,
       2,     2,     2,     2,     2,     3,     3,     3,     3,     2,
       3,     2,     3,     3,     4,     4,     2,     2,     2,     3,
       3,     3,     2,     3,     3,     3,     4,     2,     1,     0,
       2,     3,     1,     0,     1,     2,     0,     2,     0,     1,
       3,     0,     0,     2,     0,     3,     0,     3,     0,     3,
       3,     1,     1,     1,     1,     1,     4,     1,     6,     1,
       6,     1,     6,     1,     7,     1,     6,     1,     7,     1,
       5,     0,     2,     3,     2,     3,     3,     2,     3,     2,
       2,     2,     3,     3,     3,     1,     3,     3,     2,     3,
       3,     2,     2,     2,     2,     2,     0,     4,     2,     3,
       3,     5,     1,     2,     1,     1,     2,     2,     0,     3,
       0,     3,     2,     3,     0,     3,     5,     0,     4,     4,
       3,     4,     2,     3,     3,     3,     3,     4,     4,     4,
       3,     3,     4,     4,     2,     0,     3,     0,     3,     3,
       3,     1,     1,     1,     0,     0,     3,     0,     3,     4,
       1,     2,     2,     2,     4,     4,     0,     0,     3,     0,
       3,     3,     1,     0,     0,     2,     2,     0,     0,     3,
       1,     5,     1,     0,     0,     2,     2,     0,     0,     3,
       1,     5,     1,     2,     0,     2,     1,     1,     1,     1,
       2,     2,     1,     1,     2,     4,     2,     2,     0,     3,
       5,     0,     0,     2,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     3,     3,     4,     3,     2,     2,     1,
       1,     1,     1,     1,     0,     3,     0,     3,     4,     1,
       1,     1,     6,     1,     6,     1,     2,     5,     0,     3,
       1,     1,     2,     3,     1,     2,     3,     3,     3,     4,
       0,     1,     2,     1,     1,     2,     6,     0,     0,     0,
       3,     4,     4,     2,     0,     2,     2,     3,     3,     3,
       5,     5,     4,     3,     2,     3,     3,     3,     3,     1,
       2,     2,     2,     3,     5,     1,     2,     2,     2,     2,
       2,     1,     0,     2,     0,     3,     1,     4,     3,     3,
       2,     4,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     5,     2,     0,     0,     2,     2,     2,     1,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     3,     1,     3,     4,     3,
       3,     1,     4,     1,     5,     1,     3,     1,     3,     1,
       3,     1,     4,     1,     2,     1,     3,     0,     1,     0,
       1,     2,     2,     2,     3,     3,     0,     2,     1,     1,
       2,     3,     2,     3,     4,     2,     2,     3,     3,     1,
       2,     3,     0,     2,     0,     3,     0,     3,     3,     1,
       1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          YYNOMEM;                                                      \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      YY_LAC_ESTABLISH;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 2: /* config: conf_entries END  */
#line 137 "conf/confbase.Y"
                         { return 0; }
#line 6360 "obj/conf/cf-parse.tab.c"
    break;

  case 3: /* config: CLI_MARKER cli_cmd  */
#line 138 "conf/confbase.Y"
                      { return 0; }
#line 6366 "obj/conf/cf-parse.tab.c"
    break;

  case 8: /* definition: DEFINE symbol '=' term ';'  */
#line 154 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x), 1), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 6376 "obj/conf/cf-parse.tab.c"
    break;

  case 10: /* expr: '(' term ')'  */
#line 163 "conf/confbase.Y"
                { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x), 1)); }
#line 6382 "obj/conf/cf-parse.tab.c"
    break;

  case 11: /* expr: CF_SYM_KNOWN  */
#line 164 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 6390 "obj/conf/cf-parse.tab.c"
    break;

  case 12: /* expr_us: expr S  */
#line 170 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 6396 "obj/conf/cf-parse.tab.c"
    break;

  case 13: /* expr_us: expr MS  */
#line 171 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 6402 "obj/conf/cf-parse.tab.c"
    break;

  case 14: /* expr_us: expr US  */
#line 172 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 6408 "obj/conf/cf-parse.tab.c"
    break;

  case 17: /* bool: expr  */
#line 180 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 6414 "obj/conf/cf-parse.tab.c"
    break;

  case 18: /* bool: ON  */
#line 181 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 6420 "obj/conf/cf-parse.tab.c"
    break;

  case 19: /* bool: YES  */
#line 182 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 6426 "obj/conf/cf-parse.tab.c"
    break;

  case 20: /* bool: OFF  */
#line 183 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 6432 "obj/conf/cf-parse.tab.c"
    break;

  case 21: /* bool: NO  */
#line 184 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 6438 "obj/conf/cf-parse.tab.c"
    break;

  case 22: /* bool: %empty  */
#line 185 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 6444 "obj/conf/cf-parse.tab.c"
    break;

  case 23: /* ipa: IP4  */
#line 192 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6450 "obj/conf/cf-parse.tab.c"
    break;

  case 24: /* ipa: IP6  */
#line 193 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6456 "obj/conf/cf-parse.tab.c"
    break;

  case 25: /* ipa: CF_SYM_KNOWN  */
#line 194 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 6465 "obj/conf/cf-parse.tab.c"
    break;

  case 26: /* ipa_scope: %empty  */
#line 201 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 6471 "obj/conf/cf-parse.tab.c"
    break;

  case 27: /* ipa_scope: '%' symbol  */
#line 202 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 6477 "obj/conf/cf-parse.tab.c"
    break;

  case 28: /* pxlen4: '/' NUM  */
#line 209 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 6486 "obj/conf/cf-parse.tab.c"
    break;

  case 29: /* net_ip4_: IP4 pxlen4  */
#line 216 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 6499 "obj/conf/cf-parse.tab.c"
    break;

  case 30: /* net_ip6_: IP6 '/' NUM  */
#line 226 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 6515 "obj/conf/cf-parse.tab.c"
    break;

  case 31: /* net_ip6_sadr_: IP6 '/' NUM FROM IP6 '/' NUM  */
#line 239 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 6537 "obj/conf/cf-parse.tab.c"
    break;

  case 32: /* net_vpn4_: VPN_RD net_ip4_  */
#line 258 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6546 "obj/conf/cf-parse.tab.c"
    break;

  case 33: /* net_vpn6_: VPN_RD net_ip6_  */
#line 264 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6555 "obj/conf/cf-parse.tab.c"
    break;

  case 34: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 270 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6566 "obj/conf/cf-parse.tab.c"
    break;

  case 35: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 278 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6577 "obj/conf/cf-parse.tab.c"
    break;

  case 36: /* net_mpls_: MPLS NUM  */
#line 286 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 6586 "obj/conf/cf-parse.tab.c"
    break;

  case 43: /* net_: net_ip_  */
#line 296 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 6592 "obj/conf/cf-parse.tab.c"
    break;

  case 50: /* net_ip4: CF_SYM_KNOWN  */
#line 309 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6602 "obj/conf/cf-parse.tab.c"
    break;

  case 52: /* net_ip6: CF_SYM_KNOWN  */
#line 318 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6612 "obj/conf/cf-parse.tab.c"
    break;

  case 54: /* net_ip: CF_SYM_KNOWN  */
#line 327 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6622 "obj/conf/cf-parse.tab.c"
    break;

  case 56: /* net_any: CF_SYM_KNOWN  */
#line 336 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 6632 "obj/conf/cf-parse.tab.c"
    break;

  case 59: /* net_or_ipa: IP4  */
#line 346 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 6638 "obj/conf/cf-parse.tab.c"
    break;

  case 60: /* net_or_ipa: IP6  */
#line 347 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 6644 "obj/conf/cf-parse.tab.c"
    break;

  case 61: /* net_or_ipa: CF_SYM_KNOWN  */
#line 348 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 6657 "obj/conf/cf-parse.tab.c"
    break;

  case 62: /* label_stack_start: NUM  */
#line 359 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 6667 "obj/conf/cf-parse.tab.c"
    break;

  case 64: /* label_stack: label_stack '/' NUM  */
#line 367 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 6678 "obj/conf/cf-parse.tab.c"
    break;

  case 65: /* time: TEXT  */
#line 376 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 6688 "obj/conf/cf-parse.tab.c"
    break;

  case 67: /* text: CF_SYM_KNOWN  */
#line 385 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6697 "obj/conf/cf-parse.tab.c"
    break;

  case 69: /* opttext: %empty  */
#line 393 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 6703 "obj/conf/cf-parse.tab.c"
    break;

  case 70: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 6709 "obj/conf/cf-parse.tab.c"
    break;

  case 71: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 6715 "obj/conf/cf-parse.tab.c"
    break;

  case 72: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 6721 "obj/conf/cf-parse.tab.c"
    break;

  case 73: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 6727 "obj/conf/cf-parse.tab.c"
    break;

  case 74: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 6733 "obj/conf/cf-parse.tab.c"
    break;

  case 75: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 6739 "obj/conf/cf-parse.tab.c"
    break;

  case 76: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 6745 "obj/conf/cf-parse.tab.c"
    break;

  case 77: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 6751 "obj/conf/cf-parse.tab.c"
    break;

  case 78: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 6757 "obj/conf/cf-parse.tab.c"
    break;

  case 79: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 6763 "obj/conf/cf-parse.tab.c"
    break;

  case 80: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6769 "obj/conf/cf-parse.tab.c"
    break;

  case 81: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6775 "obj/conf/cf-parse.tab.c"
    break;

  case 82: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6781 "obj/conf/cf-parse.tab.c"
    break;

  case 83: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6787 "obj/conf/cf-parse.tab.c"
    break;

  case 84: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6793 "obj/conf/cf-parse.tab.c"
    break;

  case 85: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6799 "obj/conf/cf-parse.tab.c"
    break;

  case 86: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6805 "obj/conf/cf-parse.tab.c"
    break;

  case 87: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6811 "obj/conf/cf-parse.tab.c"
    break;

  case 88: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6817 "obj/conf/cf-parse.tab.c"
    break;

  case 89: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 6823 "obj/conf/cf-parse.tab.c"
    break;

  case 90: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6829 "obj/conf/cf-parse.tab.c"
    break;

  case 91: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6835 "obj/conf/cf-parse.tab.c"
    break;

  case 92: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6841 "obj/conf/cf-parse.tab.c"
    break;

  case 93: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6847 "obj/conf/cf-parse.tab.c"
    break;

  case 94: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6853 "obj/conf/cf-parse.tab.c"
    break;

  case 95: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6862 "obj/conf/cf-parse.tab.c"
    break;

  case 96: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6871 "obj/conf/cf-parse.tab.c"
    break;

  case 99: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6880 "obj/conf/cf-parse.tab.c"
    break;

  case 100: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6891 "obj/conf/cf-parse.tab.c"
    break;

  case 103: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6900 "obj/conf/cf-parse.tab.c"
    break;

  case 104: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6909 "obj/conf/cf-parse.tab.c"
    break;

  case 105: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6918 "obj/conf/cf-parse.tab.c"
    break;

  case 106: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 6924 "obj/conf/cf-parse.tab.c"
    break;

  case 107: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 6930 "obj/conf/cf-parse.tab.c"
    break;

  case 108: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 6936 "obj/conf/cf-parse.tab.c"
    break;

  case 109: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 6942 "obj/conf/cf-parse.tab.c"
    break;

  case 110: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 6948 "obj/conf/cf-parse.tab.c"
    break;

  case 111: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 6954 "obj/conf/cf-parse.tab.c"
    break;

  case 112: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6962 "obj/conf/cf-parse.tab.c"
    break;

  case 113: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6970 "obj/conf/cf-parse.tab.c"
    break;

  case 114: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 6978 "obj/conf/cf-parse.tab.c"
    break;

  case 115: /* flow4_item: flow_srcdst net_ip4  */
#line 145 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 6987 "obj/conf/cf-parse.tab.c"
    break;

  case 119: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 6996 "obj/conf/cf-parse.tab.c"
    break;

  case 120: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 7007 "obj/conf/cf-parse.tab.c"
    break;

  case 128: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 7018 "obj/conf/cf-parse.tab.c"
    break;

  case 129: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 7024 "obj/conf/cf-parse.tab.c"
    break;

  case 130: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 7030 "obj/conf/cf-parse.tab.c"
    break;

  case 131: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 7039 "obj/conf/cf-parse.tab.c"
    break;

  case 132: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 7048 "obj/conf/cf-parse.tab.c"
    break;

  case 142: /* $@1: %empty  */
#line 348 "filter/config.Y"
                 { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 7054 "obj/conf/cf-parse.tab.c"
    break;

  case 143: /* filter_def: FILTER symbol $@1 filter_body  */
#line 349 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 7066 "obj/conf/cf-parse.tab.c"
    break;

  case 145: /* filter_eval: EVAL term  */
#line 360 "filter/config.Y"
             { f_eval_int(f_linearize((yyvsp[0].x), 1)); }
#line 7072 "obj/conf/cf-parse.tab.c"
    break;

  case 147: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 364 "filter/config.Y"
                                       {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 7080 "obj/conf/cf-parse.tab.c"
    break;

  case 149: /* bt_test_suite: BT_TEST_SUITE '(' CF_SYM_KNOWN ',' text ')'  */
#line 370 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 7094 "obj/conf/cf-parse.tab.c"
    break;

  case 151: /* bt_test_same: BT_TEST_SAME '(' CF_SYM_KNOWN ',' CF_SYM_KNOWN ',' NUM ')'  */
#line 383 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 7110 "obj/conf/cf-parse.tab.c"
    break;

  case 152: /* type: INT  */
#line 397 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 7116 "obj/conf/cf-parse.tab.c"
    break;

  case 153: /* type: BOOL  */
#line 398 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 7122 "obj/conf/cf-parse.tab.c"
    break;

  case 154: /* type: IP  */
#line 399 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 7128 "obj/conf/cf-parse.tab.c"
    break;

  case 155: /* type: RD  */
#line 400 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 7134 "obj/conf/cf-parse.tab.c"
    break;

  case 156: /* type: PREFIX  */
#line 401 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 7140 "obj/conf/cf-parse.tab.c"
    break;

  case 157: /* type: PAIR  */
#line 402 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 7146 "obj/conf/cf-parse.tab.c"
    break;

  case 158: /* type: QUAD  */
#line 403 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 7152 "obj/conf/cf-parse.tab.c"
    break;

  case 159: /* type: EC  */
#line 404 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 7158 "obj/conf/cf-parse.tab.c"
    break;

  case 160: /* type: LC  */
#line 405 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 7164 "obj/conf/cf-parse.tab.c"
    break;

  case 161: /* type: STRING  */
#line 406 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 7170 "obj/conf/cf-parse.tab.c"
    break;

  case 162: /* type: BGPMASK  */
#line 407 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 7176 "obj/conf/cf-parse.tab.c"
    break;

  case 163: /* type: BGPPATH  */
#line 408 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 7182 "obj/conf/cf-parse.tab.c"
    break;

  case 164: /* type: CLIST  */
#line 409 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 7188 "obj/conf/cf-parse.tab.c"
    break;

  case 165: /* type: ECLIST  */
#line 410 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 7194 "obj/conf/cf-parse.tab.c"
    break;

  case 166: /* type: LCLIST  */
#line 411 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 7200 "obj/conf/cf-parse.tab.c"
    break;

  case 167: /* type: type SET  */
#line 412 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 7225 "obj/conf/cf-parse.tab.c"
    break;

  case 168: /* function_argsn: %empty  */
#line 435 "filter/config.Y"
               { (yyval.fa) = NULL; }
#line 7231 "obj/conf/cf-parse.tab.c"
    break;

  case 169: /* function_argsn: function_argsn type symbol ';'  */
#line 436 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 7242 "obj/conf/cf-parse.tab.c"
    break;

  case 170: /* function_args: '(' ')'  */
#line 445 "filter/config.Y"
           { (yyval.fa) = NULL; }
#line 7248 "obj/conf/cf-parse.tab.c"
    break;

  case 171: /* function_args: '(' function_argsn type symbol ')'  */
#line 446 "filter/config.Y"
                                      {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 7258 "obj/conf/cf-parse.tab.c"
    break;

  case 172: /* function_vars: %empty  */
#line 454 "filter/config.Y"
               { (yyval.i) = 0; }
#line 7264 "obj/conf/cf-parse.tab.c"
    break;

  case 173: /* function_vars: function_vars type symbol ';'  */
#line 455 "filter/config.Y"
                                 {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 7273 "obj/conf/cf-parse.tab.c"
    break;

  case 175: /* filter: CF_SYM_KNOWN  */
#line 464 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 7282 "obj/conf/cf-parse.tab.c"
    break;

  case 176: /* $@2: %empty  */
#line 468 "filter/config.Y"
   { cf_push_scope(NULL); }
#line 7288 "obj/conf/cf-parse.tab.c"
    break;

  case 177: /* filter: $@2 filter_body  */
#line 468 "filter/config.Y"
                                        {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope();
   }
#line 7300 "obj/conf/cf-parse.tab.c"
    break;

  case 178: /* where_filter: WHERE term  */
#line 478 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 7309 "obj/conf/cf-parse.tab.c"
    break;

  case 179: /* function_body: function_vars '{' cmds '}'  */
#line 485 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 7318 "obj/conf/cf-parse.tab.c"
    break;

  case 181: /* $@3: %empty  */
#line 493 "filter/config.Y"
                   {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 7328 "obj/conf/cf-parse.tab.c"
    break;

  case 182: /* $@4: %empty  */
#line 497 "filter/config.Y"
                   {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     (yyvsp[-2].s)->function = dummy;

     /* Revert the args */
     while ((yyvsp[0].fa)) {
       struct f_arg *tmp = (yyvsp[0].fa);
       (yyvsp[0].fa) = (yyvsp[0].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 7348 "obj/conf/cf-parse.tab.c"
    break;

  case 183: /* function_def: FUNCTION symbol $@3 function_args $@4 function_body  */
#line 511 "filter/config.Y"
                   {
     (yyvsp[0].fl)->args = (yyvsp[-4].s)->function->args;
     (yyvsp[0].fl)->arg_list = (yyvsp[-4].s)->function->arg_list;
     (yyvsp[-4].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 7359 "obj/conf/cf-parse.tab.c"
    break;

  case 184: /* cmds: %empty  */
#line 521 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 7365 "obj/conf/cf-parse.tab.c"
    break;

  case 185: /* cmds: cmds_int  */
#line 522 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 7371 "obj/conf/cf-parse.tab.c"
    break;

  case 186: /* $@5: %empty  */
#line 525 "filter/config.Y"
             { cf_push_soft_scope(); }
#line 7377 "obj/conf/cf-parse.tab.c"
    break;

  case 187: /* cmds_scoped: $@5 cmds  */
#line 525 "filter/config.Y"
                                            { cf_pop_soft_scope(); (yyval.x) = (yyvsp[0].x); }
#line 7383 "obj/conf/cf-parse.tab.c"
    break;

  case 190: /* cmd_prep: cmd_var  */
#line 529 "filter/config.Y"
                  {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 7394 "obj/conf/cf-parse.tab.c"
    break;

  case 192: /* cmds_int: cmds_int cmd_prep  */
#line 538 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 7410 "obj/conf/cf-parse.tab.c"
    break;

  case 193: /* fipa: IP4  */
#line 555 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7416 "obj/conf/cf-parse.tab.c"
    break;

  case 194: /* fipa: IP6  */
#line 556 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7422 "obj/conf/cf-parse.tab.c"
    break;

  case 195: /* set_atom: NUM  */
#line 569 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7428 "obj/conf/cf-parse.tab.c"
    break;

  case 196: /* set_atom: fipa  */
#line 570 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 7434 "obj/conf/cf-parse.tab.c"
    break;

  case 197: /* set_atom: VPN_RD  */
#line 571 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 7440 "obj/conf/cf-parse.tab.c"
    break;

  case 198: /* set_atom: ENUM  */
#line 572 "filter/config.Y"
          { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7446 "obj/conf/cf-parse.tab.c"
    break;

  case 199: /* set_atom: '(' term ')'  */
#line 573 "filter/config.Y"
                {
     if (f_eval(f_linearize((yyvsp[-1].x), 1), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 7455 "obj/conf/cf-parse.tab.c"
    break;

  case 200: /* set_atom: CF_SYM_KNOWN  */
#line 577 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 7465 "obj/conf/cf-parse.tab.c"
    break;

  case 201: /* switch_atom: NUM  */
#line 585 "filter/config.Y"
         { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7471 "obj/conf/cf-parse.tab.c"
    break;

  case 202: /* switch_atom: '(' term ')'  */
#line 586 "filter/config.Y"
                { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x), 1)); }
#line 7477 "obj/conf/cf-parse.tab.c"
    break;

  case 203: /* switch_atom: fipa  */
#line 587 "filter/config.Y"
         { (yyval.v) = (yyvsp[0].v); }
#line 7483 "obj/conf/cf-parse.tab.c"
    break;

  case 204: /* switch_atom: ENUM  */
#line 588 "filter/config.Y"
         { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7489 "obj/conf/cf-parse.tab.c"
    break;

  case 205: /* cnum: term  */
#line 592 "filter/config.Y"
        { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x), 1)); }
#line 7495 "obj/conf/cf-parse.tab.c"
    break;

  case 206: /* pair_item: '(' cnum ',' cnum ')'  */
#line 595 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7501 "obj/conf/cf-parse.tab.c"
    break;

  case 207: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 596 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7507 "obj/conf/cf-parse.tab.c"
    break;

  case 208: /* pair_item: '(' cnum ',' '*' ')'  */
#line 597 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7513 "obj/conf/cf-parse.tab.c"
    break;

  case 209: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 598 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7519 "obj/conf/cf-parse.tab.c"
    break;

  case 210: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 599 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7525 "obj/conf/cf-parse.tab.c"
    break;

  case 211: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 600 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7531 "obj/conf/cf-parse.tab.c"
    break;

  case 212: /* pair_item: '(' '*' ',' cnum ')'  */
#line 601 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7537 "obj/conf/cf-parse.tab.c"
    break;

  case 213: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 602 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7543 "obj/conf/cf-parse.tab.c"
    break;

  case 214: /* pair_item: '(' '*' ',' '*' ')'  */
#line 603 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 7549 "obj/conf/cf-parse.tab.c"
    break;

  case 215: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 605 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 7555 "obj/conf/cf-parse.tab.c"
    break;

  case 216: /* ec_kind: RT  */
#line 609 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 7561 "obj/conf/cf-parse.tab.c"
    break;

  case 217: /* ec_kind: RO  */
#line 610 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 7567 "obj/conf/cf-parse.tab.c"
    break;

  case 218: /* ec_kind: UNKNOWN NUM  */
#line 611 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 7573 "obj/conf/cf-parse.tab.c"
    break;

  case 219: /* ec_kind: GENERIC  */
#line 612 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 7579 "obj/conf/cf-parse.tab.c"
    break;

  case 220: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 616 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7585 "obj/conf/cf-parse.tab.c"
    break;

  case 221: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 617 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7591 "obj/conf/cf-parse.tab.c"
    break;

  case 222: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 618 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 7597 "obj/conf/cf-parse.tab.c"
    break;

  case 223: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 622 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7603 "obj/conf/cf-parse.tab.c"
    break;

  case 224: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 623 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7609 "obj/conf/cf-parse.tab.c"
    break;

  case 225: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 624 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7615 "obj/conf/cf-parse.tab.c"
    break;

  case 226: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 625 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7621 "obj/conf/cf-parse.tab.c"
    break;

  case 227: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 626 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7627 "obj/conf/cf-parse.tab.c"
    break;

  case 228: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 627 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7633 "obj/conf/cf-parse.tab.c"
    break;

  case 229: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 628 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 7639 "obj/conf/cf-parse.tab.c"
    break;

  case 230: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 630 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 7645 "obj/conf/cf-parse.tab.c"
    break;

  case 234: /* set_item: set_atom  */
#line 637 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7651 "obj/conf/cf-parse.tab.c"
    break;

  case 235: /* set_item: set_atom DDOT set_atom  */
#line 638 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7657 "obj/conf/cf-parse.tab.c"
    break;

  case 239: /* switch_item: switch_atom  */
#line 645 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7663 "obj/conf/cf-parse.tab.c"
    break;

  case 240: /* switch_item: switch_atom DDOT switch_atom  */
#line 646 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7669 "obj/conf/cf-parse.tab.c"
    break;

  case 242: /* set_items: set_items ',' set_item  */
#line 651 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7675 "obj/conf/cf-parse.tab.c"
    break;

  case 244: /* switch_items: switch_items ',' switch_item  */
#line 656 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7681 "obj/conf/cf-parse.tab.c"
    break;

  case 245: /* fprefix: net_ip_  */
#line 660 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 7687 "obj/conf/cf-parse.tab.c"
    break;

  case 246: /* fprefix: net_ip_ '+'  */
#line 661 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 7693 "obj/conf/cf-parse.tab.c"
    break;

  case 247: /* fprefix: net_ip_ '-'  */
#line 662 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 7699 "obj/conf/cf-parse.tab.c"
    break;

  case 248: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 663 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 7709 "obj/conf/cf-parse.tab.c"
    break;

  case 249: /* fprefix_set: fprefix  */
#line 671 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7715 "obj/conf/cf-parse.tab.c"
    break;

  case 250: /* fprefix_set: fprefix_set ',' fprefix  */
#line 672 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 7721 "obj/conf/cf-parse.tab.c"
    break;

  case 251: /* switch_body: %empty  */
#line 675 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 7727 "obj/conf/cf-parse.tab.c"
    break;

  case 252: /* switch_body: switch_body switch_items ':' cmds_scoped  */
#line 676 "filter/config.Y"
                                             {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7739 "obj/conf/cf-parse.tab.c"
    break;

  case 253: /* switch_body: switch_body ELSECOL cmds_scoped  */
#line 683 "filter/config.Y"
                                   {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7751 "obj/conf/cf-parse.tab.c"
    break;

  case 254: /* bgp_path_expr: symbol_value  */
#line 693 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 7757 "obj/conf/cf-parse.tab.c"
    break;

  case 255: /* bgp_path_expr: '(' term ')'  */
#line 694 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 7763 "obj/conf/cf-parse.tab.c"
    break;

  case 256: /* bgp_path: PO bgp_path_tail PC  */
#line 698 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 7769 "obj/conf/cf-parse.tab.c"
    break;

  case 257: /* bgp_path_tail: NUM bgp_path_tail  */
#line 702 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7775 "obj/conf/cf-parse.tab.c"
    break;

  case 258: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 703 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7781 "obj/conf/cf-parse.tab.c"
    break;

  case 259: /* bgp_path_tail: '[' ']' bgp_path_tail  */
#line 704 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7787 "obj/conf/cf-parse.tab.c"
    break;

  case 260: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 705 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7796 "obj/conf/cf-parse.tab.c"
    break;

  case 261: /* bgp_path_tail: '*' bgp_path_tail  */
#line 709 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7802 "obj/conf/cf-parse.tab.c"
    break;

  case 262: /* bgp_path_tail: '?' bgp_path_tail  */
#line 710 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7808 "obj/conf/cf-parse.tab.c"
    break;

  case 263: /* bgp_path_tail: '+' bgp_path_tail  */
#line 711 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7814 "obj/conf/cf-parse.tab.c"
    break;

  case 264: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 712 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7820 "obj/conf/cf-parse.tab.c"
    break;

  case 265: /* bgp_path_tail: %empty  */
#line 713 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 7826 "obj/conf/cf-parse.tab.c"
    break;

  case 266: /* constant: NUM  */
#line 717 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7832 "obj/conf/cf-parse.tab.c"
    break;

  case 267: /* constant: TRUE  */
#line 718 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7838 "obj/conf/cf-parse.tab.c"
    break;

  case 268: /* constant: FALSE  */
#line 719 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7844 "obj/conf/cf-parse.tab.c"
    break;

  case 269: /* constant: TEXT  */
#line 720 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7850 "obj/conf/cf-parse.tab.c"
    break;

  case 270: /* constant: fipa  */
#line 721 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 7856 "obj/conf/cf-parse.tab.c"
    break;

  case 271: /* constant: VPN_RD  */
#line 722 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 7862 "obj/conf/cf-parse.tab.c"
    break;

  case 272: /* constant: net_  */
#line 723 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 7868 "obj/conf/cf-parse.tab.c"
    break;

  case 273: /* constant: '[' ']'  */
#line 724 "filter/config.Y"
           { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 7874 "obj/conf/cf-parse.tab.c"
    break;

  case 274: /* constant: '[' set_items ']'  */
#line 725 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 7884 "obj/conf/cf-parse.tab.c"
    break;

  case 275: /* constant: '[' fprefix_set ']'  */
#line 730 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 7890 "obj/conf/cf-parse.tab.c"
    break;

  case 276: /* constant: ENUM  */
#line 731 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 7896 "obj/conf/cf-parse.tab.c"
    break;

  case 277: /* constructor: '(' term ',' term ')'  */
#line 735 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7902 "obj/conf/cf-parse.tab.c"
    break;

  case 278: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 736 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 7908 "obj/conf/cf-parse.tab.c"
    break;

  case 279: /* constructor: '(' term ',' term ',' term ')'  */
#line 737 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7914 "obj/conf/cf-parse.tab.c"
    break;

  case 280: /* constructor: bgp_path  */
#line 738 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 7920 "obj/conf/cf-parse.tab.c"
    break;

  case 281: /* var_list: %empty  */
#line 743 "filter/config.Y"
                      { (yyval.x) = NULL; }
#line 7926 "obj/conf/cf-parse.tab.c"
    break;

  case 282: /* var_list: term  */
#line 744 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 7932 "obj/conf/cf-parse.tab.c"
    break;

  case 283: /* var_list: var_list ',' term  */
#line 745 "filter/config.Y"
                     { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 7938 "obj/conf/cf-parse.tab.c"
    break;

  case 284: /* function_call: CF_SYM_KNOWN '(' var_list ')'  */
#line 749 "filter/config.Y"
   {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     /* Revert the var_list */
     struct f_inst *args = NULL;
     while ((yyvsp[-1].x)) {
       struct f_inst *tmp = (yyvsp[-1].x);
       (yyvsp[-1].x) = (yyvsp[-1].x)->next;

       tmp->next = args;
       args = tmp;
     }

     (yyval.x) = f_new_inst(FI_CALL, args, (yyvsp[-3].s));
   }
#line 7959 "obj/conf/cf-parse.tab.c"
    break;

  case 285: /* symbol_value: CF_SYM_KNOWN  */
#line 768 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 7979 "obj/conf/cf-parse.tab.c"
    break;

  case 286: /* static_attr: FROM  */
#line 786 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 7985 "obj/conf/cf-parse.tab.c"
    break;

  case 287: /* static_attr: GW  */
#line 787 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 7991 "obj/conf/cf-parse.tab.c"
    break;

  case 288: /* static_attr: NET  */
#line 788 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 7997 "obj/conf/cf-parse.tab.c"
    break;

  case 289: /* static_attr: PROTO  */
#line 789 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 8003 "obj/conf/cf-parse.tab.c"
    break;

  case 290: /* static_attr: SOURCE  */
#line 790 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 8009 "obj/conf/cf-parse.tab.c"
    break;

  case 291: /* static_attr: SCOPE  */
#line 791 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 8015 "obj/conf/cf-parse.tab.c"
    break;

  case 292: /* static_attr: DEST  */
#line 792 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 8021 "obj/conf/cf-parse.tab.c"
    break;

  case 293: /* static_attr: IFNAME  */
#line 793 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 8027 "obj/conf/cf-parse.tab.c"
    break;

  case 294: /* static_attr: IFINDEX  */
#line 794 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 8033 "obj/conf/cf-parse.tab.c"
    break;

  case 295: /* static_attr: WEIGHT  */
#line 795 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 8039 "obj/conf/cf-parse.tab.c"
    break;

  case 296: /* static_attr: PREFERENCE  */
#line 796 "filter/config.Y"
              { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 8045 "obj/conf/cf-parse.tab.c"
    break;

  case 297: /* static_attr: GW_MPLS  */
#line 797 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 8051 "obj/conf/cf-parse.tab.c"
    break;

  case 298: /* static_attr: ONLINK  */
#line 798 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 8057 "obj/conf/cf-parse.tab.c"
    break;

  case 299: /* term: '(' term ')'  */
#line 802 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 8063 "obj/conf/cf-parse.tab.c"
    break;

  case 300: /* term: term '+' term  */
#line 803 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8069 "obj/conf/cf-parse.tab.c"
    break;

  case 301: /* term: term '-' term  */
#line 804 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8075 "obj/conf/cf-parse.tab.c"
    break;

  case 302: /* term: term '*' term  */
#line 805 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8081 "obj/conf/cf-parse.tab.c"
    break;

  case 303: /* term: term '/' term  */
#line 806 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8087 "obj/conf/cf-parse.tab.c"
    break;

  case 304: /* term: term AND term  */
#line 807 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8093 "obj/conf/cf-parse.tab.c"
    break;

  case 305: /* term: term OR term  */
#line 808 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8099 "obj/conf/cf-parse.tab.c"
    break;

  case 306: /* term: term '=' term  */
#line 809 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8105 "obj/conf/cf-parse.tab.c"
    break;

  case 307: /* term: term NEQ term  */
#line 810 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8111 "obj/conf/cf-parse.tab.c"
    break;

  case 308: /* term: term '<' term  */
#line 811 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8117 "obj/conf/cf-parse.tab.c"
    break;

  case 309: /* term: term LEQ term  */
#line 812 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8123 "obj/conf/cf-parse.tab.c"
    break;

  case 310: /* term: term '>' term  */
#line 813 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 8129 "obj/conf/cf-parse.tab.c"
    break;

  case 311: /* term: term GEQ term  */
#line 814 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 8135 "obj/conf/cf-parse.tab.c"
    break;

  case 312: /* term: term '~' term  */
#line 815 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8141 "obj/conf/cf-parse.tab.c"
    break;

  case 313: /* term: term NMA term  */
#line 816 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8147 "obj/conf/cf-parse.tab.c"
    break;

  case 314: /* term: '!' term  */
#line 817 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 8153 "obj/conf/cf-parse.tab.c"
    break;

  case 315: /* term: DEFINED '(' term ')'  */
#line 818 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 8159 "obj/conf/cf-parse.tab.c"
    break;

  case 316: /* term: symbol_value  */
#line 820 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 8165 "obj/conf/cf-parse.tab.c"
    break;

  case 317: /* term: constant  */
#line 821 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 8171 "obj/conf/cf-parse.tab.c"
    break;

  case 318: /* term: constructor  */
#line 822 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 8177 "obj/conf/cf-parse.tab.c"
    break;

  case 319: /* term: static_attr  */
#line 824 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 8183 "obj/conf/cf-parse.tab.c"
    break;

  case 320: /* term: dynamic_attr  */
#line 826 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 8189 "obj/conf/cf-parse.tab.c"
    break;

  case 321: /* term: term '.' IS_V4  */
#line 828 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 8195 "obj/conf/cf-parse.tab.c"
    break;

  case 322: /* term: term '.' TYPE  */
#line 829 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 8201 "obj/conf/cf-parse.tab.c"
    break;

  case 323: /* term: term '.' IP  */
#line 830 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 8207 "obj/conf/cf-parse.tab.c"
    break;

  case 324: /* term: term '.' RD  */
#line 831 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 8213 "obj/conf/cf-parse.tab.c"
    break;

  case 325: /* term: term '.' LEN  */
#line 832 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 8219 "obj/conf/cf-parse.tab.c"
    break;

  case 326: /* term: term '.' MAXLEN  */
#line 833 "filter/config.Y"
                   { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 8225 "obj/conf/cf-parse.tab.c"
    break;

  case 327: /* term: term '.' ASN  */
#line 834 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_ASN, (yyvsp[-2].x)); }
#line 8231 "obj/conf/cf-parse.tab.c"
    break;

  case 328: /* term: term '.' SRC  */
#line 835 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_SRC, (yyvsp[-2].x)); }
#line 8237 "obj/conf/cf-parse.tab.c"
    break;

  case 329: /* term: term '.' DST  */
#line 836 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_DST, (yyvsp[-2].x)); }
#line 8243 "obj/conf/cf-parse.tab.c"
    break;

  case 330: /* term: term '.' MASK '(' term ')'  */
#line 837 "filter/config.Y"
                              { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 8249 "obj/conf/cf-parse.tab.c"
    break;

  case 331: /* term: term '.' FIRST  */
#line 838 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 8255 "obj/conf/cf-parse.tab.c"
    break;

  case 332: /* term: term '.' LAST  */
#line 839 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 8261 "obj/conf/cf-parse.tab.c"
    break;

  case 333: /* term: term '.' LAST_NONAGGREGATED  */
#line 840 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 8267 "obj/conf/cf-parse.tab.c"
    break;

  case 334: /* term: term '.' DATA  */
#line 841 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_PAIR_DATA, (yyvsp[-2].x)); }
#line 8273 "obj/conf/cf-parse.tab.c"
    break;

  case 335: /* term: term '.' DATA1  */
#line 842 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_LC_DATA1, (yyvsp[-2].x)); }
#line 8279 "obj/conf/cf-parse.tab.c"
    break;

  case 336: /* term: term '.' DATA2  */
#line 843 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_LC_DATA2, (yyvsp[-2].x)); }
#line 8285 "obj/conf/cf-parse.tab.c"
    break;

  case 337: /* term: term '.' MIN  */
#line 844 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_MIN, (yyvsp[-2].x)); }
#line 8291 "obj/conf/cf-parse.tab.c"
    break;

  case 338: /* term: term '.' MAX  */
#line 845 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_MAX, (yyvsp[-2].x)); }
#line 8297 "obj/conf/cf-parse.tab.c"
    break;

  case 339: /* term: '+' EMPTY '+'  */
#line 855 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 8303 "obj/conf/cf-parse.tab.c"
    break;

  case 340: /* term: '-' EMPTY '-'  */
#line 856 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 8309 "obj/conf/cf-parse.tab.c"
    break;

  case 341: /* term: '-' '-' EMPTY '-' '-'  */
#line 857 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 8315 "obj/conf/cf-parse.tab.c"
    break;

  case 342: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 858 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 8321 "obj/conf/cf-parse.tab.c"
    break;

  case 343: /* term: PREPEND '(' term ',' term ')'  */
#line 859 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8327 "obj/conf/cf-parse.tab.c"
    break;

  case 344: /* term: ADD '(' term ',' term ')'  */
#line 860 "filter/config.Y"
                             { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8333 "obj/conf/cf-parse.tab.c"
    break;

  case 345: /* term: DELETE '(' term ',' term ')'  */
#line 861 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8339 "obj/conf/cf-parse.tab.c"
    break;

  case 346: /* term: FILTER '(' term ',' term ')'  */
#line 862 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8345 "obj/conf/cf-parse.tab.c"
    break;

  case 347: /* term: ROA_CHECK '(' rtable ')'  */
#line 864 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 8351 "obj/conf/cf-parse.tab.c"
    break;

  case 348: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 865 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 8357 "obj/conf/cf-parse.tab.c"
    break;

  case 349: /* term: FORMAT '(' term ')'  */
#line 867 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 8363 "obj/conf/cf-parse.tab.c"
    break;

  case 351: /* break_command: ACCEPT  */
#line 875 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 8369 "obj/conf/cf-parse.tab.c"
    break;

  case 352: /* break_command: REJECT  */
#line 876 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 8375 "obj/conf/cf-parse.tab.c"
    break;

  case 353: /* break_command: ERROR  */
#line 877 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 8381 "obj/conf/cf-parse.tab.c"
    break;

  case 354: /* print_list: %empty  */
#line 880 "filter/config.Y"
                        { (yyval.x) = NULL; }
#line 8387 "obj/conf/cf-parse.tab.c"
    break;

  case 355: /* print_list: term  */
#line 881 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 8393 "obj/conf/cf-parse.tab.c"
    break;

  case 356: /* print_list: term ',' print_list  */
#line 882 "filter/config.Y"
                       {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 8404 "obj/conf/cf-parse.tab.c"
    break;

  case 357: /* var_init: %empty  */
#line 891 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { }); }
#line 8410 "obj/conf/cf-parse.tab.c"
    break;

  case 358: /* var_init: '=' term  */
#line 892 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 8416 "obj/conf/cf-parse.tab.c"
    break;

  case 359: /* var: type symbol var_init ';'  */
#line 896 "filter/config.Y"
                            {
     struct symbol *sym = cf_define_symbol((yyvsp[-2].s), SYM_VARIABLE | (yyvsp[-3].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 8425 "obj/conf/cf-parse.tab.c"
    break;

  case 360: /* for_var: type symbol  */
#line 902 "filter/config.Y"
               { (yyval.s) = cf_define_symbol((yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 8431 "obj/conf/cf-parse.tab.c"
    break;

  case 361: /* for_var: CF_SYM_KNOWN  */
#line 903 "filter/config.Y"
                { (yyval.s) = (yyvsp[0].s); cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); }
#line 8437 "obj/conf/cf-parse.tab.c"
    break;

  case 362: /* cmd: '{' cmds_scoped '}'  */
#line 907 "filter/config.Y"
                       {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 8445 "obj/conf/cf-parse.tab.c"
    break;

  case 363: /* cmd: IF term THEN cmd  */
#line 910 "filter/config.Y"
                    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 8453 "obj/conf/cf-parse.tab.c"
    break;

  case 364: /* cmd: IF term THEN cmd ELSE cmd  */
#line 913 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 8461 "obj/conf/cf-parse.tab.c"
    break;

  case 365: /* $@6: %empty  */
#line 916 "filter/config.Y"
       {
     /* Reserve space for walk data on stack */
     cf_push_block_scope();
     conf_this_scope->slots += 2;
   }
#line 8471 "obj/conf/cf-parse.tab.c"
    break;

  case 366: /* $@7: %empty  */
#line 922 "filter/config.Y"
   { conf_this_scope->active = 0; }
#line 8477 "obj/conf/cf-parse.tab.c"
    break;

  case 367: /* $@8: %empty  */
#line 922 "filter/config.Y"
                                         { conf_this_scope->active = 1; }
#line 8483 "obj/conf/cf-parse.tab.c"
    break;

  case 368: /* cmd: FOR $@6 for_var IN $@7 term $@8 DO cmd  */
#line 923 "filter/config.Y"
          {
     cf_pop_block_scope();
     (yyval.x) = f_new_inst(FI_FOR_INIT, (yyvsp[-3].x), (yyvsp[-6].s));
     (yyval.x)->next = f_new_inst(FI_FOR_NEXT, (yyvsp[-6].s), (yyvsp[0].x));
   }
#line 8493 "obj/conf/cf-parse.tab.c"
    break;

  case 369: /* cmd: CF_SYM_KNOWN '=' term ';'  */
#line 928 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 8510 "obj/conf/cf-parse.tab.c"
    break;

  case 370: /* cmd: RETURN term ';'  */
#line 940 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 8519 "obj/conf/cf-parse.tab.c"
    break;

  case 371: /* cmd: dynamic_attr '=' term ';'  */
#line 944 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 8527 "obj/conf/cf-parse.tab.c"
    break;

  case 372: /* cmd: static_attr '=' term ';'  */
#line 947 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 8537 "obj/conf/cf-parse.tab.c"
    break;

  case 373: /* cmd: UNSET '(' dynamic_attr ')' ';'  */
#line 952 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 8545 "obj/conf/cf-parse.tab.c"
    break;

  case 374: /* cmd: break_command print_list ';'  */
#line 955 "filter/config.Y"
                                {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 8561 "obj/conf/cf-parse.tab.c"
    break;

  case 375: /* cmd: PRINT print_list ';'  */
#line 966 "filter/config.Y"
                        {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 8570 "obj/conf/cf-parse.tab.c"
    break;

  case 376: /* cmd: PRINTN print_list ';'  */
#line 970 "filter/config.Y"
                         {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 8578 "obj/conf/cf-parse.tab.c"
    break;

  case 377: /* cmd: function_call ';'  */
#line 973 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 8584 "obj/conf/cf-parse.tab.c"
    break;

  case 378: /* cmd: CASE term '{' switch_body '}'  */
#line 974 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 8592 "obj/conf/cf-parse.tab.c"
    break;

  case 379: /* cmd: dynamic_attr '.' EMPTY ';'  */
#line 978 "filter/config.Y"
                              { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 8598 "obj/conf/cf-parse.tab.c"
    break;

  case 380: /* cmd: dynamic_attr '.' PREPEND '(' term ')' ';'  */
#line 979 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8604 "obj/conf/cf-parse.tab.c"
    break;

  case 381: /* cmd: dynamic_attr '.' ADD '(' term ')' ';'  */
#line 980 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8610 "obj/conf/cf-parse.tab.c"
    break;

  case 382: /* cmd: dynamic_attr '.' DELETE '(' term ')' ';'  */
#line 981 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8616 "obj/conf/cf-parse.tab.c"
    break;

  case 383: /* cmd: dynamic_attr '.' FILTER '(' term ')' ';'  */
#line 982 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8622 "obj/conf/cf-parse.tab.c"
    break;

  case 384: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 983 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 8628 "obj/conf/cf-parse.tab.c"
    break;

  case 385: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 984 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 8634 "obj/conf/cf-parse.tab.c"
    break;

  case 386: /* get_cf_position: %empty  */
#line 988 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 8642 "obj/conf/cf-parse.tab.c"
    break;

  case 387: /* lvalue: CF_SYM_KNOWN  */
#line 993 "filter/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 8648 "obj/conf/cf-parse.tab.c"
    break;

  case 388: /* lvalue: static_attr  */
#line 994 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 8654 "obj/conf/cf-parse.tab.c"
    break;

  case 389: /* lvalue: dynamic_attr  */
#line 995 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 8660 "obj/conf/cf-parse.tab.c"
    break;

  case 391: /* rtrid: ROUTER ID idval ';'  */
#line 162 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 8666 "obj/conf/cf-parse.tab.c"
    break;

  case 392: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 163 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 8672 "obj/conf/cf-parse.tab.c"
    break;

  case 393: /* idval: NUM  */
#line 167 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 8678 "obj/conf/cf-parse.tab.c"
    break;

  case 394: /* idval: '(' term ')'  */
#line 168 "nest/config.Y"
                { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x), 1)); }
#line 8684 "obj/conf/cf-parse.tab.c"
    break;

  case 395: /* idval: IP4  */
#line 169 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 8690 "obj/conf/cf-parse.tab.c"
    break;

  case 396: /* idval: CF_SYM_KNOWN  */
#line 170 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 8703 "obj/conf/cf-parse.tab.c"
    break;

  case 398: /* hostname_override: HOSTNAME text ';'  */
#line 182 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 8709 "obj/conf/cf-parse.tab.c"
    break;

  case 400: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 186 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 8715 "obj/conf/cf-parse.tab.c"
    break;

  case 401: /* net_type: IPV4  */
#line 192 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 8721 "obj/conf/cf-parse.tab.c"
    break;

  case 402: /* net_type: IPV6  */
#line 193 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 8727 "obj/conf/cf-parse.tab.c"
    break;

  case 403: /* net_type: IPV6 SADR  */
#line 194 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 8733 "obj/conf/cf-parse.tab.c"
    break;

  case 404: /* net_type: VPN4  */
#line 195 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 8739 "obj/conf/cf-parse.tab.c"
    break;

  case 405: /* net_type: VPN6  */
#line 196 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 8745 "obj/conf/cf-parse.tab.c"
    break;

  case 406: /* net_type: ROA4  */
#line 197 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 8751 "obj/conf/cf-parse.tab.c"
    break;

  case 407: /* net_type: ROA6  */
#line 198 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 8757 "obj/conf/cf-parse.tab.c"
    break;

  case 408: /* net_type: FLOW4  */
#line 199 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 8763 "obj/conf/cf-parse.tab.c"
    break;

  case 409: /* net_type: FLOW6  */
#line 200 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 8769 "obj/conf/cf-parse.tab.c"
    break;

  case 410: /* net_type: MPLS  */
#line 201 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 8775 "obj/conf/cf-parse.tab.c"
    break;

  case 413: /* table_start: net_type TABLE symbol  */
#line 213 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 8783 "obj/conf/cf-parse.tab.c"
    break;

  case 415: /* table_sorted: SORTED  */
#line 220 "nest/config.Y"
          { this_table->sorted = 1; }
#line 8789 "obj/conf/cf-parse.tab.c"
    break;

  case 416: /* table_opt: SORTED bool  */
#line 224 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 8795 "obj/conf/cf-parse.tab.c"
    break;

  case 417: /* table_opt: TRIE bool  */
#line 225 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 8805 "obj/conf/cf-parse.tab.c"
    break;

  case 418: /* table_opt: MIN SETTLE TIME expr_us  */
#line 230 "nest/config.Y"
                           { this_table->min_settle_time = (yyvsp[0].time); }
#line 8811 "obj/conf/cf-parse.tab.c"
    break;

  case 419: /* table_opt: MAX SETTLE TIME expr_us  */
#line 231 "nest/config.Y"
                           { this_table->max_settle_time = (yyvsp[0].time); }
#line 8817 "obj/conf/cf-parse.tab.c"
    break;

  case 420: /* table_opt: GC THRESHOLD expr  */
#line 232 "nest/config.Y"
                     { this_table->gc_threshold = (yyvsp[0].i); }
#line 8823 "obj/conf/cf-parse.tab.c"
    break;

  case 421: /* table_opt: GC PERIOD expr_us  */
#line 233 "nest/config.Y"
                     { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 8829 "obj/conf/cf-parse.tab.c"
    break;

  case 426: /* conf: proto  */
#line 249 "nest/config.Y"
            { proto_postconfig(); }
#line 8835 "obj/conf/cf-parse.tab.c"
    break;

  case 427: /* proto_start: PROTOCOL  */
#line 252 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 8841 "obj/conf/cf-parse.tab.c"
    break;

  case 428: /* proto_start: TEMPLATE  */
#line 253 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 8847 "obj/conf/cf-parse.tab.c"
    break;

  case 429: /* proto_name: %empty  */
#line 257 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 8858 "obj/conf/cf-parse.tab.c"
    break;

  case 430: /* proto_name: symbol  */
#line 263 "nest/config.Y"
          {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 8867 "obj/conf/cf-parse.tab.c"
    break;

  case 431: /* proto_name: FROM CF_SYM_KNOWN  */
#line 267 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8882 "obj/conf/cf-parse.tab.c"
    break;

  case 432: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 277 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8895 "obj/conf/cf-parse.tab.c"
    break;

  case 434: /* proto_item: DISABLED bool  */
#line 289 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 8901 "obj/conf/cf-parse.tab.c"
    break;

  case 435: /* proto_item: DEBUG debug_mask  */
#line 290 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 8907 "obj/conf/cf-parse.tab.c"
    break;

  case 436: /* proto_item: MRTDUMP mrtdump_mask  */
#line 291 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 8913 "obj/conf/cf-parse.tab.c"
    break;

  case 437: /* proto_item: ROUTER ID idval  */
#line 292 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 8919 "obj/conf/cf-parse.tab.c"
    break;

  case 438: /* proto_item: DESCRIPTION text  */
#line 293 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 8925 "obj/conf/cf-parse.tab.c"
    break;

  case 439: /* proto_item: VRF text  */
#line 294 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 8931 "obj/conf/cf-parse.tab.c"
    break;

  case 440: /* proto_item: VRF DEFAULT  */
#line 295 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 8937 "obj/conf/cf-parse.tab.c"
    break;

  case 441: /* channel_start: net_type  */
#line 300 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 8945 "obj/conf/cf-parse.tab.c"
    break;

  case 442: /* channel_item_: TABLE rtable  */
#line 305 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 8955 "obj/conf/cf-parse.tab.c"
    break;

  case 443: /* channel_item_: IMPORT imexport  */
#line 310 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 8961 "obj/conf/cf-parse.tab.c"
    break;

  case 444: /* channel_item_: EXPORT imexport  */
#line 311 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 8967 "obj/conf/cf-parse.tab.c"
    break;

  case 445: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 312 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 8973 "obj/conf/cf-parse.tab.c"
    break;

  case 446: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 313 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 8979 "obj/conf/cf-parse.tab.c"
    break;

  case 447: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 314 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 8985 "obj/conf/cf-parse.tab.c"
    break;

  case 448: /* channel_item_: PREFERENCE expr  */
#line 315 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 8991 "obj/conf/cf-parse.tab.c"
    break;

  case 449: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 316 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 8997 "obj/conf/cf-parse.tab.c"
    break;

  case 450: /* channel_item_: RPKI RELOAD bool  */
#line 317 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 9003 "obj/conf/cf-parse.tab.c"
    break;

  case 452: /* channel_item: DEBUG debug_mask  */
#line 323 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 9009 "obj/conf/cf-parse.tab.c"
    break;

  case 457: /* channel_end: %empty  */
#line 337 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 9020 "obj/conf/cf-parse.tab.c"
    break;

  case 459: /* rtable: CF_SYM_KNOWN  */
#line 347 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 9026 "obj/conf/cf-parse.tab.c"
    break;

  case 460: /* imexport: FILTER filter  */
#line 350 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 9032 "obj/conf/cf-parse.tab.c"
    break;

  case 462: /* imexport: ALL  */
#line 352 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 9038 "obj/conf/cf-parse.tab.c"
    break;

  case 463: /* imexport: NONE  */
#line 353 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 9044 "obj/conf/cf-parse.tab.c"
    break;

  case 464: /* limit_action: %empty  */
#line 357 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 9050 "obj/conf/cf-parse.tab.c"
    break;

  case 465: /* limit_action: ACTION WARN  */
#line 358 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 9056 "obj/conf/cf-parse.tab.c"
    break;

  case 466: /* limit_action: ACTION BLOCK  */
#line 359 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 9062 "obj/conf/cf-parse.tab.c"
    break;

  case 467: /* limit_action: ACTION RESTART  */
#line 360 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 9068 "obj/conf/cf-parse.tab.c"
    break;

  case 468: /* limit_action: ACTION DISABLE  */
#line 361 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 9074 "obj/conf/cf-parse.tab.c"
    break;

  case 469: /* limit_spec: expr limit_action  */
#line 365 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 9080 "obj/conf/cf-parse.tab.c"
    break;

  case 470: /* limit_spec: OFF  */
#line 366 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 9086 "obj/conf/cf-parse.tab.c"
    break;

  case 472: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 373 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 9092 "obj/conf/cf-parse.tab.c"
    break;

  case 473: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 374 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 9098 "obj/conf/cf-parse.tab.c"
    break;

  case 474: /* debug_default: DEBUG COMMANDS expr  */
#line 375 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 9104 "obj/conf/cf-parse.tab.c"
    break;

  case 476: /* timeformat_which: ROUTE  */
#line 383 "nest/config.Y"
         { (yyval.tf) = &new_config->tf_route; }
#line 9110 "obj/conf/cf-parse.tab.c"
    break;

  case 477: /* timeformat_which: PROTOCOL  */
#line 384 "nest/config.Y"
            { (yyval.tf) = &new_config->tf_proto; }
#line 9116 "obj/conf/cf-parse.tab.c"
    break;

  case 478: /* timeformat_which: BASE  */
#line 385 "nest/config.Y"
        { (yyval.tf) = &new_config->tf_base; }
#line 9122 "obj/conf/cf-parse.tab.c"
    break;

  case 479: /* timeformat_which: LOG  */
#line 386 "nest/config.Y"
       { (yyval.tf) = &new_config->tf_log; }
#line 9128 "obj/conf/cf-parse.tab.c"
    break;

  case 480: /* timeformat_spec: timeformat_which TEXT  */
#line 390 "nest/config.Y"
                         { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 9134 "obj/conf/cf-parse.tab.c"
    break;

  case 481: /* timeformat_spec: timeformat_which TEXT expr TEXT  */
#line 391 "nest/config.Y"
                                   { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 9140 "obj/conf/cf-parse.tab.c"
    break;

  case 482: /* timeformat_spec: timeformat_which ISO SHORT  */
#line 392 "nest/config.Y"
                                 { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 9146 "obj/conf/cf-parse.tab.c"
    break;

  case 483: /* timeformat_spec: timeformat_which ISO SHORT MS  */
#line 393 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 9152 "obj/conf/cf-parse.tab.c"
    break;

  case 484: /* timeformat_spec: timeformat_which ISO SHORT US  */
#line 394 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 9158 "obj/conf/cf-parse.tab.c"
    break;

  case 485: /* timeformat_spec: timeformat_which ISO LONG  */
#line 395 "nest/config.Y"
                                { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 9164 "obj/conf/cf-parse.tab.c"
    break;

  case 486: /* timeformat_spec: timeformat_which ISO LONG MS  */
#line 396 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 9170 "obj/conf/cf-parse.tab.c"
    break;

  case 487: /* timeformat_spec: timeformat_which ISO LONG US  */
#line 397 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 9176 "obj/conf/cf-parse.tab.c"
    break;

  case 489: /* iface_patt_node_init: %empty  */
#line 408 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 9186 "obj/conf/cf-parse.tab.c"
    break;

  case 490: /* iface_patt_node_body: TEXT  */
#line 416 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 9192 "obj/conf/cf-parse.tab.c"
    break;

  case 491: /* iface_patt_node_body: opttext net_or_ipa  */
#line 417 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 9198 "obj/conf/cf-parse.tab.c"
    break;

  case 492: /* iface_negate: %empty  */
#line 421 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 9204 "obj/conf/cf-parse.tab.c"
    break;

  case 493: /* iface_negate: '-'  */
#line 422 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 9210 "obj/conf/cf-parse.tab.c"
    break;

  case 497: /* iface_patt_list_nopx: iface_patt_list  */
#line 436 "nest/config.Y"
                                      { iface_patt_check(); }
#line 9216 "obj/conf/cf-parse.tab.c"
    break;

  case 498: /* iface_patt_init: %empty  */
#line 438 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 9226 "obj/conf/cf-parse.tab.c"
    break;

  case 500: /* tos: CLASS expr  */
#line 450 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 9232 "obj/conf/cf-parse.tab.c"
    break;

  case 501: /* tos: DSCP expr  */
#line 451 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 9238 "obj/conf/cf-parse.tab.c"
    break;

  case 503: /* dev_proto_start: proto_start DIRECT  */
#line 458 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 9247 "obj/conf/cf-parse.tab.c"
    break;

  case 508: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 469 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 9253 "obj/conf/cf-parse.tab.c"
    break;

  case 509: /* dev_iface_init: %empty  */
#line 473 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 9263 "obj/conf/cf-parse.tab.c"
    break;

  case 511: /* debug_mask: ALL  */
#line 487 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9269 "obj/conf/cf-parse.tab.c"
    break;

  case 512: /* debug_mask: OFF  */
#line 488 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9275 "obj/conf/cf-parse.tab.c"
    break;

  case 513: /* debug_mask: '{' debug_list '}'  */
#line 489 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 9281 "obj/conf/cf-parse.tab.c"
    break;

  case 515: /* debug_list: debug_list ',' debug_flag  */
#line 494 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9287 "obj/conf/cf-parse.tab.c"
    break;

  case 516: /* debug_flag: STATES  */
#line 498 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 9293 "obj/conf/cf-parse.tab.c"
    break;

  case 517: /* debug_flag: ROUTES  */
#line 499 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 9299 "obj/conf/cf-parse.tab.c"
    break;

  case 518: /* debug_flag: FILTERS  */
#line 500 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 9305 "obj/conf/cf-parse.tab.c"
    break;

  case 519: /* debug_flag: INTERFACES  */
#line 501 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 9311 "obj/conf/cf-parse.tab.c"
    break;

  case 520: /* debug_flag: EVENTS  */
#line 502 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 9317 "obj/conf/cf-parse.tab.c"
    break;

  case 521: /* debug_flag: PACKETS  */
#line 503 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 9323 "obj/conf/cf-parse.tab.c"
    break;

  case 522: /* mrtdump_mask: ALL  */
#line 509 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9329 "obj/conf/cf-parse.tab.c"
    break;

  case 523: /* mrtdump_mask: OFF  */
#line 510 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9335 "obj/conf/cf-parse.tab.c"
    break;

  case 524: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 511 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 9341 "obj/conf/cf-parse.tab.c"
    break;

  case 526: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 516 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9347 "obj/conf/cf-parse.tab.c"
    break;

  case 527: /* mrtdump_flag: STATES  */
#line 520 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 9353 "obj/conf/cf-parse.tab.c"
    break;

  case 528: /* mrtdump_flag: MESSAGES  */
#line 521 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 9359 "obj/conf/cf-parse.tab.c"
    break;

  case 538: /* password_item_begin: pass_key text  */
#line 548 "nest/config.Y"
                  { init_password_list(); init_password((yyvsp[0].t), strlen((yyvsp[0].t)), password_id++); }
#line 9365 "obj/conf/cf-parse.tab.c"
    break;

  case 539: /* password_item_begin: pass_key BYTESTRING  */
#line 549 "nest/config.Y"
                        { init_password_list(); init_password((yyvsp[0].bs)->data, (yyvsp[0].bs)->length, password_id++); }
#line 9371 "obj/conf/cf-parse.tab.c"
    break;

  case 540: /* password_item_params: %empty  */
#line 553 "nest/config.Y"
               { }
#line 9377 "obj/conf/cf-parse.tab.c"
    break;

  case 541: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 554 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 9383 "obj/conf/cf-parse.tab.c"
    break;

  case 542: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 555 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 9389 "obj/conf/cf-parse.tab.c"
    break;

  case 543: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 556 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 9395 "obj/conf/cf-parse.tab.c"
    break;

  case 544: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 557 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 9401 "obj/conf/cf-parse.tab.c"
    break;

  case 545: /* password_item_params: FROM time ';' password_item_params  */
#line 558 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 9407 "obj/conf/cf-parse.tab.c"
    break;

  case 546: /* password_item_params: TO time ';' password_item_params  */
#line 559 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 9413 "obj/conf/cf-parse.tab.c"
    break;

  case 547: /* password_item_params: ID expr ';' password_item_params  */
#line 560 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 9419 "obj/conf/cf-parse.tab.c"
    break;

  case 548: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 561 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 9425 "obj/conf/cf-parse.tab.c"
    break;

  case 549: /* password_algorithm: KEYED MD5  */
#line 565 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 9431 "obj/conf/cf-parse.tab.c"
    break;

  case 550: /* password_algorithm: KEYED SHA1  */
#line 566 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 9437 "obj/conf/cf-parse.tab.c"
    break;

  case 551: /* password_algorithm: KEYED SHA256  */
#line 567 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 9443 "obj/conf/cf-parse.tab.c"
    break;

  case 552: /* password_algorithm: KEYED SHA384  */
#line 568 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 9449 "obj/conf/cf-parse.tab.c"
    break;

  case 553: /* password_algorithm: KEYED SHA512  */
#line 569 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 9455 "obj/conf/cf-parse.tab.c"
    break;

  case 554: /* password_algorithm: HMAC MD5  */
#line 570 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 9461 "obj/conf/cf-parse.tab.c"
    break;

  case 555: /* password_algorithm: HMAC SHA1  */
#line 571 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 9467 "obj/conf/cf-parse.tab.c"
    break;

  case 556: /* password_algorithm: HMAC SHA256  */
#line 572 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 9473 "obj/conf/cf-parse.tab.c"
    break;

  case 557: /* password_algorithm: HMAC SHA384  */
#line 573 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 9479 "obj/conf/cf-parse.tab.c"
    break;

  case 558: /* password_algorithm: HMAC SHA512  */
#line 574 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 9485 "obj/conf/cf-parse.tab.c"
    break;

  case 559: /* password_algorithm: BLAKE2S128  */
#line 575 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 9491 "obj/conf/cf-parse.tab.c"
    break;

  case 560: /* password_algorithm: BLAKE2S256  */
#line 576 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 9497 "obj/conf/cf-parse.tab.c"
    break;

  case 561: /* password_algorithm: BLAKE2B256  */
#line 577 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 9503 "obj/conf/cf-parse.tab.c"
    break;

  case 562: /* password_algorithm: BLAKE2B512  */
#line 578 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 9509 "obj/conf/cf-parse.tab.c"
    break;

  case 563: /* password_item_end: %empty  */
#line 582 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 9517 "obj/conf/cf-parse.tab.c"
    break;

  case 564: /* bfd_item: INTERVAL expr_us  */
#line 590 "nest/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9523 "obj/conf/cf-parse.tab.c"
    break;

  case 565: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 591 "nest/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 9529 "obj/conf/cf-parse.tab.c"
    break;

  case 566: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 592 "nest/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9535 "obj/conf/cf-parse.tab.c"
    break;

  case 567: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 593 "nest/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 9541 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* bfd_item: MULTIPLIER expr  */
#line 594 "nest/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 9547 "obj/conf/cf-parse.tab.c"
    break;

  case 569: /* bfd_item: PASSIVE bool  */
#line 595 "nest/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 9553 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* bfd_item: GRACEFUL  */
#line 596 "nest/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 9559 "obj/conf/cf-parse.tab.c"
    break;

  case 575: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 612 "nest/config.Y"
{ cmd_show_status(); }
#line 9565 "obj/conf/cf-parse.tab.c"
    break;

  case 577: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 615 "nest/config.Y"
{ cmd_show_memory(); }
#line 9571 "obj/conf/cf-parse.tab.c"
    break;

  case 579: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 618 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 9577 "obj/conf/cf-parse.tab.c"
    break;

  case 581: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 621 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 9583 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* optproto: CF_SYM_KNOWN  */
#line 624 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 9589 "obj/conf/cf-parse.tab.c"
    break;

  case 583: /* optproto: %empty  */
#line 625 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 9595 "obj/conf/cf-parse.tab.c"
    break;

  case 585: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 629 "nest/config.Y"
{ if_show(); }
#line 9601 "obj/conf/cf-parse.tab.c"
    break;

  case 587: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 632 "nest/config.Y"
{ if_show_summary(); }
#line 9607 "obj/conf/cf-parse.tab.c"
    break;

  case 589: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 636 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 9613 "obj/conf/cf-parse.tab.c"
    break;

  case 590: /* r_args: %empty  */
#line 639 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 9624 "obj/conf/cf-parse.tab.c"
    break;

  case 591: /* r_args: r_args net_any  */
#line 645 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 9635 "obj/conf/cf-parse.tab.c"
    break;

  case 592: /* r_args: r_args FOR r_args_for  */
#line 651 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 9646 "obj/conf/cf-parse.tab.c"
    break;

  case 593: /* r_args: r_args IN net_any  */
#line 657 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 9658 "obj/conf/cf-parse.tab.c"
    break;

  case 594: /* r_args: r_args TABLE CF_SYM_KNOWN  */
#line 664 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9669 "obj/conf/cf-parse.tab.c"
    break;

  case 595: /* r_args: r_args TABLE ALL  */
#line 670 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 9681 "obj/conf/cf-parse.tab.c"
    break;

  case 596: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 677 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9691 "obj/conf/cf-parse.tab.c"
    break;

  case 597: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 682 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9701 "obj/conf/cf-parse.tab.c"
    break;

  case 598: /* r_args: r_args FILTER filter  */
#line 687 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9711 "obj/conf/cf-parse.tab.c"
    break;

  case 599: /* r_args: r_args where_filter  */
#line 692 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9721 "obj/conf/cf-parse.tab.c"
    break;

  case 600: /* r_args: r_args ALL  */
#line 697 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 9730 "obj/conf/cf-parse.tab.c"
    break;

  case 601: /* r_args: r_args PRIMARY  */
#line 701 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 9739 "obj/conf/cf-parse.tab.c"
    break;

  case 602: /* r_args: r_args FILTERED  */
#line 705 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 9748 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* r_args: r_args export_mode CF_SYM_KNOWN  */
#line 709 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9763 "obj/conf/cf-parse.tab.c"
    break;

  case 604: /* r_args: r_args export_mode channel_arg  */
#line 719 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9775 "obj/conf/cf-parse.tab.c"
    break;

  case 605: /* r_args: r_args PROTOCOL CF_SYM_KNOWN  */
#line 726 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9789 "obj/conf/cf-parse.tab.c"
    break;

  case 606: /* r_args: r_args STATS  */
#line 735 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 9798 "obj/conf/cf-parse.tab.c"
    break;

  case 607: /* r_args: r_args COUNT  */
#line 739 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 9807 "obj/conf/cf-parse.tab.c"
    break;

  case 608: /* r_args_for: r_args_for_val  */
#line 746 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 9816 "obj/conf/cf-parse.tab.c"
    break;

  case 612: /* r_args_for: VPN_RD IP4  */
#line 753 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9825 "obj/conf/cf-parse.tab.c"
    break;

  case 613: /* r_args_for: VPN_RD IP6  */
#line 757 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9834 "obj/conf/cf-parse.tab.c"
    break;

  case 614: /* r_args_for: IP6 FROM IP6  */
#line 761 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 9843 "obj/conf/cf-parse.tab.c"
    break;

  case 615: /* r_args_for: CF_SYM_KNOWN  */
#line 765 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 9859 "obj/conf/cf-parse.tab.c"
    break;

  case 618: /* r_args_for_val: IP4  */
#line 781 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 9865 "obj/conf/cf-parse.tab.c"
    break;

  case 619: /* r_args_for_val: IP6  */
#line 782 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 9871 "obj/conf/cf-parse.tab.c"
    break;

  case 620: /* export_mode: PREEXPORT  */
#line 785 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 9877 "obj/conf/cf-parse.tab.c"
    break;

  case 621: /* export_mode: EXPORT  */
#line 786 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 9883 "obj/conf/cf-parse.tab.c"
    break;

  case 622: /* export_mode: NOEXPORT  */
#line 787 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 9889 "obj/conf/cf-parse.tab.c"
    break;

  case 623: /* export_mode: EXPORTED  */
#line 788 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 9895 "obj/conf/cf-parse.tab.c"
    break;

  case 624: /* channel_sym: IPV4  */
#line 793 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 9901 "obj/conf/cf-parse.tab.c"
    break;

  case 625: /* channel_sym: IPV4_MC  */
#line 794 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 9907 "obj/conf/cf-parse.tab.c"
    break;

  case 626: /* channel_sym: IPV4_MPLS  */
#line 795 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 9913 "obj/conf/cf-parse.tab.c"
    break;

  case 627: /* channel_sym: IPV6  */
#line 796 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 9919 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* channel_sym: IPV6_MC  */
#line 797 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 9925 "obj/conf/cf-parse.tab.c"
    break;

  case 629: /* channel_sym: IPV6_MPLS  */
#line 798 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 9931 "obj/conf/cf-parse.tab.c"
    break;

  case 630: /* channel_sym: IPV6_SADR  */
#line 799 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 9937 "obj/conf/cf-parse.tab.c"
    break;

  case 631: /* channel_sym: VPN4  */
#line 800 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 9943 "obj/conf/cf-parse.tab.c"
    break;

  case 632: /* channel_sym: VPN4_MC  */
#line 801 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 9949 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* channel_sym: VPN4_MPLS  */
#line 802 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 9955 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* channel_sym: VPN6  */
#line 803 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 9961 "obj/conf/cf-parse.tab.c"
    break;

  case 635: /* channel_sym: VPN6_MC  */
#line 804 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 9967 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* channel_sym: VPN6_MPLS  */
#line 805 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 9973 "obj/conf/cf-parse.tab.c"
    break;

  case 637: /* channel_sym: ROA4  */
#line 806 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 9979 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* channel_sym: ROA6  */
#line 807 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 9985 "obj/conf/cf-parse.tab.c"
    break;

  case 639: /* channel_sym: FLOW4  */
#line 808 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 9991 "obj/conf/cf-parse.tab.c"
    break;

  case 640: /* channel_sym: FLOW6  */
#line 809 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 9997 "obj/conf/cf-parse.tab.c"
    break;

  case 641: /* channel_sym: MPLS  */
#line 810 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 10003 "obj/conf/cf-parse.tab.c"
    break;

  case 642: /* channel_sym: PRI  */
#line 811 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 10009 "obj/conf/cf-parse.tab.c"
    break;

  case 643: /* channel_sym: SEC  */
#line 812 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 10015 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 816 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 10027 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 827 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 10033 "obj/conf/cf-parse.tab.c"
    break;

  case 647: /* sym_args: %empty  */
#line 830 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 10041 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* sym_args: sym_args TABLE  */
#line 833 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 10047 "obj/conf/cf-parse.tab.c"
    break;

  case 649: /* sym_args: sym_args FUNCTION  */
#line 834 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 10053 "obj/conf/cf-parse.tab.c"
    break;

  case 650: /* sym_args: sym_args FILTER  */
#line 835 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 10059 "obj/conf/cf-parse.tab.c"
    break;

  case 651: /* sym_args: sym_args PROTOCOL  */
#line 836 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 10065 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* sym_args: sym_args TEMPLATE  */
#line 837 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 10071 "obj/conf/cf-parse.tab.c"
    break;

  case 653: /* sym_args: sym_args symbol  */
#line 838 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 10077 "obj/conf/cf-parse.tab.c"
    break;

  case 655: /* cmd_DUMP_RESOURCES: DUMP RESOURCES END  */
#line 844 "nest/config.Y"
{ rdump(&root_pool); cli_msg(0, ""); }
#line 10083 "obj/conf/cf-parse.tab.c"
    break;

  case 657: /* cmd_DUMP_SOCKETS: DUMP SOCKETS END  */
#line 846 "nest/config.Y"
{ sk_dump_all(); cli_msg(0, ""); }
#line 10089 "obj/conf/cf-parse.tab.c"
    break;

  case 659: /* cmd_DUMP_EVENTS: DUMP EVENTS END  */
#line 848 "nest/config.Y"
{ io_log_dump(); cli_msg(0, ""); }
#line 10095 "obj/conf/cf-parse.tab.c"
    break;

  case 661: /* cmd_DUMP_INTERFACES: DUMP INTERFACES END  */
#line 850 "nest/config.Y"
{ if_dump_all(); cli_msg(0, ""); }
#line 10101 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS END  */
#line 852 "nest/config.Y"
{ neigh_dump_all(); cli_msg(0, ""); }
#line 10107 "obj/conf/cf-parse.tab.c"
    break;

  case 665: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES END  */
#line 854 "nest/config.Y"
{ rta_dump_all(); cli_msg(0, ""); }
#line 10113 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* cmd_DUMP_ROUTES: DUMP ROUTES END  */
#line 856 "nest/config.Y"
{ rt_dump_all(); cli_msg(0, ""); }
#line 10119 "obj/conf/cf-parse.tab.c"
    break;

  case 669: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS END  */
#line 858 "nest/config.Y"
{ protos_dump_all(); cli_msg(0, ""); }
#line 10125 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL END  */
#line 860 "nest/config.Y"
{ filters_dump_all(); cli_msg(0, ""); }
#line 10131 "obj/conf/cf-parse.tab.c"
    break;

  case 673: /* cmd_EVAL: EVAL term END  */
#line 863 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 10137 "obj/conf/cf-parse.tab.c"
    break;

  case 675: /* cmd_ECHO: ECHO echo_mask echo_size END  */
#line 866 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 10146 "obj/conf/cf-parse.tab.c"
    break;

  case 676: /* echo_mask: ALL  */
#line 872 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 10152 "obj/conf/cf-parse.tab.c"
    break;

  case 677: /* echo_mask: OFF  */
#line 873 "nest/config.Y"
       { (yyval.i) = 0; }
#line 10158 "obj/conf/cf-parse.tab.c"
    break;

  case 678: /* echo_mask: '{' log_mask_list '}'  */
#line 874 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 10164 "obj/conf/cf-parse.tab.c"
    break;

  case 679: /* echo_size: %empty  */
#line 878 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 10170 "obj/conf/cf-parse.tab.c"
    break;

  case 680: /* echo_size: NUM  */
#line 879 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 10179 "obj/conf/cf-parse.tab.c"
    break;

  case 682: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 886 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10185 "obj/conf/cf-parse.tab.c"
    break;

  case 684: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 888 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10191 "obj/conf/cf-parse.tab.c"
    break;

  case 686: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 890 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10197 "obj/conf/cf-parse.tab.c"
    break;

  case 688: /* cmd_RELOAD: RELOAD proto_patt END  */
#line 892 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 10203 "obj/conf/cf-parse.tab.c"
    break;

  case 690: /* cmd_RELOAD_IN: RELOAD IN proto_patt END  */
#line 894 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 10209 "obj/conf/cf-parse.tab.c"
    break;

  case 692: /* cmd_RELOAD_OUT: RELOAD OUT proto_patt END  */
#line 896 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 10215 "obj/conf/cf-parse.tab.c"
    break;

  case 694: /* cmd_DEBUG: DEBUG debug_args END  */
#line 900 "nest/config.Y"
{ /* Done in debug_args */  }
#line 10221 "obj/conf/cf-parse.tab.c"
    break;

  case 695: /* debug_args: proto_patt debug_mask  */
#line 903 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 10227 "obj/conf/cf-parse.tab.c"
    break;

  case 696: /* debug_args: channel_arg debug_mask  */
#line 904 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 10233 "obj/conf/cf-parse.tab.c"
    break;

  case 698: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 909 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 10239 "obj/conf/cf-parse.tab.c"
    break;

  case 700: /* cmd_RESTRICT: RESTRICT END  */
#line 912 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 10245 "obj/conf/cf-parse.tab.c"
    break;

  case 701: /* proto_patt: CF_SYM_KNOWN  */
#line 915 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10251 "obj/conf/cf-parse.tab.c"
    break;

  case 702: /* proto_patt: ALL  */
#line 916 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10257 "obj/conf/cf-parse.tab.c"
    break;

  case 703: /* proto_patt: TEXT  */
#line 917 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10263 "obj/conf/cf-parse.tab.c"
    break;

  case 704: /* proto_patt2: CF_SYM_KNOWN  */
#line 921 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10269 "obj/conf/cf-parse.tab.c"
    break;

  case 705: /* proto_patt2: %empty  */
#line 922 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10275 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* proto_patt2: TEXT  */
#line 923 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10281 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* dynamic_attr: IGP_METRIC  */
#line 926 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 10287 "obj/conf/cf-parse.tab.c"
    break;

  case 709: /* bfd_proto_start: proto_start BFD  */
#line 38 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 10299 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* bfd_proto_item: STRICT BIND bool  */
#line 52 "proto/bfd/config.Y"
                    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 10305 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* bfd_accept_item: IPV4  */
#line 65 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 10311 "obj/conf/cf-parse.tab.c"
    break;

  case 720: /* bfd_accept_item: IPV6  */
#line 66 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 10317 "obj/conf/cf-parse.tab.c"
    break;

  case 721: /* bfd_accept_item: DIRECT  */
#line 67 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 10323 "obj/conf/cf-parse.tab.c"
    break;

  case 722: /* bfd_accept_item: MULTIHOP  */
#line 68 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 10329 "obj/conf/cf-parse.tab.c"
    break;

  case 723: /* bfd_accept: %empty  */
#line 72 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 10338 "obj/conf/cf-parse.tab.c"
    break;

  case 725: /* bfd_iface_start: %empty  */
#line 80 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 10355 "obj/conf/cf-parse.tab.c"
    break;

  case 726: /* bfd_iface_finish: %empty  */
#line 94 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 10378 "obj/conf/cf-parse.tab.c"
    break;

  case 727: /* bfd_iface_item: INTERVAL expr_us  */
#line 114 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10384 "obj/conf/cf-parse.tab.c"
    break;

  case 728: /* bfd_iface_item: MIN RX INTERVAL expr_us  */
#line 115 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 10390 "obj/conf/cf-parse.tab.c"
    break;

  case 729: /* bfd_iface_item: MIN TX INTERVAL expr_us  */
#line 116 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10396 "obj/conf/cf-parse.tab.c"
    break;

  case 730: /* bfd_iface_item: IDLE TX INTERVAL expr_us  */
#line 117 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 10402 "obj/conf/cf-parse.tab.c"
    break;

  case 731: /* bfd_iface_item: MULTIPLIER expr  */
#line 118 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 10408 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* bfd_iface_item: PASSIVE bool  */
#line 119 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 10414 "obj/conf/cf-parse.tab.c"
    break;

  case 733: /* bfd_iface_item: AUTHENTICATION bfd_auth_type  */
#line 120 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 10420 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* bfd_iface_item: password_list  */
#line 121 "proto/bfd/config.Y"
                 {}
#line 10426 "obj/conf/cf-parse.tab.c"
    break;

  case 735: /* bfd_auth_type: NONE  */
#line 125 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 10432 "obj/conf/cf-parse.tab.c"
    break;

  case 736: /* bfd_auth_type: SIMPLE  */
#line 126 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 10438 "obj/conf/cf-parse.tab.c"
    break;

  case 737: /* bfd_auth_type: KEYED MD5  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 10444 "obj/conf/cf-parse.tab.c"
    break;

  case 738: /* bfd_auth_type: KEYED SHA1  */
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 10450 "obj/conf/cf-parse.tab.c"
    break;

  case 739: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 129 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 10456 "obj/conf/cf-parse.tab.c"
    break;

  case 740: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 130 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 10462 "obj/conf/cf-parse.tab.c"
    break;

  case 746: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 148 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 10468 "obj/conf/cf-parse.tab.c"
    break;

  case 747: /* bfd_neigh_iface: %empty  */
#line 152 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 10474 "obj/conf/cf-parse.tab.c"
    break;

  case 748: /* bfd_neigh_iface: '%' symbol  */
#line 153 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 10480 "obj/conf/cf-parse.tab.c"
    break;

  case 749: /* bfd_neigh_iface: DEV text  */
#line 154 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 10486 "obj/conf/cf-parse.tab.c"
    break;

  case 750: /* bfd_neigh_local: %empty  */
#line 158 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 10492 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* bfd_neigh_local: LOCAL ipa  */
#line 159 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 10498 "obj/conf/cf-parse.tab.c"
    break;

  case 752: /* bfd_neigh_multihop: %empty  */
#line 163 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 10504 "obj/conf/cf-parse.tab.c"
    break;

  case 753: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 164 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 10510 "obj/conf/cf-parse.tab.c"
    break;

  case 754: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 168 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 10530 "obj/conf/cf-parse.tab.c"
    break;

  case 756: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS optproto END  */
#line 187 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_bfd, p) bfd_show_sessions(p); }
#line 10536 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* babel_proto_start: proto_start BABEL  */
#line 35 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 10546 "obj/conf/cf-parse.tab.c"
    break;

  case 762: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 45 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 10552 "obj/conf/cf-parse.tab.c"
    break;

  case 766: /* babel_iface_start: %empty  */
#line 58 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 10570 "obj/conf/cf-parse.tab.c"
    break;

  case 767: /* babel_iface_finish: %empty  */
#line 74 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 10630 "obj/conf/cf-parse.tab.c"
    break;

  case 769: /* babel_iface_item: PORT expr  */
#line 132 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10636 "obj/conf/cf-parse.tab.c"
    break;

  case 770: /* babel_iface_item: RXCOST expr  */
#line 133 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 10642 "obj/conf/cf-parse.tab.c"
    break;

  case 771: /* babel_iface_item: LIMIT expr  */
#line 134 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 10648 "obj/conf/cf-parse.tab.c"
    break;

  case 772: /* babel_iface_item: TYPE WIRED  */
#line 135 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 10654 "obj/conf/cf-parse.tab.c"
    break;

  case 773: /* babel_iface_item: TYPE WIRELESS  */
#line 136 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 10660 "obj/conf/cf-parse.tab.c"
    break;

  case 774: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 137 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 10666 "obj/conf/cf-parse.tab.c"
    break;

  case 775: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 138 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 10672 "obj/conf/cf-parse.tab.c"
    break;

  case 776: /* babel_iface_item: RX BUFFER expr  */
#line 139 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 10678 "obj/conf/cf-parse.tab.c"
    break;

  case 777: /* babel_iface_item: TX LENGTH expr  */
#line 140 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 10684 "obj/conf/cf-parse.tab.c"
    break;

  case 778: /* babel_iface_item: TX tos  */
#line 141 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 10690 "obj/conf/cf-parse.tab.c"
    break;

  case 779: /* babel_iface_item: TX PRIORITY expr  */
#line 142 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 10696 "obj/conf/cf-parse.tab.c"
    break;

  case 780: /* babel_iface_item: CHECK LINK bool  */
#line 143 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 10702 "obj/conf/cf-parse.tab.c"
    break;

  case 781: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 144 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 10708 "obj/conf/cf-parse.tab.c"
    break;

  case 782: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 145 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 10714 "obj/conf/cf-parse.tab.c"
    break;

  case 783: /* babel_iface_item: AUTHENTICATION NONE  */
#line 146 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 10720 "obj/conf/cf-parse.tab.c"
    break;

  case 784: /* babel_iface_item: AUTHENTICATION MAC  */
#line 147 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 10726 "obj/conf/cf-parse.tab.c"
    break;

  case 785: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 148 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 10732 "obj/conf/cf-parse.tab.c"
    break;

  case 792: /* dynamic_attr: BABEL_METRIC  */
#line 166 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 10738 "obj/conf/cf-parse.tab.c"
    break;

  case 794: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 171 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 10744 "obj/conf/cf-parse.tab.c"
    break;

  case 796: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 174 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 10750 "obj/conf/cf-parse.tab.c"
    break;

  case 798: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 177 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 10756 "obj/conf/cf-parse.tab.c"
    break;

  case 800: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 180 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 10762 "obj/conf/cf-parse.tab.c"
    break;

  case 808: /* bgp_proto_start: proto_start BGP  */
#line 53 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 10797 "obj/conf/cf-parse.tab.c"
    break;

  case 810: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 87 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10803 "obj/conf/cf-parse.tab.c"
    break;

  case 811: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 88 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 10809 "obj/conf/cf-parse.tab.c"
    break;

  case 813: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 93 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10815 "obj/conf/cf-parse.tab.c"
    break;

  case 814: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 94 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 10821 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 95 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 10827 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 96 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 10833 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* bgp_cease_mask: bool  */
#line 101 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 10839 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 102 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 10845 "obj/conf/cf-parse.tab.c"
    break;

  case 820: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 107 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10851 "obj/conf/cf-parse.tab.c"
    break;

  case 821: /* bgp_cease_flag: CEASE  */
#line 111 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 10857 "obj/conf/cf-parse.tab.c"
    break;

  case 822: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 112 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 10863 "obj/conf/cf-parse.tab.c"
    break;

  case 823: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 10869 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 10875 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 115 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 10881 "obj/conf/cf-parse.tab.c"
    break;

  case 826: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 116 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 10887 "obj/conf/cf-parse.tab.c"
    break;

  case 827: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 117 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 10893 "obj/conf/cf-parse.tab.c"
    break;

  case 828: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 118 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 10899 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 119 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 10905 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* bgp_role_name: PEER  */
#line 123 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PEER; }
#line 10911 "obj/conf/cf-parse.tab.c"
    break;

  case 831: /* bgp_role_name: PROVIDER  */
#line 124 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 10917 "obj/conf/cf-parse.tab.c"
    break;

  case 832: /* bgp_role_name: CUSTOMER  */
#line 125 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 10923 "obj/conf/cf-parse.tab.c"
    break;

  case 833: /* bgp_role_name: RS_SERVER  */
#line 126 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 10929 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* bgp_role_name: RS_CLIENT  */
#line 127 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 10935 "obj/conf/cf-parse.tab.c"
    break;

  case 839: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 135 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10944 "obj/conf/cf-parse.tab.c"
    break;

  case 841: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 140 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10955 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 146 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 10967 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 153 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 10973 "obj/conf/cf-parse.tab.c"
    break;

  case 844: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 154 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 10979 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 155 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 10985 "obj/conf/cf-parse.tab.c"
    break;

  case 846: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 156 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 10991 "obj/conf/cf-parse.tab.c"
    break;

  case 847: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 157 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 10997 "obj/conf/cf-parse.tab.c"
    break;

  case 848: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 158 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 11003 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 159 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 11009 "obj/conf/cf-parse.tab.c"
    break;

  case 850: /* bgp_proto: bgp_proto MIN HOLD TIME expr ';'  */
#line 160 "proto/bgp/config.Y"
                                    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 11015 "obj/conf/cf-parse.tab.c"
    break;

  case 851: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 161 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 11021 "obj/conf/cf-parse.tab.c"
    break;

  case 852: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 162 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 11027 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 163 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 11033 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 164 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 11039 "obj/conf/cf-parse.tab.c"
    break;

  case 855: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 165 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 11049 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 170 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 11055 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 171 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 11061 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 172 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 11067 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 173 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 11073 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 174 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 11079 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 175 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 11085 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 176 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 11091 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 177 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 11097 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 178 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 11103 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 179 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 11109 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 180 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 11115 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 181 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 11121 "obj/conf/cf-parse.tab.c"
    break;

  case 868: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 182 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 11127 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 183 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 11133 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 184 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 11139 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* bgp_proto: bgp_proto MIN KEEPALIVE TIME expr ';'  */
#line 185 "proto/bgp/config.Y"
                                         { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 11145 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 186 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 11151 "obj/conf/cf-parse.tab.c"
    break;

  case 873: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 187 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 11157 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 188 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 11163 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 189 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 11169 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 190 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 11175 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 191 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 11181 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 192 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 11187 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 193 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 11193 "obj/conf/cf-parse.tab.c"
    break;

  case 880: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 194 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 11199 "obj/conf/cf-parse.tab.c"
    break;

  case 881: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 195 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 11205 "obj/conf/cf-parse.tab.c"
    break;

  case 882: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 196 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 11211 "obj/conf/cf-parse.tab.c"
    break;

  case 883: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 197 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 11217 "obj/conf/cf-parse.tab.c"
    break;

  case 884: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 198 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 11223 "obj/conf/cf-parse.tab.c"
    break;

  case 885: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 199 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 11229 "obj/conf/cf-parse.tab.c"
    break;

  case 886: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 200 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 11235 "obj/conf/cf-parse.tab.c"
    break;

  case 887: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 201 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 11241 "obj/conf/cf-parse.tab.c"
    break;

  case 888: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 202 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 11247 "obj/conf/cf-parse.tab.c"
    break;

  case 889: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 203 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 11253 "obj/conf/cf-parse.tab.c"
    break;

  case 890: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 204 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 11259 "obj/conf/cf-parse.tab.c"
    break;

  case 891: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 205 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 11265 "obj/conf/cf-parse.tab.c"
    break;

  case 892: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 206 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 11271 "obj/conf/cf-parse.tab.c"
    break;

  case 893: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 207 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 11277 "obj/conf/cf-parse.tab.c"
    break;

  case 894: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 208 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 11283 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 209 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 11289 "obj/conf/cf-parse.tab.c"
    break;

  case 896: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 210 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 11295 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 211 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 11301 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 212 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 11307 "obj/conf/cf-parse.tab.c"
    break;

  case 899: /* $@9: %empty  */
#line 213 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 11313 "obj/conf/cf-parse.tab.c"
    break;

  case 900: /* $@10: %empty  */
#line 213 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 11319 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 214 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 11325 "obj/conf/cf-parse.tab.c"
    break;

  case 903: /* bgp_proto: bgp_proto LOCAL ROLE bgp_role_name ';'  */
#line 215 "proto/bgp/config.Y"
                                          { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 11331 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* bgp_proto: bgp_proto REQUIRE ROLES bool ';'  */
#line 216 "proto/bgp/config.Y"
                                    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 11337 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* bgp_afi: IPV4  */
#line 220 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 11343 "obj/conf/cf-parse.tab.c"
    break;

  case 906: /* bgp_afi: IPV6  */
#line 221 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 11349 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* bgp_afi: IPV4 MULTICAST  */
#line 222 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 11355 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* bgp_afi: IPV6 MULTICAST  */
#line 223 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 11361 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* bgp_afi: IPV4 MPLS  */
#line 224 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 11367 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* bgp_afi: IPV6 MPLS  */
#line 225 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 11373 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* bgp_afi: VPN4 MPLS  */
#line 226 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 11379 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* bgp_afi: VPN6 MPLS  */
#line 227 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 11385 "obj/conf/cf-parse.tab.c"
    break;

  case 913: /* bgp_afi: VPN4 MULTICAST  */
#line 228 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 11391 "obj/conf/cf-parse.tab.c"
    break;

  case 914: /* bgp_afi: VPN6 MULTICAST  */
#line 229 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 11397 "obj/conf/cf-parse.tab.c"
    break;

  case 915: /* bgp_afi: FLOW4  */
#line 230 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 11403 "obj/conf/cf-parse.tab.c"
    break;

  case 916: /* bgp_afi: FLOW6  */
#line 231 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 11409 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* bgp_channel_start: bgp_afi  */
#line 235 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 11437 "obj/conf/cf-parse.tab.c"
    break;

  case 918: /* bgp_nh: bool  */
#line 260 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 11443 "obj/conf/cf-parse.tab.c"
    break;

  case 919: /* bgp_nh: IBGP  */
#line 261 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 11449 "obj/conf/cf-parse.tab.c"
    break;

  case 920: /* bgp_nh: EBGP  */
#line 262 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 11455 "obj/conf/cf-parse.tab.c"
    break;

  case 925: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 268 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 11461 "obj/conf/cf-parse.tab.c"
    break;

  case 926: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 269 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 11467 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 270 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 11473 "obj/conf/cf-parse.tab.c"
    break;

  case 928: /* bgp_channel_item: NEXT HOP PREFER GLOBAL  */
#line 271 "proto/bgp/config.Y"
                          { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 11479 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* bgp_channel_item: MANDATORY bool  */
#line 272 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 11485 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 273 "proto/bgp/config.Y"
                             { log(L_WARN "%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 11491 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* bgp_channel_item: GATEWAY DIRECT  */
#line 274 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 11497 "obj/conf/cf-parse.tab.c"
    break;

  case 932: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 275 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 11503 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* bgp_channel_item: SECONDARY bool  */
#line 276 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 11509 "obj/conf/cf-parse.tab.c"
    break;

  case 934: /* bgp_channel_item: VALIDATE bool  */
#line 277 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 11519 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 282 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 11525 "obj/conf/cf-parse.tab.c"
    break;

  case 936: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 283 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 11531 "obj/conf/cf-parse.tab.c"
    break;

  case 937: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 284 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 11537 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 285 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 11543 "obj/conf/cf-parse.tab.c"
    break;

  case 939: /* bgp_channel_item: ADD PATHS RX  */
#line 286 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 11549 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* bgp_channel_item: ADD PATHS TX  */
#line 287 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 11555 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* bgp_channel_item: ADD PATHS bool  */
#line 288 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 11561 "obj/conf/cf-parse.tab.c"
    break;

  case 942: /* bgp_channel_item: IMPORT TABLE bool  */
#line 289 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 11567 "obj/conf/cf-parse.tab.c"
    break;

  case 943: /* bgp_channel_item: EXPORT TABLE bool  */
#line 290 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 11573 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* bgp_channel_item: AIGP bool  */
#line 291 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 11579 "obj/conf/cf-parse.tab.c"
    break;

  case 945: /* bgp_channel_item: AIGP ORIGINATE  */
#line 292 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 11585 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* bgp_channel_item: COST expr  */
#line 293 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 11591 "obj/conf/cf-parse.tab.c"
    break;

  case 947: /* bgp_channel_item: IGP TABLE rtable  */
#line 294 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 11607 "obj/conf/cf-parse.tab.c"
    break;

  case 948: /* bgp_channel_item: BASE TABLE rtable  */
#line 305 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 11622 "obj/conf/cf-parse.tab.c"
    break;

  case 953: /* bgp_channel_end: %empty  */
#line 328 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 11633 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* dynamic_attr: BGP_ORIGIN  */
#line 339 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 11639 "obj/conf/cf-parse.tab.c"
    break;

  case 956: /* dynamic_attr: BGP_PATH  */
#line 341 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 11645 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* dynamic_attr: BGP_NEXT_HOP  */
#line 343 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 11651 "obj/conf/cf-parse.tab.c"
    break;

  case 958: /* dynamic_attr: BGP_MED  */
#line 345 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 11657 "obj/conf/cf-parse.tab.c"
    break;

  case 959: /* dynamic_attr: BGP_LOCAL_PREF  */
#line 347 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 11663 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* dynamic_attr: BGP_ATOMIC_AGGR  */
#line 349 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 11669 "obj/conf/cf-parse.tab.c"
    break;

  case 961: /* dynamic_attr: BGP_AGGREGATOR  */
#line 351 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 11675 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* dynamic_attr: BGP_COMMUNITY  */
#line 353 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 11681 "obj/conf/cf-parse.tab.c"
    break;

  case 963: /* dynamic_attr: BGP_ORIGINATOR_ID  */
#line 355 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 11687 "obj/conf/cf-parse.tab.c"
    break;

  case 964: /* dynamic_attr: BGP_CLUSTER_LIST  */
#line 357 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 11693 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* dynamic_attr: BGP_EXT_COMMUNITY  */
#line 359 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 11699 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* dynamic_attr: BGP_AIGP  */
#line 361 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 11705 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* dynamic_attr: BGP_LARGE_COMMUNITY  */
#line 363 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 11711 "obj/conf/cf-parse.tab.c"
    break;

  case 968: /* dynamic_attr: BGP_OTC  */
#line 365 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER)); }
#line 11717 "obj/conf/cf-parse.tab.c"
    break;

  case 970: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 11725 "obj/conf/cf-parse.tab.c"
    break;

  case 972: /* mrt_proto_item: TABLE rtable  */
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 11731 "obj/conf/cf-parse.tab.c"
    break;

  case 973: /* mrt_proto_item: TABLE TEXT  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 11737 "obj/conf/cf-parse.tab.c"
    break;

  case 974: /* mrt_proto_item: FILTER filter  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 11743 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* mrt_proto_item: where_filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 11749 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* mrt_proto_item: FILENAME text  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 11755 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* mrt_proto_item: PERIOD expr  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 11761 "obj/conf/cf-parse.tab.c"
    break;

  case 978: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 11767 "obj/conf/cf-parse.tab.c"
    break;

  case 981: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 11773 "obj/conf/cf-parse.tab.c"
    break;

  case 983: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 11779 "obj/conf/cf-parse.tab.c"
    break;

  case 984: /* mrt_dump_args: %empty  */
#line 57 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 11785 "obj/conf/cf-parse.tab.c"
    break;

  case 985: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 58 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 11791 "obj/conf/cf-parse.tab.c"
    break;

  case 986: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 59 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 11797 "obj/conf/cf-parse.tab.c"
    break;

  case 987: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 60 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11803 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 61 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11809 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* mrt_dump_args: mrt_dump_args TO text  */
#line 62 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 11815 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* proto: ospf_proto '}'  */
#line 211 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 11821 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* ospf_variant: OSPF  */
#line 214 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 11827 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* ospf_variant: OSPF V2  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 11833 "obj/conf/cf-parse.tab.c"
    break;

  case 993: /* ospf_variant: OSPF V3  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 11839 "obj/conf/cf-parse.tab.c"
    break;

  case 994: /* ospf_proto_start: proto_start ospf_variant  */
#line 220 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 11857 "obj/conf/cf-parse.tab.c"
    break;

  case 997: /* ospf_af_mc: %empty  */
#line 240 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 11863 "obj/conf/cf-parse.tab.c"
    break;

  case 998: /* ospf_af_mc: MULTICAST  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 11869 "obj/conf/cf-parse.tab.c"
    break;

  case 999: /* ospf_channel_start: net_type ospf_af_mc  */
#line 246 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 11881 "obj/conf/cf-parse.tab.c"
    break;

  case 1002: /* ospf_proto_item: ospf_channel  */
#line 258 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11887 "obj/conf/cf-parse.tab.c"
    break;

  case 1003: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 259 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 11893 "obj/conf/cf-parse.tab.c"
    break;

  case 1004: /* ospf_proto_item: RFC5838 bool  */
#line 260 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 11899 "obj/conf/cf-parse.tab.c"
    break;

  case 1005: /* ospf_proto_item: VPN PE bool  */
#line 261 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 11905 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* ospf_proto_item: STUB ROUTER bool  */
#line 262 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 11911 "obj/conf/cf-parse.tab.c"
    break;

  case 1007: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 263 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 11917 "obj/conf/cf-parse.tab.c"
    break;

  case 1008: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 264 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 11923 "obj/conf/cf-parse.tab.c"
    break;

  case 1009: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 265 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 11929 "obj/conf/cf-parse.tab.c"
    break;

  case 1010: /* ospf_proto_item: ECMP bool  */
#line 266 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 11935 "obj/conf/cf-parse.tab.c"
    break;

  case 1011: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 267 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11941 "obj/conf/cf-parse.tab.c"
    break;

  case 1012: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 268 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 11947 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* ospf_proto_item: TICK expr  */
#line 269 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 11953 "obj/conf/cf-parse.tab.c"
    break;

  case 1014: /* ospf_proto_item: INSTANCE ID expr  */
#line 270 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11959 "obj/conf/cf-parse.tab.c"
    break;

  case 1016: /* ospf_area_start: AREA idval  */
#line 274 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 11977 "obj/conf/cf-parse.tab.c"
    break;

  case 1017: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 289 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 11983 "obj/conf/cf-parse.tab.c"
    break;

  case 1020: /* ospf_area_item: STUB bool  */
#line 298 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 11989 "obj/conf/cf-parse.tab.c"
    break;

  case 1021: /* ospf_area_item: NSSA  */
#line 299 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 11995 "obj/conf/cf-parse.tab.c"
    break;

  case 1022: /* ospf_area_item: SUMMARY bool  */
#line 300 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 12001 "obj/conf/cf-parse.tab.c"
    break;

  case 1023: /* ospf_area_item: DEFAULT NSSA bool  */
#line 301 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 12007 "obj/conf/cf-parse.tab.c"
    break;

  case 1024: /* ospf_area_item: DEFAULT COST expr  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 12013 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* ospf_area_item: DEFAULT COST2 expr  */
#line 303 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 12019 "obj/conf/cf-parse.tab.c"
    break;

  case 1026: /* ospf_area_item: STUB COST expr  */
#line 304 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 12025 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* ospf_area_item: TRANSLATOR bool  */
#line 305 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 12031 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 306 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 12037 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* $@11: %empty  */
#line 307 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 12043 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* $@12: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 12049 "obj/conf/cf-parse.tab.c"
    break;

  case 1038: /* ospf_stubnet_start: net_ip  */
#line 320 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 12060 "obj/conf/cf-parse.tab.c"
    break;

  case 1041: /* ospf_stubnet_item: HIDDEN bool  */
#line 334 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 12066 "obj/conf/cf-parse.tab.c"
    break;

  case 1042: /* ospf_stubnet_item: SUMMARY bool  */
#line 335 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 12072 "obj/conf/cf-parse.tab.c"
    break;

  case 1043: /* ospf_stubnet_item: COST expr  */
#line 336 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 12078 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 340 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 12084 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 341 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 12090 "obj/conf/cf-parse.tab.c"
    break;

  case 1049: /* ospf_vlink_item: HELLO expr  */
#line 350 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 12096 "obj/conf/cf-parse.tab.c"
    break;

  case 1050: /* ospf_vlink_item: RETRANSMIT expr  */
#line 351 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 12102 "obj/conf/cf-parse.tab.c"
    break;

  case 1051: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 352 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 12108 "obj/conf/cf-parse.tab.c"
    break;

  case 1052: /* ospf_vlink_item: WAIT expr  */
#line 353 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 12114 "obj/conf/cf-parse.tab.c"
    break;

  case 1053: /* ospf_vlink_item: DEAD expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 12120 "obj/conf/cf-parse.tab.c"
    break;

  case 1054: /* ospf_vlink_item: DEAD COUNT expr  */
#line 355 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 12126 "obj/conf/cf-parse.tab.c"
    break;

  case 1055: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 356 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 12132 "obj/conf/cf-parse.tab.c"
    break;

  case 1056: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 357 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 12138 "obj/conf/cf-parse.tab.c"
    break;

  case 1057: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 358 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 12144 "obj/conf/cf-parse.tab.c"
    break;

  case 1059: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 363 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 12164 "obj/conf/cf-parse.tab.c"
    break;

  case 1060: /* ospf_iface_item: COST expr  */
#line 381 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 12170 "obj/conf/cf-parse.tab.c"
    break;

  case 1061: /* ospf_iface_item: HELLO expr  */
#line 382 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 12176 "obj/conf/cf-parse.tab.c"
    break;

  case 1062: /* ospf_iface_item: POLL expr  */
#line 383 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 12182 "obj/conf/cf-parse.tab.c"
    break;

  case 1063: /* ospf_iface_item: RETRANSMIT expr  */
#line 384 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 12188 "obj/conf/cf-parse.tab.c"
    break;

  case 1064: /* ospf_iface_item: WAIT expr  */
#line 385 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 12194 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* ospf_iface_item: DEAD expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 12200 "obj/conf/cf-parse.tab.c"
    break;

  case 1066: /* ospf_iface_item: DEAD COUNT expr  */
#line 387 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 12206 "obj/conf/cf-parse.tab.c"
    break;

  case 1067: /* ospf_iface_item: TYPE BROADCAST  */
#line 388 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 12212 "obj/conf/cf-parse.tab.c"
    break;

  case 1068: /* ospf_iface_item: TYPE BCAST  */
#line 389 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 12218 "obj/conf/cf-parse.tab.c"
    break;

  case 1069: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 390 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 12224 "obj/conf/cf-parse.tab.c"
    break;

  case 1070: /* ospf_iface_item: TYPE NBMA  */
#line 391 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 12230 "obj/conf/cf-parse.tab.c"
    break;

  case 1071: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 392 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 12236 "obj/conf/cf-parse.tab.c"
    break;

  case 1072: /* ospf_iface_item: TYPE PTP  */
#line 393 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 12242 "obj/conf/cf-parse.tab.c"
    break;

  case 1073: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 394 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 12248 "obj/conf/cf-parse.tab.c"
    break;

  case 1074: /* ospf_iface_item: TYPE PTMP  */
#line 395 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 12254 "obj/conf/cf-parse.tab.c"
    break;

  case 1075: /* ospf_iface_item: REAL BROADCAST bool  */
#line 396 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 12260 "obj/conf/cf-parse.tab.c"
    break;

  case 1076: /* ospf_iface_item: PTP NETMASK bool  */
#line 397 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 12266 "obj/conf/cf-parse.tab.c"
    break;

  case 1077: /* ospf_iface_item: PTP ADDRESS bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 12272 "obj/conf/cf-parse.tab.c"
    break;

  case 1078: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 399 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 12278 "obj/conf/cf-parse.tab.c"
    break;

  case 1079: /* ospf_iface_item: PRIORITY expr  */
#line 400 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 12284 "obj/conf/cf-parse.tab.c"
    break;

  case 1080: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 401 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 12290 "obj/conf/cf-parse.tab.c"
    break;

  case 1081: /* ospf_iface_item: STUB bool  */
#line 402 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 12296 "obj/conf/cf-parse.tab.c"
    break;

  case 1082: /* ospf_iface_item: CHECK LINK bool  */
#line 403 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 12302 "obj/conf/cf-parse.tab.c"
    break;

  case 1083: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 404 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 12308 "obj/conf/cf-parse.tab.c"
    break;

  case 1084: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 405 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 12314 "obj/conf/cf-parse.tab.c"
    break;

  case 1086: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 407 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 12320 "obj/conf/cf-parse.tab.c"
    break;

  case 1087: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 408 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 12326 "obj/conf/cf-parse.tab.c"
    break;

  case 1088: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 409 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 12332 "obj/conf/cf-parse.tab.c"
    break;

  case 1089: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 410 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 12338 "obj/conf/cf-parse.tab.c"
    break;

  case 1090: /* ospf_iface_item: RX BUFFER LARGE  */
#line 411 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 12344 "obj/conf/cf-parse.tab.c"
    break;

  case 1091: /* ospf_iface_item: RX BUFFER expr  */
#line 412 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 12350 "obj/conf/cf-parse.tab.c"
    break;

  case 1092: /* ospf_iface_item: TX tos  */
#line 413 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 12356 "obj/conf/cf-parse.tab.c"
    break;

  case 1093: /* ospf_iface_item: TX PRIORITY expr  */
#line 414 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 12362 "obj/conf/cf-parse.tab.c"
    break;

  case 1094: /* ospf_iface_item: TX LENGTH expr  */
#line 415 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 12368 "obj/conf/cf-parse.tab.c"
    break;

  case 1095: /* ospf_iface_item: TTL SECURITY bool  */
#line 416 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 12374 "obj/conf/cf-parse.tab.c"
    break;

  case 1096: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 417 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 12380 "obj/conf/cf-parse.tab.c"
    break;

  case 1097: /* ospf_iface_item: BFD bool  */
#line 418 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12386 "obj/conf/cf-parse.tab.c"
    break;

  case 1102: /* pref_base: net_ip  */
#line 430 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 12396 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* pref_opt: HIDDEN  */
#line 439 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 12402 "obj/conf/cf-parse.tab.c"
    break;

  case 1105: /* pref_opt: TAG expr  */
#line 440 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 12408 "obj/conf/cf-parse.tab.c"
    break;

  case 1108: /* nbma_eligible: %empty  */
#line 449 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 12414 "obj/conf/cf-parse.tab.c"
    break;

  case 1109: /* nbma_eligible: ELIGIBLE  */
#line 450 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 12420 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* nbma_item: ipa nbma_eligible ';'  */
#line 454 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 12431 "obj/conf/cf-parse.tab.c"
    break;

  case 1111: /* ospf_iface_start: %empty  */
#line 463 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 12456 "obj/conf/cf-parse.tab.c"
    break;

  case 1113: /* ospf_instance_id: INSTANCE expr  */
#line 487 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 12462 "obj/conf/cf-parse.tab.c"
    break;

  case 1114: /* $@13: %empty  */
#line 491 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 12468 "obj/conf/cf-parse.tab.c"
    break;

  case 1120: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 505 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 12474 "obj/conf/cf-parse.tab.c"
    break;

  case 1121: /* dynamic_attr: OSPF_METRIC1  */
#line 508 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 12480 "obj/conf/cf-parse.tab.c"
    break;

  case 1122: /* dynamic_attr: OSPF_METRIC2  */
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 12486 "obj/conf/cf-parse.tab.c"
    break;

  case 1123: /* dynamic_attr: OSPF_TAG  */
#line 510 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 12492 "obj/conf/cf-parse.tab.c"
    break;

  case 1124: /* dynamic_attr: OSPF_ROUTER_ID  */
#line 511 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 12498 "obj/conf/cf-parse.tab.c"
    break;

  case 1126: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 515 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 12504 "obj/conf/cf-parse.tab.c"
    break;

  case 1128: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 518 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 12510 "obj/conf/cf-parse.tab.c"
    break;

  case 1130: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 521 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 12516 "obj/conf/cf-parse.tab.c"
    break;

  case 1132: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 526 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 12522 "obj/conf/cf-parse.tab.c"
    break;

  case 1134: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 529 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 12528 "obj/conf/cf-parse.tab.c"
    break;

  case 1136: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 534 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 12534 "obj/conf/cf-parse.tab.c"
    break;

  case 1138: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 537 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 12540 "obj/conf/cf-parse.tab.c"
    break;

  case 1140: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 541 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 12551 "obj/conf/cf-parse.tab.c"
    break;

  case 1141: /* lsadb_args: %empty  */
#line 549 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 12559 "obj/conf/cf-parse.tab.c"
    break;

  case 1142: /* lsadb_args: lsadb_args GLOBAL  */
#line 552 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 12565 "obj/conf/cf-parse.tab.c"
    break;

  case 1143: /* lsadb_args: lsadb_args AREA idval  */
#line 553 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 12571 "obj/conf/cf-parse.tab.c"
    break;

  case 1144: /* lsadb_args: lsadb_args LINK  */
#line 554 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 12577 "obj/conf/cf-parse.tab.c"
    break;

  case 1145: /* lsadb_args: lsadb_args TYPE NUM  */
#line 555 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 12583 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* lsadb_args: lsadb_args LSID idval  */
#line 556 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 12589 "obj/conf/cf-parse.tab.c"
    break;

  case 1147: /* lsadb_args: lsadb_args SELF  */
#line 557 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 12595 "obj/conf/cf-parse.tab.c"
    break;

  case 1148: /* lsadb_args: lsadb_args ROUTER idval  */
#line 558 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 12601 "obj/conf/cf-parse.tab.c"
    break;

  case 1149: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 559 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 12607 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* perf_proto_start: proto_start PERF  */
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 12623 "obj/conf/cf-parse.tab.c"
    break;

  case 1155: /* perf_proto_item: proto_channel  */
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12629 "obj/conf/cf-parse.tab.c"
    break;

  case 1156: /* perf_proto_item: EXP FROM NUM  */
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 12635 "obj/conf/cf-parse.tab.c"
    break;

  case 1157: /* perf_proto_item: EXP TO NUM  */
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 12641 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* perf_proto_item: REPEAT NUM  */
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 12647 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* perf_proto_item: THRESHOLD MIN expr_us  */
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 12653 "obj/conf/cf-parse.tab.c"
    break;

  case 1160: /* perf_proto_item: THRESHOLD MAX expr_us  */
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 12659 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* perf_proto_item: ATTRIBUTES NUM  */
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 12665 "obj/conf/cf-parse.tab.c"
    break;

  case 1162: /* perf_proto_item: KEEP bool  */
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 12671 "obj/conf/cf-parse.tab.c"
    break;

  case 1163: /* perf_proto_item: MODE IMPORT  */
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 12677 "obj/conf/cf-parse.tab.c"
    break;

  case 1164: /* perf_proto_item: MODE EXPORT  */
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 12683 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 12689 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* $@14: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 12697 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* pipe_proto_start: proto_start PIPE $@14 proto_name  */
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 12710 "obj/conf/cf-parse.tab.c"
    break;

  case 1171: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 12716 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* radv_proto_start: proto_start RADV  */
#line 47 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 12730 "obj/conf/cf-parse.tab.c"
    break;

  case 1177: /* radv_proto_item: PREFIX radv_prefix  */
#line 61 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 12736 "obj/conf/cf-parse.tab.c"
    break;

  case 1178: /* $@15: %empty  */
#line 62 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12742 "obj/conf/cf-parse.tab.c"
    break;

  case 1179: /* radv_proto_item: RDNSS $@15 radv_rdnss  */
#line 62 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 12748 "obj/conf/cf-parse.tab.c"
    break;

  case 1180: /* $@16: %empty  */
#line 63 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12754 "obj/conf/cf-parse.tab.c"
    break;

  case 1181: /* radv_proto_item: DNSSL $@16 radv_dnssl  */
#line 63 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 12760 "obj/conf/cf-parse.tab.c"
    break;

  case 1182: /* radv_proto_item: TRIGGER net_ip6  */
#line 64 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 12766 "obj/conf/cf-parse.tab.c"
    break;

  case 1183: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 65 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 12772 "obj/conf/cf-parse.tab.c"
    break;

  case 1187: /* radv_iface_start: %empty  */
#line 78 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 12798 "obj/conf/cf-parse.tab.c"
    break;

  case 1188: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 101 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 12804 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 102 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 12810 "obj/conf/cf-parse.tab.c"
    break;

  case 1190: /* radv_iface_item: MIN DELAY expr  */
#line 103 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 12816 "obj/conf/cf-parse.tab.c"
    break;

  case 1191: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 104 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 12822 "obj/conf/cf-parse.tab.c"
    break;

  case 1192: /* radv_iface_item: MANAGED bool  */
#line 105 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 12828 "obj/conf/cf-parse.tab.c"
    break;

  case 1193: /* radv_iface_item: OTHER CONFIG bool  */
#line 106 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 12834 "obj/conf/cf-parse.tab.c"
    break;

  case 1194: /* radv_iface_item: LINK MTU expr  */
#line 107 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 12840 "obj/conf/cf-parse.tab.c"
    break;

  case 1195: /* radv_iface_item: REACHABLE TIME expr  */
#line 108 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 12846 "obj/conf/cf-parse.tab.c"
    break;

  case 1196: /* radv_iface_item: RETRANS TIMER expr  */
#line 109 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 12852 "obj/conf/cf-parse.tab.c"
    break;

  case 1197: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 110 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 12858 "obj/conf/cf-parse.tab.c"
    break;

  case 1198: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 111 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12868 "obj/conf/cf-parse.tab.c"
    break;

  case 1199: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 116 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12877 "obj/conf/cf-parse.tab.c"
    break;

  case 1200: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 120 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 12883 "obj/conf/cf-parse.tab.c"
    break;

  case 1201: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 121 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 12889 "obj/conf/cf-parse.tab.c"
    break;

  case 1202: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 122 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 12895 "obj/conf/cf-parse.tab.c"
    break;

  case 1203: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 123 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 12901 "obj/conf/cf-parse.tab.c"
    break;

  case 1204: /* radv_iface_item: PREFIX radv_prefix  */
#line 124 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 12907 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* $@17: %empty  */
#line 125 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12913 "obj/conf/cf-parse.tab.c"
    break;

  case 1206: /* radv_iface_item: RDNSS $@17 radv_rdnss  */
#line 125 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 12919 "obj/conf/cf-parse.tab.c"
    break;

  case 1207: /* $@18: %empty  */
#line 126 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12925 "obj/conf/cf-parse.tab.c"
    break;

  case 1208: /* radv_iface_item: DNSSL $@18 radv_dnssl  */
#line 126 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 12931 "obj/conf/cf-parse.tab.c"
    break;

  case 1209: /* radv_iface_item: RDNSS LOCAL bool  */
#line 127 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 12937 "obj/conf/cf-parse.tab.c"
    break;

  case 1210: /* radv_iface_item: DNSSL LOCAL bool  */
#line 128 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 12943 "obj/conf/cf-parse.tab.c"
    break;

  case 1211: /* radv_preference: LOW  */
#line 132 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 12949 "obj/conf/cf-parse.tab.c"
    break;

  case 1212: /* radv_preference: MEDIUM  */
#line 133 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 12955 "obj/conf/cf-parse.tab.c"
    break;

  case 1213: /* radv_preference: HIGH  */
#line 134 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 12961 "obj/conf/cf-parse.tab.c"
    break;

  case 1214: /* radv_iface_finish: %empty  */
#line 137 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 13002 "obj/conf/cf-parse.tab.c"
    break;

  case 1220: /* radv_prefix_start: net_ip6  */
#line 190 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 13016 "obj/conf/cf-parse.tab.c"
    break;

  case 1221: /* radv_prefix_item: SKIP bool  */
#line 201 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 13022 "obj/conf/cf-parse.tab.c"
    break;

  case 1222: /* radv_prefix_item: ONLINK bool  */
#line 202 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 13028 "obj/conf/cf-parse.tab.c"
    break;

  case 1223: /* radv_prefix_item: AUTONOMOUS bool  */
#line 203 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 13034 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 204 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13043 "obj/conf/cf-parse.tab.c"
    break;

  case 1225: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 208 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13052 "obj/conf/cf-parse.tab.c"
    break;

  case 1226: /* radv_prefix_finish: %empty  */
#line 215 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 13064 "obj/conf/cf-parse.tab.c"
    break;

  case 1232: /* radv_rdnss_node: ipa  */
#line 239 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 13076 "obj/conf/cf-parse.tab.c"
    break;

  case 1233: /* radv_rdnss_start: %empty  */
#line 248 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 13085 "obj/conf/cf-parse.tab.c"
    break;

  case 1236: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 255 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 13091 "obj/conf/cf-parse.tab.c"
    break;

  case 1237: /* radv_rdnss_finish: %empty  */
#line 259 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 13107 "obj/conf/cf-parse.tab.c"
    break;

  case 1242: /* radv_dnssl_node: TEXT  */
#line 283 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 13122 "obj/conf/cf-parse.tab.c"
    break;

  case 1243: /* radv_dnssl_start: %empty  */
#line 295 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 13131 "obj/conf/cf-parse.tab.c"
    break;

  case 1246: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 302 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 13137 "obj/conf/cf-parse.tab.c"
    break;

  case 1247: /* radv_dnssl_finish: %empty  */
#line 306 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 13153 "obj/conf/cf-parse.tab.c"
    break;

  case 1252: /* radv_mult: expr  */
#line 330 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 13159 "obj/conf/cf-parse.tab.c"
    break;

  case 1253: /* radv_mult: MULT expr  */
#line 331 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 13165 "obj/conf/cf-parse.tab.c"
    break;

  case 1254: /* radv_sensitive: %empty  */
#line 335 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 13171 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* radv_sensitive: SENSITIVE bool  */
#line 336 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 13177 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* dynamic_attr: RA_PREFERENCE  */
#line 339 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 13183 "obj/conf/cf-parse.tab.c"
    break;

  case 1257: /* dynamic_attr: RA_LIFETIME  */
#line 340 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 13189 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* rip_variant: RIP  */
#line 49 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 13195 "obj/conf/cf-parse.tab.c"
    break;

  case 1260: /* rip_variant: RIP NG  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 13201 "obj/conf/cf-parse.tab.c"
    break;

  case 1261: /* rip_proto_start: proto_start rip_variant  */
#line 54 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 13217 "obj/conf/cf-parse.tab.c"
    break;

  case 1264: /* rip_proto_item: ECMP bool  */
#line 69 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 13223 "obj/conf/cf-parse.tab.c"
    break;

  case 1265: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 13229 "obj/conf/cf-parse.tab.c"
    break;

  case 1266: /* rip_proto_item: INFINITY expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 13235 "obj/conf/cf-parse.tab.c"
    break;

  case 1271: /* rip_iface_start: %empty  */
#line 85 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 13263 "obj/conf/cf-parse.tab.c"
    break;

  case 1272: /* rip_iface_finish: %empty  */
#line 110 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 13296 "obj/conf/cf-parse.tab.c"
    break;

  case 1273: /* rip_iface_item: METRIC expr  */
#line 140 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 13302 "obj/conf/cf-parse.tab.c"
    break;

  case 1274: /* rip_iface_item: MODE MULTICAST  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 13308 "obj/conf/cf-parse.tab.c"
    break;

  case 1275: /* rip_iface_item: MODE BROADCAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 13314 "obj/conf/cf-parse.tab.c"
    break;

  case 1276: /* rip_iface_item: PASSIVE bool  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 13320 "obj/conf/cf-parse.tab.c"
    break;

  case 1277: /* rip_iface_item: ADDRESS ipa  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 13326 "obj/conf/cf-parse.tab.c"
    break;

  case 1278: /* rip_iface_item: PORT expr  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13332 "obj/conf/cf-parse.tab.c"
    break;

  case 1279: /* rip_iface_item: VERSION expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 13341 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* rip_iface_item: VERSION ONLY bool  */
#line 150 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 13347 "obj/conf/cf-parse.tab.c"
    break;

  case 1281: /* rip_iface_item: SPLIT HORIZON bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 13353 "obj/conf/cf-parse.tab.c"
    break;

  case 1282: /* rip_iface_item: POISON REVERSE bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 13359 "obj/conf/cf-parse.tab.c"
    break;

  case 1283: /* rip_iface_item: CHECK ZERO bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 13365 "obj/conf/cf-parse.tab.c"
    break;

  case 1284: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 13371 "obj/conf/cf-parse.tab.c"
    break;

  case 1285: /* rip_iface_item: UPDATE TIME expr  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 13377 "obj/conf/cf-parse.tab.c"
    break;

  case 1286: /* rip_iface_item: TIMEOUT TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 13383 "obj/conf/cf-parse.tab.c"
    break;

  case 1287: /* rip_iface_item: GARBAGE TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 13389 "obj/conf/cf-parse.tab.c"
    break;

  case 1288: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 158 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 13395 "obj/conf/cf-parse.tab.c"
    break;

  case 1289: /* rip_iface_item: ECMP WEIGHT expr  */
#line 159 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 13401 "obj/conf/cf-parse.tab.c"
    break;

  case 1290: /* rip_iface_item: RX BUFFER expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 13407 "obj/conf/cf-parse.tab.c"
    break;

  case 1291: /* rip_iface_item: TX LENGTH expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 13413 "obj/conf/cf-parse.tab.c"
    break;

  case 1292: /* rip_iface_item: TX tos  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 13419 "obj/conf/cf-parse.tab.c"
    break;

  case 1293: /* rip_iface_item: TX PRIORITY expr  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 13425 "obj/conf/cf-parse.tab.c"
    break;

  case 1294: /* rip_iface_item: TTL SECURITY bool  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 13431 "obj/conf/cf-parse.tab.c"
    break;

  case 1295: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 13437 "obj/conf/cf-parse.tab.c"
    break;

  case 1296: /* rip_iface_item: CHECK LINK bool  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 13443 "obj/conf/cf-parse.tab.c"
    break;

  case 1297: /* rip_iface_item: BFD bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 13449 "obj/conf/cf-parse.tab.c"
    break;

  case 1298: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 168 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 13455 "obj/conf/cf-parse.tab.c"
    break;

  case 1299: /* rip_iface_item: password_list  */
#line 169 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 13461 "obj/conf/cf-parse.tab.c"
    break;

  case 1300: /* rip_auth: NONE  */
#line 173 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 13467 "obj/conf/cf-parse.tab.c"
    break;

  case 1301: /* rip_auth: PLAINTEXT  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 13473 "obj/conf/cf-parse.tab.c"
    break;

  case 1302: /* rip_auth: CRYPTOGRAPHIC  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13479 "obj/conf/cf-parse.tab.c"
    break;

  case 1303: /* rip_auth: MD5  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13485 "obj/conf/cf-parse.tab.c"
    break;

  case 1309: /* dynamic_attr: RIP_METRIC  */
#line 193 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 13491 "obj/conf/cf-parse.tab.c"
    break;

  case 1310: /* dynamic_attr: RIP_TAG  */
#line 194 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 13497 "obj/conf/cf-parse.tab.c"
    break;

  case 1312: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 199 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 13503 "obj/conf/cf-parse.tab.c"
    break;

  case 1314: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 202 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 13509 "obj/conf/cf-parse.tab.c"
    break;

  case 1316: /* rpki_proto_start: proto_start RPKI  */
#line 43 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 13520 "obj/conf/cf-parse.tab.c"
    break;

  case 1317: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 50 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 13526 "obj/conf/cf-parse.tab.c"
    break;

  case 1326: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 64 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 13537 "obj/conf/cf-parse.tab.c"
    break;

  case 1327: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 70 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 13548 "obj/conf/cf-parse.tab.c"
    break;

  case 1328: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 76 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 13559 "obj/conf/cf-parse.tab.c"
    break;

  case 1329: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 82 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 13565 "obj/conf/cf-parse.tab.c"
    break;

  case 1330: /* rpki_keep_interval: %empty  */
#line 86 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 13571 "obj/conf/cf-parse.tab.c"
    break;

  case 1331: /* rpki_keep_interval: KEEP  */
#line 87 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 13577 "obj/conf/cf-parse.tab.c"
    break;

  case 1332: /* rpki_proto_item_port: PORT expr  */
#line 90 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 13583 "obj/conf/cf-parse.tab.c"
    break;

  case 1333: /* rpki_cache_addr: text  */
#line 93 "proto/rpki/config.Y"
        {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 13592 "obj/conf/cf-parse.tab.c"
    break;

  case 1334: /* rpki_cache_addr: ipa  */
#line 97 "proto/rpki/config.Y"
       {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 13605 "obj/conf/cf-parse.tab.c"
    break;

  case 1337: /* rpki_transport_tcp_init: %empty  */
#line 113 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 13615 "obj/conf/cf-parse.tab.c"
    break;

  case 1338: /* rpki_transport_ssh_init: %empty  */
#line 120 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 13629 "obj/conf/cf-parse.tab.c"
    break;

  case 1341: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 136 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 13635 "obj/conf/cf-parse.tab.c"
    break;

  case 1342: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 137 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 13641 "obj/conf/cf-parse.tab.c"
    break;

  case 1343: /* rpki_transport_ssh_item: USER text  */
#line 138 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 13647 "obj/conf/cf-parse.tab.c"
    break;

  case 1344: /* rpki_transport_ssh_check: %empty  */
#line 142 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 13656 "obj/conf/cf-parse.tab.c"
    break;

  case 1346: /* static_proto_start: proto_start STATIC  */
#line 57 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 13665 "obj/conf/cf-parse.tab.c"
    break;

  case 1349: /* static_proto: static_proto proto_channel ';'  */
#line 65 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 13671 "obj/conf/cf-parse.tab.c"
    break;

  case 1350: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 66 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 13677 "obj/conf/cf-parse.tab.c"
    break;

  case 1351: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 67 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 13690 "obj/conf/cf-parse.tab.c"
    break;

  case 1352: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 75 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 13696 "obj/conf/cf-parse.tab.c"
    break;

  case 1353: /* stat_nexthop: VIA ipa ipa_scope  */
#line 79 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 13706 "obj/conf/cf-parse.tab.c"
    break;

  case 1354: /* stat_nexthop: VIA TEXT  */
#line 84 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 13716 "obj/conf/cf-parse.tab.c"
    break;

  case 1355: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 89 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 13724 "obj/conf/cf-parse.tab.c"
    break;

  case 1356: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 92 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 13732 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 95 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 13741 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* stat_nexthop: stat_nexthop BFD bool  */
#line 99 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 13749 "obj/conf/cf-parse.tab.c"
    break;

  case 1361: /* stat_route0: ROUTE net_any  */
#line 109 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 13763 "obj/conf/cf-parse.tab.c"
    break;

  case 1363: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 122 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 13772 "obj/conf/cf-parse.tab.c"
    break;

  case 1364: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 126 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 13782 "obj/conf/cf-parse.tab.c"
    break;

  case 1365: /* stat_route: stat_route0  */
#line 131 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 13788 "obj/conf/cf-parse.tab.c"
    break;

  case 1366: /* stat_route: stat_route0 DROP  */
#line 132 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 13794 "obj/conf/cf-parse.tab.c"
    break;

  case 1367: /* stat_route: stat_route0 REJECT  */
#line 133 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 13800 "obj/conf/cf-parse.tab.c"
    break;

  case 1368: /* stat_route: stat_route0 BLACKHOLE  */
#line 134 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 13806 "obj/conf/cf-parse.tab.c"
    break;

  case 1369: /* stat_route: stat_route0 UNREACHABLE  */
#line 135 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 13812 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* stat_route: stat_route0 PROHIBIT  */
#line 136 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 13818 "obj/conf/cf-parse.tab.c"
    break;

  case 1371: /* stat_route_item: cmd  */
#line 140 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 13830 "obj/conf/cf-parse.tab.c"
    break;

  case 1377: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 161 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 13836 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* kern_sys_item: KERNEL TABLE expr  */
#line 26 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 13842 "obj/conf/cf-parse.tab.c"
    break;

  case 1380: /* kern_sys_item: METRIC expr  */
#line 27 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 13848 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 28 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 13854 "obj/conf/cf-parse.tab.c"
    break;

  case 1382: /* dynamic_attr: KRT_PREFSRC  */
#line 31 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 13860 "obj/conf/cf-parse.tab.c"
    break;

  case 1383: /* dynamic_attr: KRT_REALM  */
#line 32 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 13866 "obj/conf/cf-parse.tab.c"
    break;

  case 1384: /* dynamic_attr: KRT_SCOPE  */
#line 33 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 13872 "obj/conf/cf-parse.tab.c"
    break;

  case 1385: /* dynamic_attr: KRT_MTU  */
#line 35 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 13878 "obj/conf/cf-parse.tab.c"
    break;

  case 1386: /* dynamic_attr: KRT_WINDOW  */
#line 36 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 13884 "obj/conf/cf-parse.tab.c"
    break;

  case 1387: /* dynamic_attr: KRT_RTT  */
#line 37 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 13890 "obj/conf/cf-parse.tab.c"
    break;

  case 1388: /* dynamic_attr: KRT_RTTVAR  */
#line 38 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 13896 "obj/conf/cf-parse.tab.c"
    break;

  case 1389: /* dynamic_attr: KRT_SSTRESH  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 13902 "obj/conf/cf-parse.tab.c"
    break;

  case 1390: /* dynamic_attr: KRT_CWND  */
#line 40 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 13908 "obj/conf/cf-parse.tab.c"
    break;

  case 1391: /* dynamic_attr: KRT_ADVMSS  */
#line 41 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 13914 "obj/conf/cf-parse.tab.c"
    break;

  case 1392: /* dynamic_attr: KRT_REORDERING  */
#line 42 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 13920 "obj/conf/cf-parse.tab.c"
    break;

  case 1393: /* dynamic_attr: KRT_HOPLIMIT  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 13926 "obj/conf/cf-parse.tab.c"
    break;

  case 1394: /* dynamic_attr: KRT_INITCWND  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 13932 "obj/conf/cf-parse.tab.c"
    break;

  case 1395: /* dynamic_attr: KRT_RTO_MIN  */
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 13938 "obj/conf/cf-parse.tab.c"
    break;

  case 1396: /* dynamic_attr: KRT_INITRWND  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 13944 "obj/conf/cf-parse.tab.c"
    break;

  case 1397: /* dynamic_attr: KRT_QUICKACK  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 13950 "obj/conf/cf-parse.tab.c"
    break;

  case 1398: /* dynamic_attr: KRT_LOCK_MTU  */
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 13956 "obj/conf/cf-parse.tab.c"
    break;

  case 1399: /* dynamic_attr: KRT_LOCK_WINDOW  */
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 13962 "obj/conf/cf-parse.tab.c"
    break;

  case 1400: /* dynamic_attr: KRT_LOCK_RTT  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 13968 "obj/conf/cf-parse.tab.c"
    break;

  case 1401: /* dynamic_attr: KRT_LOCK_RTTVAR  */
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 13974 "obj/conf/cf-parse.tab.c"
    break;

  case 1402: /* dynamic_attr: KRT_LOCK_SSTRESH  */
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 13980 "obj/conf/cf-parse.tab.c"
    break;

  case 1403: /* dynamic_attr: KRT_LOCK_CWND  */
#line 56 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 13986 "obj/conf/cf-parse.tab.c"
    break;

  case 1404: /* dynamic_attr: KRT_LOCK_ADVMSS  */
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 13992 "obj/conf/cf-parse.tab.c"
    break;

  case 1405: /* dynamic_attr: KRT_LOCK_REORDERING  */
#line 58 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 13998 "obj/conf/cf-parse.tab.c"
    break;

  case 1406: /* dynamic_attr: KRT_LOCK_HOPLIMIT  */
#line 59 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 14004 "obj/conf/cf-parse.tab.c"
    break;

  case 1407: /* dynamic_attr: KRT_LOCK_RTO_MIN  */
#line 60 "sysdep/linux/netlink.Y"
                               { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 14010 "obj/conf/cf-parse.tab.c"
    break;

  case 1408: /* dynamic_attr: KRT_FEATURE_ECN  */
#line 62 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 14016 "obj/conf/cf-parse.tab.c"
    break;

  case 1409: /* dynamic_attr: KRT_FEATURE_ALLFRAG  */
#line 63 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 14022 "obj/conf/cf-parse.tab.c"
    break;

  case 1411: /* log_begin: %empty  */
#line 33 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 14028 "obj/conf/cf-parse.tab.c"
    break;

  case 1412: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 35 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 14037 "obj/conf/cf-parse.tab.c"
    break;

  case 1413: /* syslog_name: NAME text  */
#line 42 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 14043 "obj/conf/cf-parse.tab.c"
    break;

  case 1414: /* syslog_name: %empty  */
#line 43 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 14049 "obj/conf/cf-parse.tab.c"
    break;

  case 1416: /* log_limit: expr text  */
#line 48 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 14055 "obj/conf/cf-parse.tab.c"
    break;

  case 1417: /* log_file: text log_limit  */
#line 52 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 14070 "obj/conf/cf-parse.tab.c"
    break;

  case 1418: /* log_file: SYSLOG syslog_name  */
#line 62 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 14076 "obj/conf/cf-parse.tab.c"
    break;

  case 1419: /* log_file: STDERR  */
#line 63 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 14082 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* log_mask: ALL  */
#line 67 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 14088 "obj/conf/cf-parse.tab.c"
    break;

  case 1421: /* log_mask: '{' log_mask_list '}'  */
#line 68 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 14094 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* log_mask_list: log_cat  */
#line 72 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 14100 "obj/conf/cf-parse.tab.c"
    break;

  case 1423: /* log_mask_list: log_mask_list ',' log_cat  */
#line 73 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 14106 "obj/conf/cf-parse.tab.c"
    break;

  case 1424: /* log_cat: DEBUG  */
#line 77 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 14112 "obj/conf/cf-parse.tab.c"
    break;

  case 1425: /* log_cat: TRACE  */
#line 78 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 14118 "obj/conf/cf-parse.tab.c"
    break;

  case 1426: /* log_cat: INFO  */
#line 79 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 14124 "obj/conf/cf-parse.tab.c"
    break;

  case 1427: /* log_cat: REMOTE  */
#line 80 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 14130 "obj/conf/cf-parse.tab.c"
    break;

  case 1428: /* log_cat: WARNING  */
#line 81 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 14136 "obj/conf/cf-parse.tab.c"
    break;

  case 1429: /* log_cat: ERROR  */
#line 82 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 14142 "obj/conf/cf-parse.tab.c"
    break;

  case 1430: /* log_cat: AUTH  */
#line 83 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 14148 "obj/conf/cf-parse.tab.c"
    break;

  case 1431: /* log_cat: FATAL  */
#line 84 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 14154 "obj/conf/cf-parse.tab.c"
    break;

  case 1432: /* log_cat: BUG  */
#line 85 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 14160 "obj/conf/cf-parse.tab.c"
    break;

  case 1434: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 92 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 14166 "obj/conf/cf-parse.tab.c"
    break;

  case 1435: /* mrtdump_base: MRTDUMP text ';'  */
#line 93 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 14179 "obj/conf/cf-parse.tab.c"
    break;

  case 1437: /* debug_unix: DEBUG LATENCY bool  */
#line 107 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 14185 "obj/conf/cf-parse.tab.c"
    break;

  case 1438: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 108 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 14191 "obj/conf/cf-parse.tab.c"
    break;

  case 1439: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 109 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 14197 "obj/conf/cf-parse.tab.c"
    break;

  case 1440: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 110 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 14203 "obj/conf/cf-parse.tab.c"
    break;

  case 1442: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 119 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 14209 "obj/conf/cf-parse.tab.c"
    break;

  case 1444: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 122 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 14215 "obj/conf/cf-parse.tab.c"
    break;

  case 1446: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 129 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 14221 "obj/conf/cf-parse.tab.c"
    break;

  case 1448: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 132 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 14227 "obj/conf/cf-parse.tab.c"
    break;

  case 1450: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 135 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 14233 "obj/conf/cf-parse.tab.c"
    break;

  case 1452: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 138 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 14239 "obj/conf/cf-parse.tab.c"
    break;

  case 1454: /* cmd_DOWN: DOWN END  */
#line 141 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 14245 "obj/conf/cf-parse.tab.c"
    break;

  case 1456: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 146 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 14251 "obj/conf/cf-parse.tab.c"
    break;

  case 1457: /* cfg_name: %empty  */
#line 150 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 14257 "obj/conf/cf-parse.tab.c"
    break;

  case 1459: /* cfg_timeout: %empty  */
#line 155 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 14263 "obj/conf/cf-parse.tab.c"
    break;

  case 1460: /* cfg_timeout: TIMEOUT  */
#line 156 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 14269 "obj/conf/cf-parse.tab.c"
    break;

  case 1461: /* cfg_timeout: TIMEOUT expr  */
#line 157 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 14275 "obj/conf/cf-parse.tab.c"
    break;

  case 1463: /* kern_proto_start: proto_start KERNEL  */
#line 43 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 14283 "obj/conf/cf-parse.tab.c"
    break;

  case 1466: /* kern_mp_limit: %empty  */
#line 52 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 14289 "obj/conf/cf-parse.tab.c"
    break;

  case 1467: /* kern_mp_limit: LIMIT expr  */
#line 53 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 14295 "obj/conf/cf-parse.tab.c"
    break;

  case 1469: /* kern_item: proto_channel  */
#line 58 "sysdep/unix/krt.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14301 "obj/conf/cf-parse.tab.c"
    break;

  case 1470: /* kern_item: PERSIST bool  */
#line 59 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 14307 "obj/conf/cf-parse.tab.c"
    break;

  case 1471: /* kern_item: SCAN TIME expr  */
#line 60 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 14316 "obj/conf/cf-parse.tab.c"
    break;

  case 1472: /* kern_item: LEARN bool  */
#line 64 "sysdep/unix/krt.Y"
              {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 14328 "obj/conf/cf-parse.tab.c"
    break;

  case 1473: /* kern_item: GRACEFUL RESTART bool  */
#line 71 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 14334 "obj/conf/cf-parse.tab.c"
    break;

  case 1474: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 72 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 14346 "obj/conf/cf-parse.tab.c"
    break;

  case 1476: /* kif_proto_start: proto_start DEVICE  */
#line 85 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 14352 "obj/conf/cf-parse.tab.c"
    break;

  case 1481: /* kif_item: SCAN TIME expr  */
#line 94 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 14361 "obj/conf/cf-parse.tab.c"
    break;

  case 1482: /* kif_iface_start: %empty  */
#line 101 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 14371 "obj/conf/cf-parse.tab.c"
    break;

  case 1483: /* kif_iface_item: PREFERRED ipa  */
#line 108 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 14377 "obj/conf/cf-parse.tab.c"
    break;

  case 1489: /* dynamic_attr: KRT_SOURCE  */
#line 125 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 14383 "obj/conf/cf-parse.tab.c"
    break;

  case 1490: /* dynamic_attr: KRT_METRIC  */
#line 126 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 14389 "obj/conf/cf-parse.tab.c"
    break;


#line 14393 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 50 "conf/gen_parser.m4"

#line 397 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 929 "nest/config.Y"
/* C Code from nest/config.Y */

#line 189 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 182 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 371 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 562 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 342 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 205 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 147 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 66 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 160 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

